import{S as wM,i as vM,s as xM,e as n,k as p,w as _,t as o,M as kM,c as a,d as s,m as c,a as r,x as b,h as i,b as d,G as e,g as h,y as w,q as v,o as x,B as k,v as PM,L as D}from"../../chunks/vendor-hf-doc-builder.js";import{T as bM}from"../../chunks/Tip-hf-doc-builder.js";import{D as $}from"../../chunks/Docstring-hf-doc-builder.js";import{C as E}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as q}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as C}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function yM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline, AutoModelForTokenClassification, AutoTokenizer

# Sentiment analysis pipeline
analyzer = pipeline("sentiment-analysis")

# Question answering pipeline, specifying the checkpoint identifier
oracle = pipeline(
    "question-answering", model="distilbert-base-cased-distilled-squad", tokenizer="bert-base-cased"
)

# Named entity recognition pipeline, passing in a specific model and tokenizer
model = AutoModelForTokenClassification.from_pretrained("dbmdz/bert-large-cased-finetuned-conll03-english")
tokenizer = AutoTokenizer.from_pretrained("bert-base-cased")
recognizer = pipeline("ner", model=model, tokenizer=tokenizer)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline, AutoModelForTokenClassification, AutoTokenizer

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Sentiment analysis pipeline</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>analyzer = pipeline(<span class="hljs-string">&quot;sentiment-analysis&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Question answering pipeline, specifying the checkpoint identifier</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;question-answering&quot;</span>, model=<span class="hljs-string">&quot;distilbert-base-cased-distilled-squad&quot;</span>, tokenizer=<span class="hljs-string">&quot;bert-base-cased&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Named entity recognition pipeline, passing in a specific model and tokenizer</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AutoModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;dbmdz/bert-large-cased-finetuned-conll03-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;bert-base-cased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>recognizer = pipeline(<span class="hljs-string">&quot;ner&quot;</span>, model=model, tokenizer=tokenizer)`}}),{c(){u=n("p"),T=o("Examples:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Examples:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function TM(j){let u,T,P,f,y;return{c(){u=n("p"),T=o(`However, this is not automatically a win for performance. It can be either a 10x speedup or 5x slowdown depending
on hardware, data and the actual model being used.`),P=p(),f=n("p"),y=o("Example where it\u2019s mostly a speedup:")},l(l){u=a(l,"P",{});var g=r(u);T=i(g,`However, this is not automatically a win for performance. It can be either a 10x speedup or 5x slowdown depending
on hardware, data and the actual model being used.`),g.forEach(s),P=c(l),f=a(l,"P",{});var Ze=r(f);y=i(Ze,"Example where it\u2019s mostly a speedup:"),Ze.forEach(s)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),h(l,f,g),e(f,y)},d(l){l&&s(u),l&&s(P),l&&s(f)}}}function $M(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

classifier = pipeline(model="superb/wav2vec2-base-superb-ks")
classifier("https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;superb/wav2vec2-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;_unknown_&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.002</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;left&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;yes&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;down&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;stop&#x27;</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function jM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

transcriber = pipeline(model="openai/whisper-base")
transcriber("https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>transcriber = pipeline(model=<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcriber(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/asr_dummy/resolve/main/1.flac&quot;</span>)
{<span class="hljs-string">&#x27;text&#x27;</span>: <span class="hljs-string">&#x27; He hoped there would be stew for dinner, turnips and carrots and bruised potatoes and fat mutton pieces to be ladled out in thick, peppered flour-fatten sauce.&#x27;</span>}`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function EM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline
from datasets import load_dataset

dataset = load_dataset("ashraq/esc50")
audio = next(iter(dataset["train"]["audio"]))["array"]
classifier = pipeline(task="zero-shot-audio-classification", model="laion/clap-htsat-unfused")
classifier(audio, candidate_labels=["Sound of a dog", "Sound of vaccum cleaner"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;ashraq/esc50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>audio = <span class="hljs-built_in">next</span>(<span class="hljs-built_in">iter</span>(dataset[<span class="hljs-string">&quot;train&quot;</span>][<span class="hljs-string">&quot;audio&quot;</span>]))[<span class="hljs-string">&quot;array&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(task=<span class="hljs-string">&quot;zero-shot-audio-classification&quot;</span>, model=<span class="hljs-string">&quot;laion/clap-htsat-unfused&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(audio, candidate_labels=[<span class="hljs-string">&quot;Sound of a dog&quot;</span>, <span class="hljs-string">&quot;Sound of vaccum cleaner&quot;</span>])
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9996</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;Sound of a dog&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0004</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;Sound of vaccum cleaner&#x27;</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function qM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

depth_estimator = pipeline(task="depth-estimation", model="Intel/dpt-large")
output = depth_estimator("http://images.cocodataset.org/val2017/000000039769.jpg")
# This is a tensor with the values being the depth expressed in meters for each pixel
output["predicted_depth"].shape`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>depth_estimator = pipeline(task=<span class="hljs-string">&quot;depth-estimation&quot;</span>, model=<span class="hljs-string">&quot;Intel/dpt-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>output = depth_estimator(<span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># This is a tensor with the values being the depth expressed in meters for each pixel</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>output[<span class="hljs-string">&quot;predicted_depth&quot;</span>].shape
torch.Size([<span class="hljs-number">1</span>, <span class="hljs-number">384</span>, <span class="hljs-number">384</span>])`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function AM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

classifier = pipeline(model="microsoft/beit-base-patch16-224-pt22k-ft22k")
classifier("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;microsoft/beit-base-patch16-224-pt22k-ft22k&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.442</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;macaw&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.088</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;popinjay&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.075</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;parrot&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.073</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;parodist, lampooner&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.046</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;poll, poll_parrot&#x27;</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function CM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

segmenter = pipeline(model="facebook/detr-resnet-50-panoptic")
segments = segmenter("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")
len(segments)

segments[0]["label"]

segments[1]["label"]

type(segments[0]["mask"])  # This is a black and white mask showing where is the bird on the original image.

segments[0]["mask"].size`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>segmenter = pipeline(model=<span class="hljs-string">&quot;facebook/detr-resnet-50-panoptic&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>segments = segmenter(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">len</span>(segments)
<span class="hljs-number">2</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;label&quot;</span>]
<span class="hljs-string">&#x27;bird&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">1</span>][<span class="hljs-string">&quot;label&quot;</span>]
<span class="hljs-string">&#x27;bird&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">type</span>(segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;mask&quot;</span>])  <span class="hljs-comment"># This is a black and white mask showing where is the bird on the original image.</span>
&lt;<span class="hljs-keyword">class</span> <span class="hljs-string">&#x27;PIL.Image.Image&#x27;</span>&gt;

<span class="hljs-meta">&gt;&gt;&gt; </span>segments[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;mask&quot;</span>].size
(<span class="hljs-number">768</span>, <span class="hljs-number">512</span>)`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function DM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

detector = pipeline(model="facebook/detr-resnet-50")
detector("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")

# x, y  are expressed relative to the top left hand corner.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>detector = pipeline(model=<span class="hljs-string">&quot;facebook/detr-resnet-50&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>detector(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">69</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">171</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">396</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">507</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">398</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">105</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">767</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">507</span>}}]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># x, y  are expressed relative to the top left hand corner.</span>`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function zM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

classifier = pipeline(model="openai/clip-vit-large-patch14")
classifier(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["animals", "humans", "landscape"],
)

classifier(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["black and white", "photorealist", "painting"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;openai/clip-vit-large-patch14&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;animals&quot;</span>, <span class="hljs-string">&quot;humans&quot;</span>, <span class="hljs-string">&quot;landscape&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.965</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;animals&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.03</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;humans&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.005</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;landscape&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;black and white&quot;</span>, <span class="hljs-string">&quot;photorealist&quot;</span>, <span class="hljs-string">&quot;painting&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;black and white&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;photorealist&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.0</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;painting&#x27;</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function IM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

detector = pipeline(model="google/owlvit-base-patch32", task="zero-shot-object-detection")
detector(
    "http://images.cocodataset.org/val2017/000000039769.jpg",
    candidate_labels=["cat", "couch"],
)

detector(
    "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png",
    candidate_labels=["head", "bird"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>detector = pipeline(model=<span class="hljs-string">&quot;google/owlvit-base-patch32&quot;</span>, task=<span class="hljs-string">&quot;zero-shot-object-detection&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>detector(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;cat&quot;</span>, <span class="hljs-string">&quot;couch&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.287</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;cat&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">324</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">20</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">640</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">373</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.254</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;cat&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">1</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">55</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">315</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">472</span>}}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.121</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;couch&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">4</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">642</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">476</span>}}]

<span class="hljs-meta">&gt;&gt;&gt; </span>detector(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;head&quot;</span>, <span class="hljs-string">&quot;bird&quot;</span>],
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.119</span>, <span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;bird&#x27;</span>, <span class="hljs-string">&#x27;box&#x27;</span>: {<span class="hljs-string">&#x27;xmin&#x27;</span>: <span class="hljs-number">71</span>, <span class="hljs-string">&#x27;ymin&#x27;</span>: <span class="hljs-number">170</span>, <span class="hljs-string">&#x27;xmax&#x27;</span>: <span class="hljs-number">410</span>, <span class="hljs-string">&#x27;ymax&#x27;</span>: <span class="hljs-number">508</span>}}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function SM(j){let u,T,P,f,y;return f=new E({props:{code:`conversation = Conversation("Going to the movies tonight - any suggestions?")

# Steps usually performed by the model when generating a response:
# 1. Mark the user input as processed (moved to the history)
conversation.mark_processed()
# 2. Append a mode response
conversation.append_response("The Big lebowski.")

conversation.add_user_input("Is it good?")`,highlighted:`conversation = Conversation(<span class="hljs-string">&quot;Going to the movies tonight - any suggestions?&quot;</span>)

<span class="hljs-comment"># Steps usually performed by the model when generating a response:</span>
<span class="hljs-comment"># 1. Mark the user input as processed (moved to the history)</span>
conversation.mark_processed()
<span class="hljs-comment"># 2. Append a mode response</span>
conversation.append_response(<span class="hljs-string">&quot;The Big lebowski.&quot;</span>)

conversation.add_user_input(<span class="hljs-string">&quot;Is it good?&quot;</span>)`}}),{c(){u=n("p"),T=o("Usage:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Usage:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function MM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline, Conversation

chatbot = pipeline(model="microsoft/DialoGPT-medium")
conversation = Conversation("Going to the movies tonight - any suggestions?")
conversation = chatbot(conversation)
conversation.generated_responses[-1]

conversation.add_user_input("Is it an action movie?")
conversation = chatbot(conversation)
conversation.generated_responses[-1]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline, Conversation

<span class="hljs-meta">&gt;&gt;&gt; </span>chatbot = pipeline(model=<span class="hljs-string">&quot;microsoft/DialoGPT-medium&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = Conversation(<span class="hljs-string">&quot;Going to the movies tonight - any suggestions?&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = chatbot(conversation)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.generated_responses[-<span class="hljs-number">1</span>]
<span class="hljs-string">&#x27;The Big Lebowski&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.add_user_input(<span class="hljs-string">&quot;Is it an action movie?&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation = chatbot(conversation)
<span class="hljs-meta">&gt;&gt;&gt; </span>conversation.generated_responses[-<span class="hljs-number">1</span>]
<span class="hljs-string">&quot;It&#x27;s a comedy.&quot;</span>`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function FM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

fill_masker = pipeline(model="bert-base-uncased")
fill_masker("This is a simple [MASK].")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker = pipeline(model=<span class="hljs-string">&quot;bert-base-uncased&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker(<span class="hljs-string">&quot;This is a simple [MASK].&quot;</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.042</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3291</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;problem&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple problem.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.031</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3160</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;question&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple question.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.03</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">8522</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;equation&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple equation.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.027</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">2028</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;one&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple one.&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.024</span>, <span class="hljs-string">&#x27;token&#x27;</span>: <span class="hljs-number">3627</span>, <span class="hljs-string">&#x27;token_str&#x27;</span>: <span class="hljs-string">&#x27;rule&#x27;</span>, <span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;this is a simple rule.&#x27;</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function LM(j){let u,T,P,f,y;return{c(){u=n("p"),T=o(`This pipeline only works for inputs with exactly one token masked. Experimental: We added support for multiple
masks. The returned values are raw model output, and correspond to disjoint probabilities where one might expect
joint probabilities (See `),P=n("a"),f=o("discussion"),y=o(")."),this.h()},l(l){u=a(l,"P",{});var g=r(u);T=i(g,`This pipeline only works for inputs with exactly one token masked. Experimental: We added support for multiple
masks. The returned values are raw model output, and correspond to disjoint probabilities where one might expect
joint probabilities (See `),P=a(g,"A",{href:!0,rel:!0});var Ze=r(P);f=i(Ze,"discussion"),Ze.forEach(s),y=i(g,")."),g.forEach(s),this.h()},h(){d(P,"href","https://github.com/huggingface/transformers/pull/10222"),d(P,"rel","nofollow")},m(l,g){h(l,u,g),e(u,T),e(u,P),e(P,f),e(u,y)},d(l){l&&s(u)}}}function NM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

token_classifier = pipeline(model="Jean-Baptiste/camembert-ner", aggregation_strategy="simple")
sentence = "Je m'appelle jean-baptiste et je vis \xE0 montr\xE9al"
tokens = token_classifier(sentence)
tokens

token = tokens[0]
# Start and end provide an easy way to highlight words in the original text.
sentence[token["start"] : token["end"]]

# Some models use the same idea to do part of speech.
syntaxer = pipeline(model="vblagoje/bert-english-uncased-finetuned-pos", aggregation_strategy="simple")
syntaxer("My name is Sarah and I live in London")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier = pipeline(model=<span class="hljs-string">&quot;Jean-Baptiste/camembert-ner&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence = <span class="hljs-string">&quot;Je m&#x27;appelle jean-baptiste et je vis \xE0 montr\xE9al&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens = token_classifier(sentence)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PER&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9931</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;jean-baptiste&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">12</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">26</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;montr\xE9al&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">38</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">47</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>token = tokens[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Start and end provide an easy way to highlight words in the original text.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence[token[<span class="hljs-string">&quot;start&quot;</span>] : token[<span class="hljs-string">&quot;end&quot;</span>]]
<span class="hljs-string">&#x27; jean-baptiste&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Some models use the same idea to do part of speech.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer = pipeline(model=<span class="hljs-string">&quot;vblagoje/bert-english-uncased-finetuned-pos&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer(<span class="hljs-string">&quot;My name is Sarah and I live in London&quot;</span>)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;my&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">2</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;NOUN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;name&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">3</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">7</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;AUX&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.994</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">8</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">10</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;sarah&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">11</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;CCONJ&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;and&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">17</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">20</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;i&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">21</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">22</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;VERB&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;live&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">23</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">27</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;ADP&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;in&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">28</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">30</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;london&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">31</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">37</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function OM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

oracle = pipeline(model="deepset/roberta-base-squad2")
oracle(question="Where do I live?", context="My name is Wolfgang and I live in Berlin")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Where do I live?&quot;</span>, context=<span class="hljs-string">&quot;My name is Wolfgang and I live in Berlin&quot;</span>)
{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9191</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">34</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">40</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;Berlin&#x27;</span>}`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function UM(j){let u,T,P,f,y;return f=new E({props:{code:`# use bart in pytorch
summarizer = pipeline("summarization")
summarizer("An apple a day, keeps the doctor away", min_length=5, max_length=20)

# use t5 in tf
summarizer = pipeline("summarization", model="t5-base", tokenizer="t5-base", framework="tf")
summarizer("An apple a day, keeps the doctor away", min_length=5, max_length=20)`,highlighted:`<span class="hljs-comment"># use bart in pytorch</span>
summarizer = pipeline(<span class="hljs-string">&quot;summarization&quot;</span>)
summarizer(<span class="hljs-string">&quot;An apple a day, keeps the doctor away&quot;</span>, min_length=<span class="hljs-number">5</span>, max_length=<span class="hljs-number">20</span>)

<span class="hljs-comment"># use t5 in tf</span>
summarizer = pipeline(<span class="hljs-string">&quot;summarization&quot;</span>, model=<span class="hljs-string">&quot;t5-base&quot;</span>, tokenizer=<span class="hljs-string">&quot;t5-base&quot;</span>, framework=<span class="hljs-string">&quot;tf&quot;</span>)
summarizer(<span class="hljs-string">&quot;An apple a day, keeps the doctor away&quot;</span>, min_length=<span class="hljs-number">5</span>, max_length=<span class="hljs-number">20</span>)`}}),{c(){u=n("p"),T=o("Usage:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Usage:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function GM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

oracle = pipeline(model="google/tapas-base-finetuned-wtq")
table = {
    "Repository": ["Transformers", "Datasets", "Tokenizers"],
    "Stars": ["36542", "4512", "3934"],
    "Contributors": ["651", "77", "34"],
    "Programming language": ["Python", "Python", "Rust, Python and NodeJS"],
}
oracle(query="How many stars does the transformers repository have?", table=table)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;google/tapas-base-finetuned-wtq&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>table = {
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Repository&quot;</span>: [<span class="hljs-string">&quot;Transformers&quot;</span>, <span class="hljs-string">&quot;Datasets&quot;</span>, <span class="hljs-string">&quot;Tokenizers&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Stars&quot;</span>: [<span class="hljs-string">&quot;36542&quot;</span>, <span class="hljs-string">&quot;4512&quot;</span>, <span class="hljs-string">&quot;3934&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Contributors&quot;</span>: [<span class="hljs-string">&quot;651&quot;</span>, <span class="hljs-string">&quot;77&quot;</span>, <span class="hljs-string">&quot;34&quot;</span>],
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;Programming language&quot;</span>: [<span class="hljs-string">&quot;Python&quot;</span>, <span class="hljs-string">&quot;Python&quot;</span>, <span class="hljs-string">&quot;Rust, Python and NodeJS&quot;</span>],
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(query=<span class="hljs-string">&quot;How many stars does the transformers repository have?&quot;</span>, table=table)
{<span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;AVERAGE &gt; 36542&#x27;</span>, <span class="hljs-string">&#x27;coordinates&#x27;</span>: [(<span class="hljs-number">0</span>, <span class="hljs-number">1</span>)], <span class="hljs-string">&#x27;cells&#x27;</span>: [<span class="hljs-string">&#x27;36542&#x27;</span>], <span class="hljs-string">&#x27;aggregator&#x27;</span>: <span class="hljs-string">&#x27;AVERAGE&#x27;</span>}`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function RM(j){let u,T,P,f,y;return f=new E({props:{code:`data = {
    "actors": ["brad pitt", "leonardo di caprio", "george clooney"],
    "age": ["56", "45", "59"],
    "number of movies": ["87", "53", "69"],
    "date of birth": ["7 february 1967", "10 june 1996", "28 november 1967"],
}`,highlighted:`data = {
    <span class="hljs-string">&quot;actors&quot;</span>: [<span class="hljs-string">&quot;brad pitt&quot;</span>, <span class="hljs-string">&quot;leonardo di caprio&quot;</span>, <span class="hljs-string">&quot;george clooney&quot;</span>],
    <span class="hljs-string">&quot;age&quot;</span>: [<span class="hljs-string">&quot;56&quot;</span>, <span class="hljs-string">&quot;45&quot;</span>, <span class="hljs-string">&quot;59&quot;</span>],
    <span class="hljs-string">&quot;number of movies&quot;</span>: [<span class="hljs-string">&quot;87&quot;</span>, <span class="hljs-string">&quot;53&quot;</span>, <span class="hljs-string">&quot;69&quot;</span>],
    <span class="hljs-string">&quot;date of birth&quot;</span>: [<span class="hljs-string">&quot;7 february 1967&quot;</span>, <span class="hljs-string">&quot;10 june 1996&quot;</span>, <span class="hljs-string">&quot;28 november 1967&quot;</span>],
}`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function VM(j){let u,T,P,f,y;return f=new E({props:{code:`import pandas as pd

table = pd.DataFrame.from_dict(data)`,highlighted:`<span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd

table = pd.DataFrame.from_dict(data)`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function QM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

classifier = pipeline(model="distilbert-base-uncased-finetuned-sst-2-english")
classifier("This movie is disgustingly good !")

classifier("Director tried too much.")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier = pipeline(model=<span class="hljs-string">&quot;distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;This movie is disgustingly good !&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">1.0</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>classifier(<span class="hljs-string">&quot;Director tried too much.&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEGATIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function HM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

generator = pipeline(model="gpt2")
generator("I can't believe you did such a ", do_sample=False)

# These parameters will return suggestions, and only the newly created text making it easier for prompting suggestions.
outputs = generator("My tart needs some", num_return_sequences=4, return_full_text=False)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = pipeline(model=<span class="hljs-string">&quot;gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generator(<span class="hljs-string">&quot;I can&#x27;t believe you did such a &quot;</span>, do_sample=<span class="hljs-literal">False</span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&quot;I can&#x27;t believe you did such a icky thing to me. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&#x27;m so sorry. I&quot;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># These parameters will return suggestions, and only the newly created text making it easier for prompting suggestions.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = generator(<span class="hljs-string">&quot;My tart needs some&quot;</span>, num_return_sequences=<span class="hljs-number">4</span>, return_full_text=<span class="hljs-literal">False</span>)`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function WM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

generator = pipeline(model="mrm8488/t5-base-finetuned-question-generation-ap")
generator(
    "answer: Manuel context: Manuel has created RuPERTa-base with the support of HF-Transformers and Google"
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>generator = pipeline(model=<span class="hljs-string">&quot;mrm8488/t5-base-finetuned-question-generation-ap&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>generator(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;answer: Manuel context: Manuel has created RuPERTa-base with the support of HF-Transformers and Google&quot;</span>
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&#x27;question: Who created the RuPERTa-base?&#x27;</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function ZM(j){let u,T,P,f,y;return f=new E({props:{code:`text2text_generator = pipeline("text2text-generation")
text2text_generator("question: What is 42 ? context: 42 is the answer to life, the universe and everything")`,highlighted:`text2text_generator = pipeline(<span class="hljs-string">&quot;text2text-generation&quot;</span>)
text2text_generator(<span class="hljs-string">&quot;question: What is 42 ? context: 42 is the answer to life, the universe and everything&quot;</span>)`}}),{c(){u=n("p"),T=o("Usage:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Usage:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function BM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

token_classifier = pipeline(model="Jean-Baptiste/camembert-ner", aggregation_strategy="simple")
sentence = "Je m'appelle jean-baptiste et je vis \xE0 montr\xE9al"
tokens = token_classifier(sentence)
tokens

token = tokens[0]
# Start and end provide an easy way to highlight words in the original text.
sentence[token["start"] : token["end"]]

# Some models use the same idea to do part of speech.
syntaxer = pipeline(model="vblagoje/bert-english-uncased-finetuned-pos", aggregation_strategy="simple")
syntaxer("My name is Sarah and I live in London")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>token_classifier = pipeline(model=<span class="hljs-string">&quot;Jean-Baptiste/camembert-ner&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence = <span class="hljs-string">&quot;Je m&#x27;appelle jean-baptiste et je vis \xE0 montr\xE9al&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens = token_classifier(sentence)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokens
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PER&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9931</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;jean-baptiste&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">12</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">26</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;montr\xE9al&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">38</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">47</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>token = tokens[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Start and end provide an easy way to highlight words in the original text.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>sentence[token[<span class="hljs-string">&quot;start&quot;</span>] : token[<span class="hljs-string">&quot;end&quot;</span>]]
<span class="hljs-string">&#x27; jean-baptiste&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Some models use the same idea to do part of speech.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer = pipeline(model=<span class="hljs-string">&quot;vblagoje/bert-english-uncased-finetuned-pos&quot;</span>, aggregation_strategy=<span class="hljs-string">&quot;simple&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>syntaxer(<span class="hljs-string">&quot;My name is Sarah and I live in London&quot;</span>)
[{<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;my&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">0</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">2</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;NOUN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.997</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;name&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">3</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">7</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;AUX&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.994</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;is&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">8</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">10</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;sarah&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">11</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;CCONJ&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;and&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">17</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">20</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PRON&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;i&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">21</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">22</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;VERB&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.998</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;live&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">23</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">27</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;ADP&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;in&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">28</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">30</span>}, {<span class="hljs-string">&#x27;entity_group&#x27;</span>: <span class="hljs-string">&#x27;PROPN&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.999</span>, <span class="hljs-string">&#x27;word&#x27;</span>: <span class="hljs-string">&#x27;london&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">31</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">37</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function YM(j){let u,T,P,f,y;return f=new E({props:{code:`en_fr_translator = pipeline("translation_en_to_fr")
en_fr_translator("How old are you?")`,highlighted:`en_fr_translator = pipeline(<span class="hljs-string">&quot;translation_en_to_fr&quot;</span>)
en_fr_translator(<span class="hljs-string">&quot;How old are you?&quot;</span>)`}}),{c(){u=n("p"),T=o("Usage:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Usage:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function KM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

oracle = pipeline(model="facebook/bart-large-mnli")
oracle(
    "I have a problem with my iphone that needs to be resolved asap!!",
    candidate_labels=["urgent", "not urgent", "phone", "tablet", "computer"],
)

oracle(
    "I have a problem with my iphone that needs to be resolved asap!!",
    candidate_labels=["english", "german"],
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;facebook/bart-large-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;I have a problem with my iphone that needs to be resolved asap!!&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;urgent&quot;</span>, <span class="hljs-string">&quot;not urgent&quot;</span>, <span class="hljs-string">&quot;phone&quot;</span>, <span class="hljs-string">&quot;tablet&quot;</span>, <span class="hljs-string">&quot;computer&quot;</span>],
<span class="hljs-meta">... </span>)
{<span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;I have a problem with my iphone that needs to be resolved asap!!&#x27;</span>, <span class="hljs-string">&#x27;labels&#x27;</span>: [<span class="hljs-string">&#x27;urgent&#x27;</span>, <span class="hljs-string">&#x27;phone&#x27;</span>, <span class="hljs-string">&#x27;computer&#x27;</span>, <span class="hljs-string">&#x27;not urgent&#x27;</span>, <span class="hljs-string">&#x27;tablet&#x27;</span>], <span class="hljs-string">&#x27;scores&#x27;</span>: [<span class="hljs-number">0.504</span>, <span class="hljs-number">0.479</span>, <span class="hljs-number">0.013</span>, <span class="hljs-number">0.003</span>, <span class="hljs-number">0.002</span>]}

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;I have a problem with my iphone that needs to be resolved asap!!&quot;</span>,
<span class="hljs-meta">... </span>    candidate_labels=[<span class="hljs-string">&quot;english&quot;</span>, <span class="hljs-string">&quot;german&quot;</span>],
<span class="hljs-meta">... </span>)
{<span class="hljs-string">&#x27;sequence&#x27;</span>: <span class="hljs-string">&#x27;I have a problem with my iphone that needs to be resolved asap!!&#x27;</span>, <span class="hljs-string">&#x27;labels&#x27;</span>: [<span class="hljs-string">&#x27;english&#x27;</span>, <span class="hljs-string">&#x27;german&#x27;</span>], <span class="hljs-string">&#x27;scores&#x27;</span>: [<span class="hljs-number">0.814</span>, <span class="hljs-number">0.186</span>]}`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function XM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

document_qa = pipeline(model="impira/layoutlm-document-qa")
document_qa(
    image="https://huggingface.co/spaces/impira/docquery/resolve/2359223c1837a7587402bda0f2643382a6eefeab/invoice.png",
    question="What is the invoice number?",
)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>document_qa = pipeline(model=<span class="hljs-string">&quot;impira/layoutlm-document-qa&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>document_qa(
<span class="hljs-meta">... </span>    image=<span class="hljs-string">&quot;https://huggingface.co/spaces/impira/docquery/resolve/2359223c1837a7587402bda0f2643382a6eefeab/invoice.png&quot;</span>,
<span class="hljs-meta">... </span>    question=<span class="hljs-string">&quot;What is the invoice number?&quot;</span>,
<span class="hljs-meta">... </span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.425</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;us-001&#x27;</span>, <span class="hljs-string">&#x27;start&#x27;</span>: <span class="hljs-number">16</span>, <span class="hljs-string">&#x27;end&#x27;</span>: <span class="hljs-number">16</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function JM(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

extractor = pipeline(model="bert-base-uncased", task="feature-extraction")
result = extractor("This is a simple test.", return_tensors=True)
result.shape  # This is a tensor of shape [1, sequence_lenth, hidden_dimension] representing the input string.`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>extractor = pipeline(model=<span class="hljs-string">&quot;bert-base-uncased&quot;</span>, task=<span class="hljs-string">&quot;feature-extraction&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result = extractor(<span class="hljs-string">&quot;This is a simple test.&quot;</span>, return_tensors=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>result.shape  <span class="hljs-comment"># This is a tensor of shape [1, sequence_lenth, hidden_dimension] representing the input string.</span>
torch.Size([<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">768</span>])`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function eF(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

captioner = pipeline(model="ydshieh/vit-gpt2-coco-en")
captioner("https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>captioner = pipeline(model=<span class="hljs-string">&quot;ydshieh/vit-gpt2-coco-en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>captioner(<span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/parrots.png&quot;</span>)
[{<span class="hljs-string">&#x27;generated_text&#x27;</span>: <span class="hljs-string">&#x27;two birds are standing next to each other &#x27;</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function tF(j){let u,T,P,f,y;return f=new E({props:{code:`from transformers import pipeline

oracle = pipeline(model="dandelin/vilt-b32-finetuned-vqa")
image_url = "https://huggingface.co/datasets/Narsil/image_dummy/raw/main/lena.png"
oracle(question="What is she wearing ?", image=image_url)

oracle(question="What is she wearing ?", image=image_url, top_k=1)

oracle(question="Is this a person ?", image=image_url, top_k=1)

oracle(question="Is this a man ?", image=image_url, top_k=1)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle = pipeline(model=<span class="hljs-string">&quot;dandelin/vilt-b32-finetuned-vqa&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image_url = <span class="hljs-string">&quot;https://huggingface.co/datasets/Narsil/image_dummy/raw/main/lena.png&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;What is she wearing ?&quot;</span>, image=image_url)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.948</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;hat&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.009</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;fedora&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;clothes&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.003</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;sun hat&#x27;</span>}, {<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.002</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;nothing&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;What is she wearing ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.948</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;hat&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Is this a person ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.993</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;yes&#x27;</span>}]

<span class="hljs-meta">&gt;&gt;&gt; </span>oracle(question=<span class="hljs-string">&quot;Is this a man ?&quot;</span>, image=image_url, top_k=<span class="hljs-number">1</span>)
[{<span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.996</span>, <span class="hljs-string">&#x27;answer&#x27;</span>: <span class="hljs-string">&#x27;no&#x27;</span>}]`}}),{c(){u=n("p"),T=o("Example:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Example:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function sF(j){let u,T,P,f,y;return f=new E({props:{code:`# Explicitly ask for tensor allocation on CUDA device :0
pipe = pipeline(..., device=0)
with pipe.device_placement():
    # Every framework specific tensor allocation will be done on the request device
    output = pipe(...)`,highlighted:`<span class="hljs-comment"># Explicitly ask for tensor allocation on CUDA device :0</span>
pipe = pipeline(..., device=<span class="hljs-number">0</span>)
<span class="hljs-keyword">with</span> pipe.device_placement():
    <span class="hljs-comment"># Every framework specific tensor allocation will be done on the request device</span>
    output = pipe(...)`}}),{c(){u=n("p"),T=o("Examples:"),P=p(),_(f.$$.fragment)},l(l){u=a(l,"P",{});var g=r(u);T=i(g,"Examples:"),g.forEach(s),P=c(l),b(f.$$.fragment,l)},m(l,g){h(l,u,g),e(u,T),h(l,P,g),w(f,l,g),y=!0},p:D,i(l){y||(v(f.$$.fragment,l),y=!0)},o(l){x(f.$$.fragment,l),y=!1},d(l){l&&s(u),l&&s(P),k(f,l)}}}function nF(j){let u,T,P,f,y,l,g,Ze,$v,l_,Is,jv,Xl,Ev,qv,p_,Jl,Av,c_,Ss,tr,Cv,ep,Dv,zv,Iv,Me,Sv,tp,Mv,Fv,sp,Lv,Nv,np,Ov,Uv,ap,Gv,Rv,d_,_t,Ms,Od,sr,Vv,Ud,Qv,m_,Fs,Hv,Gd,Wv,Zv,h_,rp,Bv,f_,nr,u_,Ls,Yv,ar,Kv,Xv,g_,rr,__,Ns,Jv,Rd,e1,t1,b_,or,w_,Os,s1,Vd,n1,a1,v_,ir,x_,op,r1,k_,lr,P_,ge,pr,o1,cr,i1,ip,l1,p1,c1,Qd,d1,m1,bt,dr,h1,lp,f1,u1,g1,mr,_1,pp,b1,w1,v1,Hd,x1,k1,Us,y_,wt,Gs,Wd,hr,P1,Zd,y1,T_,st,T1,Bd,$1,j1,Yd,E1,q1,$_,fr,j_,Rs,E_,ur,q_,gr,A_,cp,A1,C_,_r,D_,Vs,C1,Kd,D1,z1,z_,br,I_,dp,I1,S_,mp,S1,M_,we,Xd,Jd,em,M1,F1,tm,sm,L1,N1,nm,am,O1,U1,wr,rm,G1,R1,vt,om,V1,Q1,im,H1,W1,lm,Z1,B1,pm,cm,Y1,F_,xt,Qs,dm,vr,K1,mm,X1,L_,Be,hm,J1,ex,fm,tx,sx,um,nx,ax,N_,nt,rx,gm,ox,ix,_m,lx,px,O_,xr,U_,hp,cx,G_,kr,R_,fp,dx,V_,Hs,mx,bm,hx,fx,Q_,kt,Ws,wm,Pr,ux,vm,gx,H_,up,_x,W_,Zs,bx,xm,wx,vx,Z_,gp,xx,B_,_p,km,kx,Y_,yr,K_,bp,Px,X_,Pt,Bs,Pm,Tr,yx,ym,Tx,J_,wp,vp,$x,eb,yt,Ys,Tm,$r,jx,$m,Ex,tb,xp,qx,sb,Tt,Ks,jm,jr,Ax,Em,Cx,nb,V,Er,Dx,qr,zx,qm,Ix,Sx,Mx,Xs,Fx,kp,Lx,Pp,Nx,Ox,$t,Ux,yp,Gx,Rx,Am,Vx,Qx,Hx,Ar,Wx,Cr,Zx,Bx,Yx,Js,Dr,Kx,zr,Xx,Tp,Jx,ek,ab,jt,en,Cm,Ir,tk,Dm,sk,rb,ie,Sr,nk,zm,ak,rk,Im,ok,ik,tn,lk,$p,pk,jp,ck,dk,sn,Mr,mk,Fr,hk,Ep,fk,uk,ob,Et,nn,Sm,Lr,gk,Mm,_k,ib,_e,Nr,bk,qt,wk,Fm,vk,xk,Lm,kk,Pk,yk,an,Tk,Fe,$k,qp,jk,Ek,Ap,qk,Ak,Nm,Ck,Dk,Or,zk,Ik,Sk,rn,Ur,Mk,Om,Fk,lb,At,on,Um,Gr,Lk,Gm,Nk,pb,Cp,Ok,cb,Ct,ln,Rm,Rr,Uk,Vm,Gk,db,Q,Vr,Rk,Qr,Vk,Qm,Qk,Hk,Wk,pn,Zk,Dp,Bk,zp,Yk,Kk,Dt,Xk,Ip,Jk,eP,Hm,tP,sP,nP,Hr,aP,Wr,rP,oP,iP,cn,Zr,lP,Wm,pP,mb,zt,dn,Zm,Br,cP,Bm,dP,hb,H,Yr,mP,Kr,hP,Ym,fP,uP,gP,mn,_P,Sp,bP,Mp,wP,vP,It,xP,Fp,kP,PP,Km,yP,TP,$P,Xr,jP,Jr,EP,qP,AP,hn,eo,CP,Xm,DP,fb,St,fn,Jm,to,zP,eh,IP,ub,le,so,SP,no,MP,th,FP,LP,NP,un,OP,Mt,UP,Lp,GP,RP,sh,VP,QP,HP,ao,WP,ro,ZP,BP,YP,gn,oo,KP,nh,XP,gb,Ft,_n,ah,io,JP,rh,ey,_b,W,lo,ty,po,sy,oh,ny,ay,ry,bn,oy,Np,iy,Op,ly,py,Lt,cy,Up,dy,my,ih,hy,fy,uy,co,gy,mo,_y,by,wy,wn,ho,vy,lh,xy,bb,Nt,vn,ph,fo,ky,ch,Py,wb,be,uo,yy,go,Ty,dh,$y,jy,Ey,Ot,qy,Gp,Ay,Cy,mh,Dy,zy,Iy,_o,Sy,bo,My,Fy,Ly,xn,wo,Ny,hh,Oy,vb,Ut,kn,fh,vo,Uy,uh,Gy,xb,Z,xo,Ry,Gt,Vy,gh,Qy,Hy,_h,Wy,Zy,By,Pn,Yy,Rp,Ky,Vp,Xy,Jy,Rt,e0,Qp,t0,s0,bh,n0,a0,r0,ko,o0,Po,i0,l0,p0,yn,yo,c0,wh,d0,kb,Vt,Tn,vh,To,m0,xh,h0,Pb,B,$o,f0,Qt,u0,kh,g0,_0,Ph,b0,w0,v0,$n,x0,Hp,k0,Wp,P0,y0,Ht,T0,Zp,$0,j0,yh,E0,q0,A0,jo,C0,Eo,D0,z0,I0,jn,qo,S0,Th,M0,yb,Wt,En,$h,Ao,F0,jh,L0,Tb,Bp,N0,$b,Zt,qn,Eh,Co,O0,qh,U0,jb,Y,Do,G0,Ye,R0,Yp,V0,Q0,Kp,H0,W0,Ah,Z0,B0,Y0,An,K0,Cn,zo,X0,Io,J0,Ch,eT,tT,sT,Dn,So,nT,Dh,aT,rT,at,Mo,oT,zh,iT,lT,Le,pT,Ih,cT,dT,Sh,mT,hT,Mh,fT,uT,Fh,gT,_T,bT,zn,Fo,wT,Ke,vT,Lh,xT,kT,Nh,PT,yT,Oh,TT,$T,Eb,K,Lo,jT,Uh,ET,qT,In,AT,Xp,CT,Jp,DT,zT,Bt,IT,ec,ST,MT,Gh,FT,LT,NT,Ne,OT,Rh,UT,GT,Vh,RT,VT,Qh,QT,HT,No,WT,ZT,BT,Sn,Oo,YT,Hh,KT,qb,Yt,Mn,Wh,Uo,XT,Zh,JT,Ab,N,Go,e$,Kt,t$,Bh,s$,n$,tc,a$,r$,o$,Fn,i$,sc,l$,nc,p$,c$,Xt,d$,ac,m$,h$,Yh,f$,u$,g$,Ro,_$,Vo,b$,w$,v$,Ln,x$,Nn,Qo,k$,Kh,P$,Cb,Jt,On,Xh,Ho,y$,Jh,T$,Db,S,Wo,$$,es,j$,ef,E$,q$,rc,A$,C$,D$,Un,z$,oc,I$,ic,S$,M$,ts,F$,lc,L$,N$,tf,O$,U$,G$,Zo,R$,Bo,V$,Q$,H$,rt,Yo,W$,sf,Z$,B$,nf,Y$,K$,Gn,Ko,X$,af,J$,e3,Rn,Xo,t3,rf,s3,n3,Vn,Jo,a3,of,r3,zb,Qn,o3,pc,i3,l3,Ib,ss,Hn,lf,ei,p3,pf,c3,Sb,M,ti,d3,ns,m3,cf,h3,f3,cc,u3,g3,_3,Wn,b3,dc,w3,mc,v3,x3,as,k3,hc,P3,y3,df,T3,$3,j3,si,E3,ni,q3,A3,C3,Zn,ai,D3,mf,z3,I3,ot,ri,S3,rs,M3,hf,F3,L3,ff,N3,O3,U3,uf,G3,R3,Bn,oi,V3,gf,Q3,Mb,os,Yn,_f,ii,H3,bf,W3,Fb,pe,li,Z3,wf,B3,Y3,is,K3,fc,X3,J3,vf,e4,t4,s4,G,n4,xf,a4,r4,kf,o4,i4,Pf,l4,p4,yf,c4,d4,Tf,m4,h4,$f,f4,u4,pi,g4,_4,ci,b4,w4,Kn,v4,Xn,di,x4,jf,k4,Lb,ls,Jn,Ef,mi,P4,qf,y4,Nb,X,hi,T4,fi,$4,Af,j4,E4,q4,ea,A4,uc,C4,gc,D4,z4,ps,I4,_c,S4,M4,Cf,F4,L4,N4,ui,O4,gi,U4,G4,R4,ae,_i,V4,Df,Q4,H4,ce,zf,If,W4,Z4,Sf,Mf,B4,Y4,Ff,Lf,K4,X4,Nf,Of,J4,e7,Uf,Gf,t7,s7,Rf,Vf,n7,a7,Qf,Hf,r7,o7,bi,i7,Wf,l7,p7,c7,ta,d7,Zf,m7,h7,sa,Ob,cs,na,Bf,wi,f7,Yf,u7,Ub,O,vi,g7,ds,_7,Kf,b7,w7,bc,v7,x7,k7,aa,P7,wc,y7,vc,T7,$7,ms,j7,xc,E7,q7,Xf,A7,C7,D7,xi,z7,Jf,I7,S7,M7,ki,F7,Pi,L7,N7,O7,ra,yi,U7,eu,G7,Gb,hs,oa,tu,Ti,R7,su,V7,Rb,J,$i,Q7,ji,H7,nu,W7,Z7,B7,ia,Y7,kc,K7,Pc,X7,J7,fs,ej,yc,tj,sj,au,nj,aj,rj,Ei,oj,qi,ij,lj,pj,la,Ai,cj,ru,dj,Vb,us,pa,ou,Ci,mj,iu,hj,Qb,F,Di,fj,lu,uj,gj,ca,_j,Tc,bj,$c,wj,vj,gs,xj,jc,kj,Pj,pu,yj,Tj,$j,da,jj,zi,Ej,qj,Ii,Aj,Cj,ma,Dj,ha,Si,zj,cu,Ij,Sj,fa,Mi,Mj,du,Fj,Hb,_s,ua,mu,Fi,Lj,hu,Nj,Wb,I,Li,Oj,bs,Uj,fu,Gj,Rj,Ec,Vj,Qj,Hj,ga,Wj,qc,Zj,Ac,Bj,Yj,ws,Kj,Cc,Xj,Jj,uu,eE,tE,sE,Ni,nE,Oi,aE,rE,oE,_a,Ui,iE,gu,lE,pE,it,Gi,cE,_u,dE,mE,bu,hE,fE,ba,Ri,uE,wu,gE,_E,wa,Vi,bE,vu,wE,vE,va,Qi,xE,xu,kE,Zb,vs,xa,ku,Hi,PE,Pu,yE,Bb,de,Wi,TE,yu,$E,jE,xs,EE,Dc,qE,AE,Tu,CE,DE,zE,ka,IE,Zi,SE,ME,Bi,FE,LE,Pa,NE,ya,Yi,OE,$u,UE,Yb,ks,Ta,ju,Ki,GE,Eu,RE,Kb,U,Xi,VE,Xe,QE,qu,HE,WE,Au,ZE,BE,Cu,YE,KE,XE,Je,JE,Du,eq,tq,zu,sq,nq,Iu,aq,rq,oq,$a,iq,zc,lq,Ic,pq,cq,Ps,dq,Sc,mq,hq,Su,fq,uq,gq,Ji,_q,el,bq,wq,vq,ja,tl,xq,sl,kq,Mc,Pq,yq,Xb,ys,Ea,Mu,nl,Tq,Fu,$q,Jb,Fc,jq,e2,Ts,qa,Lu,al,Eq,Nu,qq,t2,ee,rl,Aq,ol,Cq,Ou,Dq,zq,Iq,Aa,Sq,Lc,Mq,Nc,Fq,Lq,$s,Nq,Oc,Oq,Uq,Uu,Gq,Rq,Vq,il,Qq,ll,Hq,Wq,Zq,Re,pl,Bq,cl,Yq,Gu,Kq,Xq,Jq,Ru,e5,t5,et,Vu,Qu,s5,n5,Hu,Wu,a5,r5,Zu,Bu,o5,i5,Yu,Ku,l5,s2,js,Ca,Xu,dl,p5,Ju,c5,n2,te,ml,d5,eg,m5,h5,Da,f5,Uc,u5,Gc,g5,_5,Es,b5,Rc,w5,v5,tg,x5,k5,P5,hl,y5,fl,T5,$5,j5,za,ul,E5,sg,q5,a2,qs,Ia,ng,gl,A5,ag,C5,r2,se,_l,D5,bl,z5,rg,I5,S5,M5,Sa,F5,Vc,L5,Qc,N5,O5,og,U5,G5,wl,R5,vl,V5,Q5,H5,Ma,xl,W5,ig,Z5,o2,As,Fa,lg,kl,B5,pg,Y5,i2,ne,Pl,K5,yl,X5,cg,J5,eA,tA,La,sA,Hc,nA,Wc,aA,rA,Cs,oA,Zc,iA,lA,dg,pA,cA,dA,Tl,mA,$l,hA,fA,uA,lt,jl,gA,mg,_A,bA,tt,hg,fg,wA,vA,ug,gg,xA,kA,_g,bg,PA,yA,wg,vg,TA,l2,Ds,Na,xg,El,$A,Bc,jA,kg,EA,p2,A,ql,qA,Pg,AA,CA,yg,DA,zA,Tg,IA,SA,$g,MA,FA,Oe,LA,Yc,NA,OA,jg,UA,GA,Eg,RA,VA,qg,QA,HA,WA,Oa,Al,ZA,Ag,BA,YA,pt,Cl,KA,Cg,XA,JA,Ua,e6,Ga,Dl,t6,Dg,s6,n6,Ra,zl,a6,Il,r6,zg,o6,i6,l6,Va,Sl,p6,Ml,c6,Ig,d6,m6,h6,Qa,Fl,f6,zs,u6,Sg,g6,_6,Mg,b6,w6,v6,Ha,Ll,x6,Fg,k6,P6,Wa,Nl,y6,Ol,T6,Lg,$6,j6,c2;return l=new q({}),sr=new q({}),nr=new E({props:{code:`pipe = pipeline("text-classification")
pipe("This restaurant is awesome")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe(<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>}]`}}),rr=new E({props:{code:`pipe = pipeline(model="roberta-large-mnli")
pipe("This restaurant is awesome")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(model=<span class="hljs-string">&quot;roberta-large-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe(<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>)
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEUTRAL&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.7313136458396912</span>}]`}}),or=new E({props:{code:`pipe = pipeline("text-classification")
pipe(["This restaurant is awesome", "This restaurant is awful"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipe([<span class="hljs-string">&quot;This restaurant is awesome&quot;</span>, <span class="hljs-string">&quot;This restaurant is awful&quot;</span>])
[{<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;POSITIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9998743534088135</span>},
 {<span class="hljs-string">&#x27;label&#x27;</span>: <span class="hljs-string">&#x27;NEGATIVE&#x27;</span>, <span class="hljs-string">&#x27;score&#x27;</span>: <span class="hljs-number">0.9996669292449951</span>}]`}}),ir=new E({props:{code:`import datasets
from transformers import pipeline
from transformers.pipelines.pt_utils import KeyDataset
from tqdm.auto import tqdm

pipe = pipeline("automatic-speech-recognition", model="facebook/wav2vec2-base-960h", device=0)
dataset = datasets.load_dataset("superb", name="asr", split="test")

# KeyDataset (only *pt*) will simply return the item in the dict returned by the dataset item
# as we're not interested in the *target* part of the dataset. For sentence pair use KeyPairDataset
for out in tqdm(pipe(KeyDataset(dataset, "file"))):
    print(out)
    # {"text": "NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND"}
    # {"text": ....}
    # ....`,highlighted:`<span class="hljs-keyword">import</span> datasets
<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> transformers.pipelines.pt_utils <span class="hljs-keyword">import</span> KeyDataset
<span class="hljs-keyword">from</span> tqdm.auto <span class="hljs-keyword">import</span> tqdm

pipe = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=<span class="hljs-string">&quot;facebook/wav2vec2-base-960h&quot;</span>, device=<span class="hljs-number">0</span>)
dataset = datasets.load_dataset(<span class="hljs-string">&quot;superb&quot;</span>, name=<span class="hljs-string">&quot;asr&quot;</span>, split=<span class="hljs-string">&quot;test&quot;</span>)

<span class="hljs-comment"># KeyDataset (only *pt*) will simply return the item in the dict returned by the dataset item</span>
<span class="hljs-comment"># as we&#x27;re not interested in the *target* part of the dataset. For sentence pair use KeyPairDataset</span>
<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(KeyDataset(dataset, <span class="hljs-string">&quot;file&quot;</span>))):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># {&quot;text&quot;: &quot;NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND&quot;}</span>
    <span class="hljs-comment"># {&quot;text&quot;: ....}</span>
    <span class="hljs-comment"># ....</span>`}}),lr=new E({props:{code:`from transformers import pipeline

pipe = pipeline("text-classification")


def data():
    while True:
        # This could come from a dataset, a database, a queue or HTTP request
        # in a server
        # Caveat: because this is iterative, you cannot use \`num_workers > 1\` variable
        # to use multiple threads to preprocess data. You can still have 1 thread that
        # does the preprocessing while the main runs the big inference
        yield "This is a test"


for out in pipe(data()):
    print(out)
    # {"text": "NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND"}
    # {"text": ....}
    # ....`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline

pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>)


<span class="hljs-keyword">def</span> <span class="hljs-title function_">data</span>():
    <span class="hljs-keyword">while</span> <span class="hljs-literal">True</span>:
        <span class="hljs-comment"># This could come from a dataset, a database, a queue or HTTP request</span>
        <span class="hljs-comment"># in a server</span>
        <span class="hljs-comment"># Caveat: because this is iterative, you cannot use \`num_workers &gt; 1\` variable</span>
        <span class="hljs-comment"># to use multiple threads to preprocess data. You can still have 1 thread that</span>
        <span class="hljs-comment"># does the preprocessing while the main runs the big inference</span>
        <span class="hljs-keyword">yield</span> <span class="hljs-string">&quot;This is a test&quot;</span>


<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> pipe(data()):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># {&quot;text&quot;: &quot;NUMBER TEN FRESH NELLY IS WAITING ON YOU GOOD NIGHT HUSBAND&quot;}</span>
    <span class="hljs-comment"># {&quot;text&quot;: ....}</span>
    <span class="hljs-comment"># ....</span>`}}),pr=new $({props:{name:"transformers.pipeline",anchor:"transformers.pipeline",parameters:[{name:"task",val:": str = None"},{name:"model",val:": typing.Optional = None"},{name:"config",val:": typing.Union[str, transformers.configuration_utils.PretrainedConfig, NoneType] = None"},{name:"tokenizer",val:": typing.Union[str, transformers.tokenization_utils.PreTrainedTokenizer, transformers.tokenization_utils_fast.PreTrainedTokenizerFast, NoneType] = None"},{name:"feature_extractor",val:": typing.Union[str, ForwardRef('SequenceFeatureExtractor'), NoneType] = None"},{name:"image_processor",val:": typing.Union[str, transformers.image_processing_utils.BaseImageProcessor, NoneType] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"revision",val:": typing.Optional[str] = None"},{name:"use_fast",val:": bool = True"},{name:"use_auth_token",val:": typing.Union[str, bool, NoneType] = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device'), NoneType] = None"},{name:"device_map",val:" = None"},{name:"torch_dtype",val:" = None"},{name:"trust_remote_code",val:": typing.Optional[bool] = None"},{name:"model_kwargs",val:": typing.Dict[str, typing.Any] = None"},{name:"pipeline_class",val:": typing.Optional[typing.Any] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.pipeline.task",description:`<strong>task</strong> (<code>str</code>) &#x2014;
The task defining which pipeline will be returned. Currently accepted tasks are:</p>
<ul>
<li><code>&quot;audio-classification&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.AudioClassificationPipeline">AudioClassificationPipeline</a>.</li>
<li><code>&quot;automatic-speech-recognition&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline">AutomaticSpeechRecognitionPipeline</a>.</li>
<li><code>&quot;conversational&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ConversationalPipeline">ConversationalPipeline</a>.</li>
<li><code>&quot;depth-estimation&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.DepthEstimationPipeline">DepthEstimationPipeline</a>.</li>
<li><code>&quot;document-question-answering&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.DocumentQuestionAnsweringPipeline">DocumentQuestionAnsweringPipeline</a>.</li>
<li><code>&quot;feature-extraction&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.FeatureExtractionPipeline">FeatureExtractionPipeline</a>.</li>
<li><code>&quot;fill-mask&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.FillMaskPipeline">FillMaskPipeline</a>:.</li>
<li><code>&quot;image-classification&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ImageClassificationPipeline">ImageClassificationPipeline</a>.</li>
<li><code>&quot;image-segmentation&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ImageSegmentationPipeline">ImageSegmentationPipeline</a>.</li>
<li><code>&quot;image-to-text&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ImageToTextPipeline">ImageToTextPipeline</a>.</li>
<li><code>&quot;object-detection&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ObjectDetectionPipeline">ObjectDetectionPipeline</a>.</li>
<li><code>&quot;question-answering&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.QuestionAnsweringPipeline">QuestionAnsweringPipeline</a>.</li>
<li><code>&quot;summarization&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.SummarizationPipeline">SummarizationPipeline</a>.</li>
<li><code>&quot;table-question-answering&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.TableQuestionAnsweringPipeline">TableQuestionAnsweringPipeline</a>.</li>
<li><code>&quot;text2text-generation&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.Text2TextGenerationPipeline">Text2TextGenerationPipeline</a>.</li>
<li><code>&quot;text-classification&quot;</code> (alias <code>&quot;sentiment-analysis&quot;</code> available): will return a
<a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.TextClassificationPipeline">TextClassificationPipeline</a>.</li>
<li><code>&quot;text-generation&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.TextGenerationPipeline">TextGenerationPipeline</a>:.</li>
<li><code>&quot;token-classification&quot;</code> (alias <code>&quot;ner&quot;</code> available): will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.TokenClassificationPipeline">TokenClassificationPipeline</a>.</li>
<li><code>&quot;translation&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.TranslationPipeline">TranslationPipeline</a>.</li>
<li><code>&quot;translation_xx_to_yy&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.TranslationPipeline">TranslationPipeline</a>.</li>
<li><code>&quot;video-classification&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.VideoClassificationPipeline">VideoClassificationPipeline</a>.</li>
<li><code>&quot;visual-question-answering&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.VisualQuestionAnsweringPipeline">VisualQuestionAnsweringPipeline</a>.</li>
<li><code>&quot;zero-shot-classification&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline">ZeroShotClassificationPipeline</a>.</li>
<li><code>&quot;zero-shot-image-classification&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ZeroShotImageClassificationPipeline">ZeroShotImageClassificationPipeline</a>.</li>
<li><code>&quot;zero-shot-audio-classification&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ZeroShotAudioClassificationPipeline">ZeroShotAudioClassificationPipeline</a>.</li>
<li><code>&quot;zero-shot-object-detection&quot;</code>: will return a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ZeroShotObjectDetectionPipeline">ZeroShotObjectDetectionPipeline</a>.</li>
</ul>`,name:"task"},{anchor:"transformers.pipeline.model",description:`<strong>model</strong> (<code>str</code> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>, <em>optional</em>) &#x2014;
The model that will be used by the pipeline to make predictions. This can be a model identifier or an
actual instance of a pretrained model inheriting from <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> (for PyTorch) or
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> (for TensorFlow).</p>
<p>If not provided, the default for the <code>task</code> will be loaded.`,name:"model"},{anchor:"transformers.pipeline.config",description:`<strong>config</strong> (<code>str</code> or <a href="/docs/transformers/pr_21334/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>, <em>optional</em>) &#x2014;
The configuration that will be used by the pipeline to instantiate the model. This can be a model
identifier or an actual pretrained model configuration inheriting from <a href="/docs/transformers/pr_21334/en/main_classes/configuration#transformers.PretrainedConfig">PretrainedConfig</a>.</p>
<p>If not provided, the default configuration file for the requested model will be used. That means that if
<code>model</code> is given, its default configuration will be used. However, if <code>model</code> is not supplied, this
<code>task</code>&#x2019;s default model&#x2019;s config is used instead.`,name:"config"},{anchor:"transformers.pipeline.tokenizer",description:`<strong>tokenizer</strong> (<code>str</code> or <a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>, <em>optional</em>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This can be a model
identifier or an actual pretrained tokenizer inheriting from <a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.</p>
<p>If not provided, the default tokenizer for the given <code>model</code> will be loaded (if it is a string). If <code>model</code>
is not specified or not a string, then the default tokenizer for <code>config</code> is loaded (if it is a string).
However, if <code>config</code> is also not given or not a string, then the default tokenizer for the given <code>task</code>
will be loaded.`,name:"tokenizer"},{anchor:"transformers.pipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<code>str</code> or <code>PreTrainedFeatureExtractor</code>, <em>optional</em>) &#x2014;
The feature extractor that will be used by the pipeline to encode data for the model. This can be a model
identifier or an actual pretrained feature extractor inheriting from <code>PreTrainedFeatureExtractor</code>.</p>
<p>Feature extractors are used for non-NLP models, such as Speech or Vision models as well as multi-modal
models. Multi-modal models will also require a tokenizer to be passed.</p>
<p>If not provided, the default feature extractor for the given <code>model</code> will be loaded (if it is a string). If
<code>model</code> is not specified or not a string, then the default feature extractor for <code>config</code> is loaded (if it
is a string). However, if <code>config</code> is also not given or not a string, then the default feature extractor
for the given <code>task</code> will be loaded.`,name:"feature_extractor"},{anchor:"transformers.pipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.pipeline.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
When passing a task name or a string model identifier: The specific model version to use. It can be a
branch name, a tag name, or a commit id, since we use a git-based system for storing models and other
artifacts on huggingface.co, so <code>revision</code> can be any identifier allowed by git.`,name:"revision"},{anchor:"transformers.pipeline.use_fast",description:`<strong>use_fast</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to use a Fast tokenizer if possible (a <a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast">PreTrainedTokenizerFast</a>).`,name:"use_fast"},{anchor:"transformers.pipeline.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>huggingface-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"transformers.pipeline.device",description:`<strong>device</strong> (<code>int</code> or <code>str</code> or <code>torch.device</code>) &#x2014;
Defines the device (<em>e.g.</em>, <code>&quot;cpu&quot;</code>, <code>&quot;cuda:1&quot;</code>, <code>&quot;mps&quot;</code>, or a GPU ordinal rank like <code>1</code>) on which this
pipeline will be allocated.`,name:"device"},{anchor:"transformers.pipeline.device_map",description:`<strong>device_map</strong> (<code>str</code> or <code>Dict[str, Union[int, str, torch.device]</code>, <em>optional</em>) &#x2014;
Sent directly as <code>model_kwargs</code> (just a simpler shortcut). When <code>accelerate</code> library is present, set
<code>device_map=&quot;auto&quot;</code> to compute the most optimized <code>device_map</code> automatically (see
<a href="https://huggingface.co/docs/accelerate/main/en/package_reference/big_modeling#accelerate.cpu_offload" rel="nofollow">here</a>
for more information).</p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p>Do not use <code>device_map</code> AND <code>device</code> at the same time as they will conflict</p>

					</div>`,name:"device_map"},{anchor:"transformers.pipeline.torch_dtype",description:`<strong>torch_dtype</strong> (<code>str</code> or <code>torch.dtype</code>, <em>optional</em>) &#x2014;
Sent directly as <code>model_kwargs</code> (just a simpler shortcut) to use the available precision for this model
(<code>torch.float16</code>, <code>torch.bfloat16</code>, &#x2026; or <code>&quot;auto&quot;</code>).`,name:"torch_dtype"},{anchor:"transformers.pipeline.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling, configuration,
tokenization or even pipeline files. This option should only be set to <code>True</code> for repositories you trust
and in which you have read the code, as it will execute code present on the Hub on your local machine.
model_kwargs &#x2014;
Additional dictionary of keyword arguments passed along to the model&#x2019;s <code>from_pretrained(..., **model_kwargs)</code> function.
kwargs &#x2014;
Additional keyword arguments passed along to the specific pipeline init (see the documentation for the
corresponding pipeline class for possible values).`,name:"trust_remote_code"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/__init__.py#L494",returnDescription:`
<p>A suitable pipeline for the task.</p>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.Pipeline"
>Pipeline</a></p>
`}}),Us=new C({props:{anchor:"transformers.pipeline.example",$$slots:{default:[yM]},$$scope:{ctx:j}}}),hr=new q({}),fr=new E({props:{code:`from transformers import pipeline
from transformers.pipelines.pt_utils import KeyDataset
import datasets

dataset = datasets.load_dataset("imdb", name="plain_text", split="unsupervised")
pipe = pipeline("text-classification", device=0)
for out in pipe(KeyDataset(dataset, "text"), batch_size=8, truncation="only_first"):
    print(out)
    # [{'label': 'POSITIVE', 'score': 0.9998743534088135}]
    # Exactly the same output as before, but the content are passed
    # as batches to the model`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> transformers.pipelines.pt_utils <span class="hljs-keyword">import</span> KeyDataset
<span class="hljs-keyword">import</span> datasets

dataset = datasets.load_dataset(<span class="hljs-string">&quot;imdb&quot;</span>, name=<span class="hljs-string">&quot;plain_text&quot;</span>, split=<span class="hljs-string">&quot;unsupervised&quot;</span>)
pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, device=<span class="hljs-number">0</span>)
<span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> pipe(KeyDataset(dataset, <span class="hljs-string">&quot;text&quot;</span>), batch_size=<span class="hljs-number">8</span>, truncation=<span class="hljs-string">&quot;only_first&quot;</span>):
    <span class="hljs-built_in">print</span>(out)
    <span class="hljs-comment"># [{&#x27;label&#x27;: &#x27;POSITIVE&#x27;, &#x27;score&#x27;: 0.9998743534088135}]</span>
    <span class="hljs-comment"># Exactly the same output as before, but the content are passed</span>
    <span class="hljs-comment"># as batches to the model</span>`}}),Rs=new bM({props:{warning:!0,$$slots:{default:[TM]},$$scope:{ctx:j}}}),ur=new E({props:{code:`from transformers import pipeline
from torch.utils.data import Dataset
from tqdm.auto import tqdm

pipe = pipeline("text-classification", device=0)


class MyDataset(Dataset):
    def __len__(self):
        return 5000

    def __getitem__(self, i):
        return "This is a test"


dataset = MyDataset()

for batch_size in [1, 8, 64, 256]:
    print("-" * 30)
    print(f"Streaming batch_size={batch_size}")
    for out in tqdm(pipe(dataset, batch_size=batch_size), total=len(dataset)):
        pass`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> pipeline
<span class="hljs-keyword">from</span> torch.utils.data <span class="hljs-keyword">import</span> Dataset
<span class="hljs-keyword">from</span> tqdm.auto <span class="hljs-keyword">import</span> tqdm

pipe = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, device=<span class="hljs-number">0</span>)


<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyDataset</span>(<span class="hljs-title class_ inherited__">Dataset</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-number">5000</span>

    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__getitem__</span>(<span class="hljs-params">self, i</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-string">&quot;This is a test&quot;</span>


dataset = MyDataset()

<span class="hljs-keyword">for</span> batch_size <span class="hljs-keyword">in</span> [<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">64</span>, <span class="hljs-number">256</span>]:
    <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;-&quot;</span> * <span class="hljs-number">30</span>)
    <span class="hljs-built_in">print</span>(<span class="hljs-string">f&quot;Streaming batch_size=<span class="hljs-subst">{batch_size}</span>&quot;</span>)
    <span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(dataset, batch_size=batch_size), total=<span class="hljs-built_in">len</span>(dataset)):
        <span class="hljs-keyword">pass</span>`}}),gr=new E({props:{code:`# On GTX 970
------------------------------
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:26<00:00, 187.52it/s]
------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:04<00:00, 1205.95it/s]
------------------------------
Streaming batch_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:02<00:00, 2478.24it/s]
------------------------------
Streaming batch_size=256
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:01<00:00, 2554.43it/s]
(diminishing returns, saturated the GPU)`,highlighted:`<span class="hljs-section"># On GTX 970
------------------------------</span>
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:26&lt;00:00, 187.52it/s]
<span class="hljs-code">------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:04&lt;00:00, 1205.95it/s]
------------------------------</span>
Streaming batch<span class="hljs-emphasis">_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:02&lt;00:00, 2478.24it/s]
------------------------------
Streaming batch_</span>size=256
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 5000/5000 [00:01&lt;00:00, 2554.43it/s]
(diminishing returns, saturated the GPU)`}}),_r=new E({props:{code:`class MyDataset(Dataset):
    def __len__(self):
        return 5000

    def __getitem__(self, i):
        if i % 64 == 0:
            n = 100
        else:
            n = 1
        return "This is a test" * n`,highlighted:`<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyDataset</span>(<span class="hljs-title class_ inherited__">Dataset</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__len__</span>(<span class="hljs-params">self</span>):
        <span class="hljs-keyword">return</span> <span class="hljs-number">5000</span>

    <span class="hljs-keyword">def</span> <span class="hljs-title function_">__getitem__</span>(<span class="hljs-params">self, i</span>):
        <span class="hljs-keyword">if</span> i % <span class="hljs-number">64</span> == <span class="hljs-number">0</span>:
            n = <span class="hljs-number">100</span>
        <span class="hljs-keyword">else</span>:
            n = <span class="hljs-number">1</span>
        <span class="hljs-keyword">return</span> <span class="hljs-string">&quot;This is a test&quot;</span> * n`}}),br=new E({props:{code:`------------------------------
Streaming no batching
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:05<00:00, 183.69it/s]
------------------------------
Streaming batch_size=8
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:03<00:00, 265.74it/s]
------------------------------
Streaming batch_size=64
100%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| 1000/1000 [00:26<00:00, 37.80it/s]
------------------------------
Streaming batch_size=256
  0%|                                                                                 | 0/1000 [00:00<?, ?it/s]
Traceback (most recent call last):
  File "/home/nicolas/src/transformers/test.py", line 42, in <module>
    for out in tqdm(pipe(dataset, batch_size=256), total=len(dataset)):
....
    q = q / math.sqrt(dim_per_head)  # (bs, n_heads, q_length, dim_per_head)
RuntimeError: CUDA out of memory. Tried to allocate 376.00 MiB (GPU 0; 3.95 GiB total capacity; 1.72 GiB already allocated; 354.88 MiB free; 2.46 GiB reserved in total by PyTorch)`,highlighted:`<span class="hljs-comment">------------------------------</span>
Streaming no batching
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">05</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">183.69</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">8</span>
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">03</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">265.74</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">64</span>
<span class="hljs-number">100</span>%|\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588\u2588| <span class="hljs-number">1000</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">26</span>&lt;<span class="hljs-number">00</span>:<span class="hljs-number">00</span>, <span class="hljs-number">37.80</span><span class="hljs-keyword">it</span>/s]
<span class="hljs-comment">------------------------------</span>
Streaming batch_size=<span class="hljs-number">256</span>
  <span class="hljs-number">0</span>%|                                                                                 | <span class="hljs-number">0</span>/<span class="hljs-number">1000</span> [<span class="hljs-number">00</span>:<span class="hljs-number">00</span><span class="hljs-meta">&lt;?</span>, ?<span class="hljs-keyword">it</span>/s]
Traceback (most recent call <span class="hljs-keyword">last</span>):
  File <span class="hljs-string">&quot;/home/nicolas/src/transformers/test.py&quot;</span>, <span class="hljs-built_in">line</span> <span class="hljs-number">42</span>, <span class="hljs-keyword">in</span> &lt;module&gt;
    <span class="hljs-keyword">for</span> out <span class="hljs-keyword">in</span> tqdm(pipe(dataset, batch_size=<span class="hljs-number">256</span>), total=<span class="hljs-built_in">len</span>(dataset)):
....
    q = q / math.<span class="hljs-built_in">sqrt</span>(dim_per_head)  <span class="hljs-comment"># (bs, n_heads, q_length, dim_per_head)</span>
RuntimeError: CUDA out <span class="hljs-keyword">of</span> memory. Tried <span class="hljs-built_in">to</span> allocate <span class="hljs-number">376.00</span> MiB (GPU <span class="hljs-number">0</span>; <span class="hljs-number">3.95</span> GiB total capacity; <span class="hljs-number">1.72</span> GiB already allocated; <span class="hljs-number">354.88</span> MiB free; <span class="hljs-number">2.46</span> GiB reserved <span class="hljs-keyword">in</span> total <span class="hljs-keyword">by</span> PyTorch)`}}),vr=new q({}),xr=new E({props:{code:`preprocessed = pipe.preprocess(inputs)
model_outputs = pipe.forward(preprocessed)
outputs = pipe.postprocess(model_outputs)`,highlighted:`preprocessed = pipe.preprocess(inputs)
model_outputs = pipe.forward(preprocessed)
outputs = pipe.postprocess(model_outputs)`}}),kr=new E({props:{code:`all_model_outputs = []
for preprocessed in pipe.preprocess(inputs):
    model_outputs = pipe.forward(preprocessed)
    all_model_outputs.append(model_outputs)
outputs = pipe.postprocess(all_model_outputs)`,highlighted:`all_model_outputs = []
<span class="hljs-keyword">for</span> preprocessed <span class="hljs-keyword">in</span> pipe.preprocess(inputs):
    model_outputs = pipe.forward(preprocessed)
    all_model_outputs.append(model_outputs)
outputs = pipe.postprocess(all_model_outputs)`}}),Pr=new q({}),yr=new E({props:{code:`class MyPipeline(TextClassificationPipeline):
    def postprocess():
        # Your code goes here
        scores = scores * 100
        # And here


my_pipeline = MyPipeline(model=model, tokenizer=tokenizer, ...)
# or if you use *pipeline* function, then:
my_pipeline = pipeline(model="xxxx", pipeline_class=MyPipeline)`,highlighted:`<span class="hljs-keyword">class</span> <span class="hljs-title class_">MyPipeline</span>(<span class="hljs-title class_ inherited__">TextClassificationPipeline</span>):
    <span class="hljs-keyword">def</span> <span class="hljs-title function_">postprocess</span>():
        <span class="hljs-comment"># Your code goes here</span>
        scores = scores * <span class="hljs-number">100</span>
        <span class="hljs-comment"># And here</span>


my_pipeline = MyPipeline(model=model, tokenizer=tokenizer, ...)
<span class="hljs-comment"># or if you use *pipeline* function, then:</span>
my_pipeline = pipeline(model=<span class="hljs-string">&quot;xxxx&quot;</span>, pipeline_class=MyPipeline)`}}),Tr=new q({}),$r=new q({}),jr=new q({}),Er=new $({props:{name:"class transformers.AudioClassificationPipeline",anchor:"transformers.AudioClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AudioClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.AudioClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.AudioClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.AudioClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.AudioClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.AudioClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.AudioClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.AudioClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.AudioClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.AudioClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/audio_classification.py#L67"}}),Xs=new C({props:{anchor:"transformers.AudioClassificationPipeline.example",$$slots:{default:[$M]},$$scope:{ctx:j}}}),Dr=new $({props:{name:"__call__",anchor:"transformers.AudioClassificationPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[numpy.ndarray, bytes, str]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AudioClassificationPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>np.ndarray</code> or <code>bytes</code> or <code>str</code>) &#x2014;
The inputs is either a raw waveform (<code>np.ndarray</code> of shape (n, ) of type <code>np.float32</code> or <code>np.float64</code>)
at the correct sampling rate (no further check will be done) or a <code>str</code> that is the filename of the
audio file, the file will be read at the correct sampling rate to get the waveform using <em>ffmpeg</em>. This
requires <em>ffmpeg</em> to be installed on the system. If <em>inputs</em> is <code>bytes</code> it is supposed to be the
content of an audio file and is interpreted by <em>ffmpeg</em> in the same way.`,name:"inputs"},{anchor:"transformers.AudioClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is <code>None</code> or
higher than the number of labels available in the model configuration, it will default to the number of
labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/audio_classification.py#L103",returnDescription:`
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label predicted.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
</ul>
`,returnType:`
<p>A list of <code>dict</code> with the following keys</p>
`}}),Ir=new q({}),Sr=new $({props:{name:"class transformers.AutomaticSpeechRecognitionPipeline",anchor:"transformers.AutomaticSpeechRecognitionPipeline",parameters:[{name:"feature_extractor",val:": typing.Union[ForwardRef('SequenceFeatureExtractor'), str]"},{name:"decoder",val:": typing.Union[ForwardRef('BeamSearchDecoderCTC'), str, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AutomaticSpeechRecognitionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.feature_extractor",description:`<strong>feature_extractor</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/feature_extractor#transformers.SequenceFeatureExtractor">SequenceFeatureExtractor</a>) &#x2014;
The feature extractor that will be used by the pipeline to encode waveform for the model.`,name:"feature_extractor"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.chunk_length_s",description:`<strong>chunk_length_s</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The input length for in each chunk. If <code>chunk_length_s = 0</code> then chunking is disabled (default). Only
available for CTC models, e.g. <a href="/docs/transformers/pr_21334/en/model_doc/wav2vec2#transformers.Wav2Vec2ForCTC">Wav2Vec2ForCTC</a>.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For more information on how to effectively use <code>chunk_length_s</code>, please have a look at the <a href="https://huggingface.co/blog/asr-chunking" rel="nofollow">ASR chunking
blog post</a>.</p>

					</div>`,name:"chunk_length_s"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.stride_length_s",description:`<strong>stride_length_s</strong> (<code>float</code>, <em>optional</em>, defaults to <code>chunk_length_s / 6</code>) &#x2014;
The length of stride on the left and right of each chunk. Used only with <code>chunk_length_s &gt; 0</code>. This enables
the model to <em>see</em> more context and infer letters better than without this context but the pipeline
discards the stride bits at the end to make the final reconstitution as perfect as possible.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For more information on how to effectively use <code>stride_length_s</code>, please have a look at the <a href="https://huggingface.co/blog/asr-chunking" rel="nofollow">ASR chunking
blog post</a>.</p>

					</div>`,name:"stride_length_s"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed. If no framework is specified, will default to the one currently installed. If no framework is
specified and both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if
no model is provided.`,name:"framework"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.device",description:`<strong>device</strong> (Union[<code>int</code>, <code>torch.device</code>], <em>optional</em>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to <code>None</code> will leverage CPU, a positive will run the
model on the associated CUDA device id.`,name:"device"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.decoder",description:`<strong>decoder</strong> (<code>pyctcdecode.BeamSearchDecoderCTC</code>, <em>optional</em>) &#x2014;
<a href="https://github.com/kensho-technologies/pyctcdecode/blob/2fd33dc37c4111417e08d89ccd23d28e9b308d19/pyctcdecode/decoder.py#L180" rel="nofollow">PyCTCDecode&#x2019;s
BeamSearchDecoderCTC</a>
can be passed for language model boosted decoding. See <a href="/docs/transformers/pr_21334/en/model_doc/wav2vec2#transformers.Wav2Vec2ProcessorWithLM">Wav2Vec2ProcessorWithLM</a> for more information.`,name:"decoder"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/automatic_speech_recognition.py#L130"}}),tn=new C({props:{anchor:"transformers.AutomaticSpeechRecognitionPipeline.example",$$slots:{default:[jM]},$$scope:{ctx:j}}}),Mr=new $({props:{name:"__call__",anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[numpy.ndarray, bytes, str]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>np.ndarray</code> or <code>bytes</code> or <code>str</code> or <code>dict</code>) &#x2014;
The inputs is either :<ul>
<li><code>str</code> that is the filename of the audio file, the file will be read at the correct sampling rate
to get the waveform using <em>ffmpeg</em>. This requires <em>ffmpeg</em> to be installed on the system.</li>
<li><code>bytes</code> it is supposed to be the content of an audio file and is interpreted by <em>ffmpeg</em> in the
same way.</li>
<li>(<code>np.ndarray</code> of shape (n, ) of type <code>np.float32</code> or <code>np.float64</code>)
Raw audio at the correct sampling rate (no further check will be done)</li>
<li><code>dict</code> form can be used to pass raw audio sampled at arbitrary <code>sampling_rate</code> and let this
pipeline do the resampling. The dict must be in the format <code>{&quot;sampling_rate&quot;: int, &quot;raw&quot;: np.array}</code> with optionally a <code>&quot;stride&quot;: (left: int, right: int)</code> than can ask the pipeline to
treat the first <code>left</code> samples and last <code>right</code> samples to be ignored in decoding (but used at
inference to provide more context to the model). Only use <code>stride</code> with CTC models.</li>
</ul>`,name:"inputs"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.return_timestamps",description:`<strong>return_timestamps</strong> (<em>optional</em>, <code>str</code>) &#x2014;
Only available for pure CTC models. If set to <code>&quot;char&quot;</code>, the pipeline will return <code>timestamps</code> along the
text for every character in the text. For instance if you get <code>[{&quot;text&quot;: &quot;h&quot;, &quot;timestamps&quot;: (0.5,0.6), {&quot;text&quot;: &quot;i&quot;, &quot;timestamps&quot;: (0.7, .9)}]</code>, then it means the model predicts that the letter &#x201C;h&#x201D; was
pronounced after <code>0.5</code> and before <code>0.6</code> seconds. If set to <code>&quot;word&quot;</code>, the pipeline will return
<code>timestamps</code> along the text for every word in the text. For instance if you get <code>[{&quot;text&quot;: &quot;hi &quot;, &quot;timestamps&quot;: (0.5,0.9), {&quot;text&quot;: &quot;there&quot;, &quot;timestamps&quot;: (1.0, .1.5)}]</code>, then it means the model
predicts that the word &#x201C;hi&#x201D; was pronounced after <code>0.5</code> and before <code>0.9</code> seconds.`,name:"return_timestamps"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.generate_kwargs",description:`<strong>generate_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
The dictionary of ad-hoc parametrization of <code>generate_config</code> to be used for the generation call. For a
complete overview of generate, check the <a href="https://huggingface.co/docs/transformers/en/main_classes/text_generation" rel="nofollow">following
guide</a>.`,name:"generate_kwargs"},{anchor:"transformers.AutomaticSpeechRecognitionPipeline.__call__.max_new_tokens",description:`<strong>max_new_tokens</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The maximum numbers of tokens to generate, ignoring the number of tokens in the prompt.`,name:"max_new_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/automatic_speech_recognition.py#L225",returnDescription:`
<p>A dictionary with the following keys:</p>
<ul>
<li><strong>text</strong> (<code>str</code> ) \u2014 The recognized text.</li>
<li><strong>chunks</strong> (<em>optional(, <code>List[Dict]</code>)
When using <code>return_timestamps</code>, the <code>chunks</code> will become a list containing all the various text
chunks identified by the model, </em>e.g.* <code>[&#123;"text": "hi ", "timestamps": (0.5,0.9), &#123;"text": "there", "timestamps": (1.0, 1.5)&#125;]</code>. The original full text can roughly be recovered by doing
<code>"".join(chunk["text"] for chunk in output["chunks"])</code>.</li>
</ul>
`,returnType:`
<p><code>Dict</code></p>
`}}),Lr=new q({}),Nr=new $({props:{name:"class transformers.ZeroShotAudioClassificationPipeline",anchor:"transformers.ZeroShotAudioClassificationPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotAudioClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/zero_shot_audio_classification.py#L33"}}),an=new C({props:{anchor:"transformers.ZeroShotAudioClassificationPipeline.example",$$slots:{default:[EM]},$$scope:{ctx:j}}}),Ur=new $({props:{name:"__call__",anchor:"transformers.ZeroShotAudioClassificationPipeline.__call__",parameters:[{name:"audios",val:": typing.Union[numpy.ndarray, bytes, str]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotAudioClassificationPipeline.__call__.audios",description:`<strong>audios</strong> (<code>str</code>, <code>List[str]</code>, <code>np.array</code> or <code>List[np.array]</code>) &#x2014;
The pipeline handles three types of inputs:<ul>
<li>A string containing a http link pointing to an audio</li>
<li>A string containing a local path to an audio</li>
<li>An audio loaded in numpy</li>
</ul>`,name:"audios"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.__call__.candidate_labels",description:`<strong>candidate_labels</strong> (<code>List[str]</code>) &#x2014;
The candidate labels for this audio`,name:"candidate_labels"},{anchor:"transformers.ZeroShotAudioClassificationPipeline.__call__.hypothesis_template",description:`<strong>hypothesis_template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This is a sound of {}&quot;</code>) &#x2014;
The sentence used in cunjunction with <em>candidate_labels</em> to attempt the audio classification by
replacing the placeholder with the candidate_labels. Then likelihood is estimated by using
logits_per_audio`,name:"hypothesis_template"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/zero_shot_audio_classification.py#L64",returnDescription:`
<p>A list of dictionaries containing result, one dictionary per proposed label. The dictionaries contain the
following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model. It is one of the suggested <code>candidate_label</code>.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The score attributed by the model for that label (between 0 and 1).</li>
</ul>
`}}),Gr=new q({}),Rr=new q({}),Vr=new $({props:{name:"class transformers.DepthEstimationPipeline",anchor:"transformers.DepthEstimationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DepthEstimationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.DepthEstimationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.DepthEstimationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.DepthEstimationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.DepthEstimationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.DepthEstimationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.DepthEstimationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.DepthEstimationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.DepthEstimationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.DepthEstimationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/depth_estimation.py#L23"}}),pn=new C({props:{anchor:"transformers.DepthEstimationPipeline.example",$$slots:{default:[qM]},$$scope:{ctx:j}}}),Zr=new $({props:{name:"__call__",anchor:"transformers.DepthEstimationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DepthEstimationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images, which must then be passed as a string.
Images in a batch must all be in the same format: all as http links, all as local paths, or all as PIL
images.`,name:"images"},{anchor:"transformers.DepthEstimationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/depth_estimation.py#L53",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single image, will return a
dictionary, if the input is a list of several images, will return a list of dictionaries corresponding to
the images.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),Br=new q({}),Yr=new $({props:{name:"class transformers.ImageClassificationPipeline",anchor:"transformers.ImageClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/image_classification.py#L32"}}),mn=new C({props:{anchor:"transformers.ImageClassificationPipeline.example",$$slots:{default:[AM]},$$scope:{ctx:j}}}),eo=new $({props:{name:"__call__",anchor:"transformers.ImageClassificationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageClassificationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images, which must then be passed as a string.
Images in a batch must all be in the same format: all as http links, all as local paths, or all as PIL
images.`,name:"images"},{anchor:"transformers.ImageClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/image_classification.py#L71",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single image, will return a
dictionary, if the input is a list of several images, will return a list of dictionaries corresponding to
the images.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),to=new q({}),so=new $({props:{name:"class transformers.ImageSegmentationPipeline",anchor:"transformers.ImageSegmentationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageSegmentationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageSegmentationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageSegmentationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageSegmentationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageSegmentationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageSegmentationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageSegmentationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageSegmentationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageSegmentationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageSegmentationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/image_segmentation.py#L31"}}),un=new C({props:{anchor:"transformers.ImageSegmentationPipeline.example",$$slots:{default:[CM]},$$scope:{ctx:j}}}),oo=new $({props:{name:"__call__",anchor:"transformers.ImageSegmentationPipeline.__call__",parameters:[{name:"images",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageSegmentationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an HTTP(S) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. Images in a batch must all be in the
same format: all as HTTP(S) links, all as local paths, or all as PIL images.`,name:"images"},{anchor:"transformers.ImageSegmentationPipeline.__call__.subtask",description:`<strong>subtask</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Segmentation task to be performed, choose [<code>semantic</code>, <code>instance</code> and <code>panoptic</code>] depending on model
capabilities. If not set, the pipeline will attempt tp resolve in the following order:
<code>panoptic</code>, <code>instance</code>, <code>semantic</code>.`,name:"subtask"},{anchor:"transformers.ImageSegmentationPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.9) &#x2014;
Probability threshold to filter out predicted masks.`,name:"threshold"},{anchor:"transformers.ImageSegmentationPipeline.__call__.mask_threshold",description:`<strong>mask_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Threshold to use when turning the predicted masks into binary values.`,name:"mask_threshold"},{anchor:"transformers.ImageSegmentationPipeline.__call__.overlap_mask_area_threshold",description:`<strong>overlap_mask_area_threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
Mask overlap threshold to eliminate small, disconnected segments.`,name:"overlap_mask_area_threshold"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/image_segmentation.py#L98",returnDescription:`
<p>A dictionary or a list of dictionaries containing the result. If the input is a single image, will return a
list of dictionaries, if the input is a list of several images, will return a list of list of dictionaries
corresponding to each image.</p>
<p>The dictionaries contain the mask, label and score (where applicable) of each detected object and contains
the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The class label identified by the model.</li>
<li><strong>mask</strong> (<code>PIL.Image</code>) \u2014 A binary mask of the detected object as a Pil Image of shape (width, height) of
the original image. Returns a mask filled with zeros if no object is found.</li>
<li><strong>score</strong> (<em>optional</em> <code>float</code>) \u2014 Optionally, when the model is capable of estimating a confidence of the
\u201Cobject\u201D described by the label and the mask.</li>
</ul>
`}}),io=new q({}),lo=new $({props:{name:"class transformers.ObjectDetectionPipeline",anchor:"transformers.ObjectDetectionPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ObjectDetectionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ObjectDetectionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ObjectDetectionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ObjectDetectionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ObjectDetectionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ObjectDetectionPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ObjectDetectionPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ObjectDetectionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ObjectDetectionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ObjectDetectionPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/object_detection.py#L24"}}),bn=new C({props:{anchor:"transformers.ObjectDetectionPipeline.example",$$slots:{default:[DM]},$$scope:{ctx:j}}}),ho=new $({props:{name:"__call__",anchor:"transformers.ObjectDetectionPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ObjectDetectionPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an HTTP(S) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. Images in a batch must all be in the
same format: all as HTTP(S) links, all as local paths, or all as PIL images.`,name:"images"},{anchor:"transformers.ObjectDetectionPipeline.__call__.threshold",description:`<strong>threshold</strong> (<code>float</code>, <em>optional</em>, defaults to 0.9) &#x2014;
The probability necessary to make a prediction.`,name:"threshold"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/object_detection.py#L66",returnDescription:`
<p>A list of dictionaries or a list of list of dictionaries containing the result. If the input is a single
image, will return a list of dictionaries, if the input is a list of several images, will return a list of
list of dictionaries corresponding to each image.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The class label identified by the model.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The score attributed by the model for that label.</li>
<li><strong>box</strong> (<code>List[Dict[str, int]]</code>) \u2014 The bounding box of detected object in image\u2019s original size.</li>
</ul>
`}}),fo=new q({}),uo=new $({props:{name:"class transformers.VideoClassificationPipeline",anchor:"transformers.VideoClassificationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.VideoClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.VideoClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.VideoClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.VideoClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.VideoClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.VideoClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.VideoClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.VideoClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.VideoClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/video_classification.py#L22"}}),wo=new $({props:{name:"__call__",anchor:"transformers.VideoClassificationPipeline.__call__",parameters:[{name:"videos",val:": typing.Union[str, typing.List[str]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VideoClassificationPipeline.__call__.videos",description:`<strong>videos</strong> (<code>str</code>, <code>List[str]</code>) &#x2014;
The pipeline handles three types of videos:</p>
<ul>
<li>A string containing a http link pointing to a video</li>
<li>A string containing a local path to a video</li>
</ul>
<p>The pipeline accepts either a single video or a batch of videos, which must then be passed as a string.
Videos in a batch must all be in the same format: all as http links or all as local paths.`,name:"videos"},{anchor:"transformers.VideoClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"},{anchor:"transformers.VideoClassificationPipeline.__call__.num_frames",description:`<strong>num_frames</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.model.config.num_frames</code>) &#x2014;
The number of frames sampled from the video to run the classification on. If not provided, will default
to the number of frames specified in the model configuration.`,name:"num_frames"},{anchor:"transformers.VideoClassificationPipeline.__call__.frame_sampling_rate",description:`<strong>frame_sampling_rate</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The sampling rate used to select frames from the video. If not provided, will default to 1, i.e. every
frame will be used.`,name:"frame_sampling_rate"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/video_classification.py#L51",returnDescription:`
<p>A dictionary or a list of dictionaries containing result. If the input is a single video, will return a
dictionary, if the input is a list of several videos, will return a list of dictionaries corresponding to
the videos.</p>
<p>The dictionaries contain the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`}}),vo=new q({}),xo=new $({props:{name:"class transformers.ZeroShotImageClassificationPipeline",anchor:"transformers.ZeroShotImageClassificationPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotImageClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotImageClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotImageClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotImageClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotImageClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotImageClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotImageClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotImageClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotImageClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotImageClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/zero_shot_image_classification.py#L31"}}),Pn=new C({props:{anchor:"transformers.ZeroShotImageClassificationPipeline.example",$$slots:{default:[zM]},$$scope:{ctx:j}}}),yo=new $({props:{name:"__call__",anchor:"transformers.ZeroShotImageClassificationPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image'), typing.List[ForwardRef('Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>`,name:"images"},{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.candidate_labels",description:`<strong>candidate_labels</strong> (<code>List[str]</code>) &#x2014;
The candidate labels for this image`,name:"candidate_labels"},{anchor:"transformers.ZeroShotImageClassificationPipeline.__call__.hypothesis_template",description:`<strong>hypothesis_template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This is a photo of {}&quot;</code>) &#x2014;
The sentence used in cunjunction with <em>candidate_labels</em> to attempt the image classification by
replacing the placeholder with the candidate_labels. Then likelihood is estimated by using
logits_per_image`,name:"hypothesis_template"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/zero_shot_image_classification.py#L74",returnDescription:`
<p>A list of dictionaries containing result, one dictionary per proposed label. The dictionaries contain the
following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model. It is one of the suggested <code>candidate_label</code>.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The score attributed by the model for that label (between 0 and 1).</li>
</ul>
`}}),To=new q({}),$o=new $({props:{name:"class transformers.ZeroShotObjectDetectionPipeline",anchor:"transformers.ZeroShotObjectDetectionPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotObjectDetectionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotObjectDetectionPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/zero_shot_object_detection.py#L23"}}),$n=new C({props:{anchor:"transformers.ZeroShotObjectDetectionPipeline.example",$$slots:{default:[IM]},$$scope:{ctx:j}}}),qo=new $({props:{name:"__call__",anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__",parameters:[{name:"image",val:": typing.Union[str, ForwardRef('Image.Image'), typing.List[typing.Dict[str, typing.Any]]]"},{name:"candidate_labels",val:": typing.Union[str, typing.List[str]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotObjectDetectionPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code>, <code>PIL.Image</code> or <code>List[Dict[str, Any]]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing an http url pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>You can use this parameter to send directly a list of images, or a dataset or a generator like so:`,name:"image"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/zero_shot_object_detection.py#L65",returnDescription:`
<p>A list of lists containing prediction results, one list per input image. Each list contains dictionaries
with the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 Text query corresponding to the found object.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 Score corresponding to the object (between 0 and 1).</li>
<li><strong>box</strong> (<code>Dict[str,int]</code>) \u2014 Bounding box of the detected object in image\u2019s original size. It is a
dictionary with <code>x_min</code>, <code>x_max</code>, <code>y_min</code>, <code>y_max</code> keys.</li>
</ul>
`}}),Ao=new q({}),Co=new q({}),Do=new $({props:{name:"class transformers.Conversation",anchor:"transformers.Conversation",parameters:[{name:"text",val:": str = None"},{name:"conversation_id",val:": UUID = None"},{name:"past_user_inputs",val:" = None"},{name:"generated_responses",val:" = None"}],parametersDescription:[{anchor:"transformers.Conversation.text",description:`<strong>text</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The initial user input to start the conversation. If not provided, a user input needs to be provided
manually using the <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.Conversation.add_user_input">add_user_input()</a> method before the conversation can begin.`,name:"text"},{anchor:"transformers.Conversation.conversation_id",description:`<strong>conversation_id</strong> (<code>uuid.UUID</code>, <em>optional</em>) &#x2014;
Unique identifier for the conversation. If not provided, a random UUID4 id will be assigned to the
conversation.`,name:"conversation_id"},{anchor:"transformers.Conversation.past_user_inputs",description:`<strong>past_user_inputs</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Eventual past history of the conversation of the user. You don&#x2019;t need to pass it manually if you use the
pipeline interactively but if you want to recreate history you need to set both <code>past_user_inputs</code> and
<code>generated_responses</code> with equal length lists of strings`,name:"past_user_inputs"},{anchor:"transformers.Conversation.generated_responses",description:`<strong>generated_responses</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Eventual past history of the conversation of the model. You don&#x2019;t need to pass it manually if you use the
pipeline interactively but if you want to recreate history you need to set both <code>past_user_inputs</code> and
<code>generated_responses</code> with equal length lists of strings`,name:"generated_responses"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/conversational.py#L18"}}),An=new C({props:{anchor:"transformers.Conversation.example",$$slots:{default:[SM]},$$scope:{ctx:j}}}),zo=new $({props:{name:"add_user_input",anchor:"transformers.Conversation.add_user_input",parameters:[{name:"text",val:": str"},{name:"overwrite",val:": bool = False"}],parametersDescription:[{anchor:"transformers.Conversation.add_user_input.text",description:"<strong>text</strong> (<code>str</code>) &#x2014; The user input for the next conversation round.",name:"text"},{anchor:"transformers.Conversation.add_user_input.overwrite",description:`<strong>overwrite</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not existing and unprocessed user input should be overwritten when this function is called.`,name:"overwrite"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/conversational.py#L82"}}),So=new $({props:{name:"append_response",anchor:"transformers.Conversation.append_response",parameters:[{name:"response",val:": str"}],parametersDescription:[{anchor:"transformers.Conversation.append_response.response",description:"<strong>response</strong> (<code>str</code>) &#x2014; The model generated response.",name:"response"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/conversational.py#L115"}}),Mo=new $({props:{name:"iter_texts",anchor:"transformers.Conversation.iter_texts",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/conversational.py#L124"}}),Fo=new $({props:{name:"mark_processed",anchor:"transformers.Conversation.mark_processed",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/conversational.py#L106"}}),Lo=new $({props:{name:"class transformers.ConversationalPipeline",anchor:"transformers.ConversationalPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConversationalPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ConversationalPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ConversationalPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ConversationalPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ConversationalPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ConversationalPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ConversationalPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ConversationalPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ConversationalPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ConversationalPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.ConversationalPipeline.min_length_for_response",description:`<strong>min_length_for_response</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
The minimum length (in number of tokens) for a response.`,name:"min_length_for_response"},{anchor:"transformers.ConversationalPipeline.minimum_tokens",description:`<strong>minimum_tokens</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
The minimum length of tokens to leave for a response.`,name:"minimum_tokens"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/conversational.py#L163"}}),In=new C({props:{anchor:"transformers.ConversationalPipeline.example",$$slots:{default:[MM]},$$scope:{ctx:j}}}),Oo=new $({props:{name:"__call__",anchor:"transformers.ConversationalPipeline.__call__",parameters:[{name:"conversations",val:": typing.Union[transformers.pipelines.conversational.Conversation, typing.List[transformers.pipelines.conversational.Conversation]]"},{name:"num_workers",val:" = 0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConversationalPipeline.__call__.conversations",description:`<strong>conversations</strong> (a <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.Conversation">Conversation</a> or a list of <a href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.Conversation">Conversation</a>) &#x2014;
Conversations to generate responses for.`,name:"conversations"},{anchor:"transformers.ConversationalPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"clean_up_tokenization_spaces"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/conversational.py#L222",returnDescription:`
<p>Conversation(s) with updated generated responses for those
containing a new user input.</p>
`,returnType:`
<p><a
  href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.Conversation"
>Conversation</a> or a list of <a
  href="/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.Conversation"
>Conversation</a></p>
`}}),Uo=new q({}),Go=new $({props:{name:"class transformers.FillMaskPipeline",anchor:"transformers.FillMaskPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"image_processor",val:": typing.Optional[transformers.image_processing_utils.BaseImageProcessor] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = None"},{name:"torch_dtype",val:": typing.Union[str, ForwardRef('torch.dtype'), NoneType] = None"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FillMaskPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.FillMaskPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.FillMaskPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.FillMaskPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.FillMaskPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.FillMaskPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.FillMaskPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.FillMaskPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.FillMaskPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.FillMaskPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.FillMaskPipeline.top_k",description:`<strong>top_k</strong> (<code>int</code>, defaults to 5) &#x2014;
The number of predictions to return.`,name:"top_k"},{anchor:"transformers.FillMaskPipeline.targets",description:`<strong>targets</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
When passed, the model will limit the scores to the passed targets instead of looking up in the whole
vocab. If the provided targets are not in the model vocab, they will be tokenized and the first resulting
token will be used (with a warning, and that might be slower).`,name:"targets"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/fill_mask.py#L34"}}),Fn=new C({props:{anchor:"transformers.FillMaskPipeline.example",$$slots:{default:[FM]},$$scope:{ctx:j}}}),Ln=new bM({props:{$$slots:{default:[LM]},$$scope:{ctx:j}}}),Qo=new $({props:{name:"__call__",anchor:"transformers.FillMaskPipeline.__call__",parameters:[{name:"inputs",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FillMaskPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several texts (or one list of prompts) with masked tokens.`,name:"args"},{anchor:"transformers.FillMaskPipeline.__call__.targets",description:`<strong>targets</strong> (<code>str</code> or <code>List[str]</code>, <em>optional</em>) &#x2014;
When passed, the model will limit the scores to the passed targets instead of looking up in the whole
vocab. If the provided targets are not in the model vocab, they will be tokenized and the first
resulting token will be used (with a warning, and that might be slower).`,name:"targets"},{anchor:"transformers.FillMaskPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>) &#x2014;
When passed, overrides the number of predictions to return.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/fill_mask.py#L217",returnDescription:`
<p>Each result comes as list of dictionaries with the following keys:</p>
<ul>
<li><strong>sequence</strong> (<code>str</code>) \u2014 The corresponding input with the mask token prediction.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
<li><strong>token</strong> (<code>int</code>) \u2014 The predicted token id (to replace the masked one).</li>
<li><strong>token_str</strong> (<code>str</code>) \u2014 The predicted token (to replace the masked one).</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Ho=new q({}),Wo=new $({props:{name:"class transformers.TokenClassificationPipeline",anchor:"transformers.TokenClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.token_classification.TokenClassificationArgumentHandler object at 0x7fa52f0a7c40>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TokenClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TokenClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TokenClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TokenClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TokenClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TokenClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TokenClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TokenClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TokenClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TokenClassificationPipeline.ignore_labels",description:`<strong>ignore_labels</strong> (<code>List[str]</code>, defaults to <code>[&quot;O&quot;]</code>) &#x2014;
A list of labels to ignore.`,name:"ignore_labels"},{anchor:"transformers.TokenClassificationPipeline.grouped_entities",description:`<strong>grouped_entities</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
DEPRECATED, use <code>aggregation_strategy</code> instead. Whether or not to group the tokens corresponding to the
same entity together in the predictions or not.`,name:"grouped_entities"},{anchor:"transformers.TokenClassificationPipeline.stride",description:`<strong>stride</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If stride is provided, the pipeline is applied on all the text. The text is split into chunks of size
model_max_length. Works only with fast tokenizers and <code>aggregation_strategy</code> different from <code>NONE</code>.`,name:"stride"},{anchor:"transformers.TokenClassificationPipeline.aggregation_strategy",description:`<strong>aggregation_strategy</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014;
The strategy to fuse (or not) tokens based on the model prediction.</p>
<ul>
<li>&#x201C;none&#x201D; : Will simply not do any aggregation and simply return raw results from the model</li>
<li>&#x201C;simple&#x201D; : Will attempt to group entities following the default schema. (A, B-TAG), (B, I-TAG), (C,
I-TAG), (D, B-TAG2) (E, B-TAG2) will end up being [{&#x201C;word&#x201D;: ABC, &#x201C;entity&#x201D;: &#x201C;TAG&#x201D;}, {&#x201C;word&#x201D;: &#x201C;D&#x201D;,
&#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}, {&#x201C;word&#x201D;: &#x201C;E&#x201D;, &#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}] Notice that two consecutive B tags will end up as
different entities. On word based languages, we might end up splitting words undesirably : Imagine
Microsoft being tagged as [{&#x201C;word&#x201D;: &#x201C;Micro&#x201D;, &#x201C;entity&#x201D;: &#x201C;ENTERPRISE&#x201D;}, {&#x201C;word&#x201D;: &#x201C;soft&#x201D;, &#x201C;entity&#x201D;:
&#x201C;NAME&#x201D;}]. Look for FIRST, MAX, AVERAGE for ways to mitigate that and disambiguate words (on languages
that support that meaning, which is basically tokens separated by a space). These mitigations will
only work on real words, &#x201C;New york&#x201D; might still be tagged with two different entities.</li>
<li>&#x201C;first&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Words will simply use the tag of the first token of the word when there
is ambiguity.</li>
<li>&#x201C;average&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words,
cannot end up with different tags. scores will be averaged first across tokens, and then the maximum
label is applied.</li>
<li>&#x201C;max&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Word entity will simply be the token with the maximum score.</li>
</ul>`,name:"aggregation_strategy"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L94"}}),Un=new C({props:{anchor:"transformers.TokenClassificationPipeline.example",$$slots:{default:[NM]},$$scope:{ctx:j}}}),Yo=new $({props:{name:"aggregate_words",anchor:"transformers.TokenClassificationPipeline.aggregate_words",parameters:[{name:"entities",val:": typing.List[dict]"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L464"}}),Ko=new $({props:{name:"gather_pre_entities",anchor:"transformers.TokenClassificationPipeline.gather_pre_entities",parameters:[{name:"sentence",val:": str"},{name:"input_ids",val:": ndarray"},{name:"scores",val:": ndarray"},{name:"offset_mapping",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType]"},{name:"special_tokens_mask",val:": ndarray"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L350"}}),Xo=new $({props:{name:"group_entities",anchor:"transformers.TokenClassificationPipeline.group_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L526"}}),Jo=new $({props:{name:"group_sub_entities",anchor:"transformers.TokenClassificationPipeline.group_sub_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_sub_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L491"}}),ei=new q({}),ti=new $({props:{name:"class transformers.QuestionAnsweringPipeline",anchor:"transformers.QuestionAnsweringPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": PreTrainedTokenizer"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.QuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.QuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.QuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.QuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.QuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.QuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.QuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.QuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.QuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/question_answering.py#L224"}}),Wn=new C({props:{anchor:"transformers.QuestionAnsweringPipeline.example",$$slots:{default:[OM]},$$scope:{ctx:j}}}),ai=new $({props:{name:"__call__",anchor:"transformers.QuestionAnsweringPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.__call__.args",description:`<strong>args</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>) &#x2014;
One or several <code>SquadExample</code> containing the question and context.`,name:"args"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.X",description:`<strong>X</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>, <em>optional</em>) &#x2014;
One or several <code>SquadExample</code> containing the question and context (will be treated the same way as if
passed as the first positional argument).`,name:"X"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.data",description:`<strong>data</strong> (<code>SquadExample</code> or a list of <code>SquadExample</code>, <em>optional</em>) &#x2014;
One or several <code>SquadExample</code> containing the question and context (will be treated the same way as if
passed as the first positional argument).`,name:"data"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several question(s) (must be used in conjunction with the <code>context</code> argument).`,name:"question"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.context",description:`<strong>context</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several context(s) associated with the question(s) (must be used in conjunction with the
<code>question</code> argument).`,name:"context"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.topk",description:`<strong>topk</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of answers to return (will be chosen by order of likelihood). Note that we return less than
topk answers if there are not enough options available within the context.`,name:"topk"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.doc_stride",description:`<strong>doc_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
If the context is too long to fit with the question for the model, it will be split in several chunks
with some overlap. This argument controls the size of that overlap.`,name:"doc_stride"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_answer_len",description:`<strong>max_answer_len</strong> (<code>int</code>, <em>optional</em>, defaults to 15) &#x2014;
The maximum length of predicted answers (e.g., only answers with a shorter length are considered).`,name:"max_answer_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The maximum length of the total sentence (context + question) in tokens of each chunk passed to the
model. The context will be split in several chunks (using <code>doc_stride</code> as overlap) if needed.`,name:"max_seq_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.max_question_len",description:`<strong>max_question_len</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
The maximum length of the question after tokenization. It will be truncated if needed.`,name:"max_question_len"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.handle_impossible_answer",description:`<strong>handle_impossible_answer</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not we accept impossible as an answer.`,name:"handle_impossible_answer"},{anchor:"transformers.QuestionAnsweringPipeline.__call__.align_to_words",description:`<strong>align_to_words</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Attempts to align the answer to real words. Improves quality on space separated langages. Might hurt on
non-space-separated languages (like Japanese or Chinese)`,name:"align_to_words"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/question_answering.py#L340",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>score</strong> (<code>float</code>) \u2014 The probability associated to the answer.</li>
<li><strong>start</strong> (<code>int</code>) \u2014 The character start index of the answer (in the tokenized version of the input).</li>
<li><strong>end</strong> (<code>int</code>) \u2014 The character end index of the answer (in the tokenized version of the input).</li>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer to the question.</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),ri=new $({props:{name:"create_sample",anchor:"transformers.QuestionAnsweringPipeline.create_sample",parameters:[{name:"question",val:": typing.Union[str, typing.List[str]]"},{name:"context",val:": typing.Union[str, typing.List[str]]"}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.create_sample.question",description:"<strong>question</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; The question(s) asked.",name:"question"},{anchor:"transformers.QuestionAnsweringPipeline.create_sample.context",description:"<strong>context</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; The context(s) in which we will look for the answer.",name:"context"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/question_answering.py#L275",returnDescription:`
<p>The corresponding <code>SquadExample</code> grouping question and context.</p>
`,returnType:`
<p>One or a list of <code>SquadExample</code></p>
`}}),oi=new $({props:{name:"span_to_answer",anchor:"transformers.QuestionAnsweringPipeline.span_to_answer",parameters:[{name:"text",val:": str"},{name:"start",val:": int"},{name:"end",val:": int"}],parametersDescription:[{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.text",description:"<strong>text</strong> (<code>str</code>) &#x2014; The actual context to extract the answer from.",name:"text"},{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.start",description:"<strong>start</strong> (<code>int</code>) &#x2014; The answer starting token index.",name:"start"},{anchor:"transformers.QuestionAnsweringPipeline.span_to_answer.end",description:"<strong>end</strong> (<code>int</code>) &#x2014; The answer end token index.",name:"end"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/question_answering.py#L623",returnDescription:`
<p>str, \u2018start\u2019: int, \u2018end\u2019: int}\`</p>
`,returnType:`
<p>Dictionary like \`{\u2018answer\u2019</p>
`}}),ii=new q({}),li=new $({props:{name:"class transformers.SummarizationPipeline",anchor:"transformers.SummarizationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SummarizationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.SummarizationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.SummarizationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.SummarizationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.SummarizationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.SummarizationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.SummarizationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.SummarizationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.SummarizationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.SummarizationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text2text_generation.py#L213"}}),Kn=new C({props:{anchor:"transformers.SummarizationPipeline.example",$$slots:{default:[UM]},$$scope:{ctx:j}}}),di=new $({props:{name:"__call__",anchor:"transformers.SummarizationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.SummarizationPipeline.__call__.documents",description:`<strong>documents</strong> (<em>str</em> or <code>List[str]</code>) &#x2014;
One or several articles (or one list of articles) to summarize.`,name:"documents"},{anchor:"transformers.SummarizationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs`,name:"return_text"},{anchor:"transformers.SummarizationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.SummarizationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"clean_up_tokenization_spaces"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text2text_generation.py#L241",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>summary_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The summary of the corresponding input.</li>
<li><strong>summary_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the summary.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),mi=new q({}),hi=new $({props:{name:"class transformers.TableQuestionAnsweringPipeline",anchor:"transformers.TableQuestionAnsweringPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.table_question_answering.TableQuestionAnsweringArgumentHandler object at 0x7fa52f09f220>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TableQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TableQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TableQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TableQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TableQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TableQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TableQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TableQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TableQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TableQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/table_question_answering.py#L88"}}),ea=new C({props:{anchor:"transformers.TableQuestionAnsweringPipeline.example",$$slots:{default:[GM]},$$scope:{ctx:j}}}),_i=new $({props:{name:"__call__",anchor:"transformers.TableQuestionAnsweringPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.table",description:`<strong>table</strong> (<code>pd.DataFrame</code> or <code>Dict</code>) &#x2014;
Pandas DataFrame or dictionary that will be converted to a DataFrame containing all the table values.
See above for an example of dictionary.`,name:"table"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.query",description:`<strong>query</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Query or list of queries that will be sent to the model alongside the table.`,name:"query"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.sequential",description:`<strong>sequential</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to do inference sequentially or as a batch. Batching is faster, but models like SQA require the
inference to be done sequentially to extract relations within sequences, given their conversational
nature.`,name:"sequential"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.padding",description:`<strong>padding</strong> (<code>bool</code>, <code>str</code> or <a href="/docs/transformers/pr_21334/en/internal/file_utils#transformers.utils.PaddingStrategy">PaddingStrategy</a>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls padding. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;longest&apos;</code>: Pad to the longest sequence in the batch (or no padding if only a single
sequence if provided).</li>
<li><code>&apos;max_length&apos;</code>: Pad to a maximum length specified with the argument <code>max_length</code> or to the maximum
acceptable input length for the model if that argument is not provided.</li>
<li><code>False</code> or <code>&apos;do_not_pad&apos;</code> (default): No padding (i.e., can output a batch with sequences of different
lengths).</li>
</ul>`,name:"padding"},{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.truncation",description:`<strong>truncation</strong> (<code>bool</code>, <code>str</code> or <code>TapasTruncationStrategy</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Activates and controls truncation. Accepts the following values:</p>
<ul>
<li><code>True</code> or <code>&apos;drop_rows_to_fit&apos;</code>: Truncate to a maximum length specified with the argument <code>max_length</code>
or to the maximum acceptable input length for the model if that argument is not provided. This will
truncate row by row, removing rows from the table.</li>
<li><code>False</code> or <code>&apos;do_not_truncate&apos;</code> (default): No truncation (i.e., can output batch with sequence lengths
greater than the model maximum admissible input size).</li>
</ul>`,name:"truncation"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/table_question_answering.py#L273",returnDescription:`
<p>Each result is a dictionary with the following
keys:</p>
<ul>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer of the query given the table. If there is an aggregator, the answer will
be preceded by <code>AGGREGATOR &gt;</code>.</li>
<li><strong>coordinates</strong> (<code>List[Tuple[int, int]]</code>) \u2014 Coordinates of the cells of the answers.</li>
<li><strong>cells</strong> (<code>List[str]</code>) \u2014 List of strings made up of the answer cell values.</li>
<li><strong>aggregator</strong> (<code>str</code>) \u2014 If the model has an aggregator, this returns the aggregator.</li>
</ul>
`,returnType:`
<p>A dictionary or a list of dictionaries containing results</p>
`}}),ta=new C({props:{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.example",$$slots:{default:[RM]},$$scope:{ctx:j}}}),sa=new C({props:{anchor:"transformers.TableQuestionAnsweringPipeline.__call__.example-2",$$slots:{default:[VM]},$$scope:{ctx:j}}}),wi=new q({}),vi=new $({props:{name:"class transformers.TextClassificationPipeline",anchor:"transformers.TextClassificationPipeline",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TextClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TextClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TextClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TextClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TextClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TextClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TextClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TextClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TextClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TextClassificationPipeline.return_all_scores",description:`<strong>return_all_scores</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to return all prediction scores or just the one of the predicted class.`,name:"return_all_scores"},{anchor:"transformers.TextClassificationPipeline.function_to_apply",description:`<strong>function_to_apply</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014;
The function to apply to the model outputs in order to retrieve the scores. Accepts four different values:</p>
<ul>
<li><code>&quot;default&quot;</code>: if the model has a single label, will apply the sigmoid function on the output. If the model
has several labels, will apply the softmax function on the output.</li>
<li><code>&quot;sigmoid&quot;</code>: Applies the sigmoid function on the output.</li>
<li><code>&quot;softmax&quot;</code>: Applies the softmax function on the output.</li>
<li><code>&quot;none&quot;</code>: Does not apply any function on the output.</li>
</ul>`,name:"function_to_apply"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text_classification.py#L48"}}),aa=new C({props:{anchor:"transformers.TextClassificationPipeline.example",$$slots:{default:[QM]},$$scope:{ctx:j}}}),yi=new $({props:{name:"__call__",anchor:"transformers.TextClassificationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextClassificationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code> or <code>Dict[str]</code>, or <code>List[Dict[str]]</code>) &#x2014;
One or several texts to classify. In order to use text pairs for your classification, you can send a
dictionary containing <code>{&quot;text&quot;, &quot;text_pair&quot;}</code> keys, or a list of those.`,name:"args"},{anchor:"transformers.TextClassificationPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014;
How many results to return.`,name:"top_k"},{anchor:"transformers.TextClassificationPipeline.__call__.function_to_apply",description:`<strong>function_to_apply</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014;
The function to apply to the model outputs in order to retrieve the scores. Accepts four different
values:</p>
<p>If this argument is not specified, then it will apply the following functions according to the number
of labels:</p>
<ul>
<li>If the model has a single label, will apply the sigmoid function on the output.</li>
<li>If the model has several labels, will apply the softmax function on the output.</li>
</ul>
<p>Possible values are:</p>
<ul>
<li><code>&quot;sigmoid&quot;</code>: Applies the sigmoid function on the output.</li>
<li><code>&quot;softmax&quot;</code>: Applies the softmax function on the output.</li>
<li><code>&quot;none&quot;</code>: Does not apply any function on the output.</li>
</ul>`,name:"function_to_apply"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text_classification.py#L121",returnDescription:`
<p>Each result comes as list of dictionaries with the following keys:</p>
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label predicted.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability.</li>
</ul>
<p>If <code>top_k</code> is used, one such dictionary is returned per label.</p>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Ti=new q({}),$i=new $({props:{name:"class transformers.TextGenerationPipeline",anchor:"transformers.TextGenerationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextGenerationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TextGenerationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TextGenerationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TextGenerationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TextGenerationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TextGenerationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TextGenerationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TextGenerationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TextGenerationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TextGenerationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text_generation.py#L20"}}),ia=new C({props:{anchor:"transformers.TextGenerationPipeline.example",$$slots:{default:[HM]},$$scope:{ctx:j}}}),Ai=new $({props:{name:"__call__",anchor:"transformers.TextGenerationPipeline.__call__",parameters:[{name:"text_inputs",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TextGenerationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several prompts (or one list of prompts) to complete.`,name:"args"},{anchor:"transformers.TextGenerationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return the tensors of predictions (as token indices) in the outputs. If set to
<code>True</code>, the decoded text is not returned.`,name:"return_tensors"},{anchor:"transformers.TextGenerationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.TextGenerationPipeline.__call__.return_full_text",description:`<strong>return_full_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>False</code> only added text is returned, otherwise the full text is returned. Only meaningful if
<em>return_text</em> is set to True.`,name:"return_full_text"},{anchor:"transformers.TextGenerationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.TextGenerationPipeline.__call__.prefix",description:`<strong>prefix</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Prefix added to prompt.`,name:"prefix"},{anchor:"transformers.TextGenerationPipeline.__call__.handle_long_generation",description:`<strong>handle_long_generation</strong> (<code>str</code>, <em>optional</em>) &#x2014;
By default, this pipelines does not handle long generation (ones that exceed in one form or the other
the model maximum length). There is no perfect way to adress this (more info
:<a href="https://github.com/huggingface/transformers/issues/14033#issuecomment-948385227" rel="nofollow">https://github.com/huggingface/transformers/issues/14033#issuecomment-948385227</a>). This provides common
strategies to work around that problem depending on your use case.</p>
<ul>
<li><code>None</code> : default strategy where nothing in particular happens</li>
<li><code>&quot;hole&quot;</code>: Truncates left of input, and leaves a gap wide enough to let generation happen (might
truncate a lot of the prompt and not suitable when generation exceed the model capacity)</li>
</ul>
<p>generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"handle_long_generation"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text_generation.py#L168",returnDescription:`
<p>Returns one of the following dictionaries (cannot return a combination
of both <code>generated_text</code> and <code>generated_token_ids</code>):</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The generated text.</li>
<li><strong>generated_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Ci=new q({}),Di=new $({props:{name:"class transformers.Text2TextGenerationPipeline",anchor:"transformers.Text2TextGenerationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Text2TextGenerationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.Text2TextGenerationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.Text2TextGenerationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.Text2TextGenerationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.Text2TextGenerationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.Text2TextGenerationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.Text2TextGenerationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.Text2TextGenerationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.Text2TextGenerationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.Text2TextGenerationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text2text_generation.py#L26"}}),ca=new C({props:{anchor:"transformers.Text2TextGenerationPipeline.example",$$slots:{default:[WM]},$$scope:{ctx:j}}}),ma=new C({props:{anchor:"transformers.Text2TextGenerationPipeline.example-2",$$slots:{default:[ZM]},$$scope:{ctx:j}}}),Si=new $({props:{name:"__call__",anchor:"transformers.Text2TextGenerationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Text2TextGenerationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Input text for the encoder.`,name:"args"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.Text2TextGenerationPipeline.__call__.truncation",description:`<strong>truncation</strong> (<code>TruncationStrategy</code>, <em>optional</em>, defaults to <code>TruncationStrategy.DO_NOT_TRUNCATE</code>) &#x2014;
The truncation strategy for the tokenization within the pipeline. <code>TruncationStrategy.DO_NOT_TRUNCATE</code>
(default) will never truncate, but it is sometimes desirable to truncate the input to fit the model&#x2019;s
max_length instead of throwing an error down the line.
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"truncation"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text2text_generation.py#L136",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The generated text.</li>
<li><strong>generated_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The token
ids of the generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Mi=new $({props:{name:"check_inputs",anchor:"transformers.Text2TextGenerationPipeline.check_inputs",parameters:[{name:"input_length",val:": int"},{name:"min_length",val:": int"},{name:"max_length",val:": int"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text2text_generation.py#L109"}}),Fi=new q({}),Li=new $({props:{name:"class transformers.TokenClassificationPipeline",anchor:"transformers.TokenClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.token_classification.TokenClassificationArgumentHandler object at 0x7fa52f0a7c40>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TokenClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TokenClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TokenClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TokenClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TokenClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TokenClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TokenClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TokenClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TokenClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"},{anchor:"transformers.TokenClassificationPipeline.ignore_labels",description:`<strong>ignore_labels</strong> (<code>List[str]</code>, defaults to <code>[&quot;O&quot;]</code>) &#x2014;
A list of labels to ignore.`,name:"ignore_labels"},{anchor:"transformers.TokenClassificationPipeline.grouped_entities",description:`<strong>grouped_entities</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
DEPRECATED, use <code>aggregation_strategy</code> instead. Whether or not to group the tokens corresponding to the
same entity together in the predictions or not.`,name:"grouped_entities"},{anchor:"transformers.TokenClassificationPipeline.stride",description:`<strong>stride</strong> (<code>int</code>, <em>optional</em>) &#x2014;
If stride is provided, the pipeline is applied on all the text. The text is split into chunks of size
model_max_length. Works only with fast tokenizers and <code>aggregation_strategy</code> different from <code>NONE</code>.`,name:"stride"},{anchor:"transformers.TokenClassificationPipeline.aggregation_strategy",description:`<strong>aggregation_strategy</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;none&quot;</code>) &#x2014;
The strategy to fuse (or not) tokens based on the model prediction.</p>
<ul>
<li>&#x201C;none&#x201D; : Will simply not do any aggregation and simply return raw results from the model</li>
<li>&#x201C;simple&#x201D; : Will attempt to group entities following the default schema. (A, B-TAG), (B, I-TAG), (C,
I-TAG), (D, B-TAG2) (E, B-TAG2) will end up being [{&#x201C;word&#x201D;: ABC, &#x201C;entity&#x201D;: &#x201C;TAG&#x201D;}, {&#x201C;word&#x201D;: &#x201C;D&#x201D;,
&#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}, {&#x201C;word&#x201D;: &#x201C;E&#x201D;, &#x201C;entity&#x201D;: &#x201C;TAG2&#x201D;}] Notice that two consecutive B tags will end up as
different entities. On word based languages, we might end up splitting words undesirably : Imagine
Microsoft being tagged as [{&#x201C;word&#x201D;: &#x201C;Micro&#x201D;, &#x201C;entity&#x201D;: &#x201C;ENTERPRISE&#x201D;}, {&#x201C;word&#x201D;: &#x201C;soft&#x201D;, &#x201C;entity&#x201D;:
&#x201C;NAME&#x201D;}]. Look for FIRST, MAX, AVERAGE for ways to mitigate that and disambiguate words (on languages
that support that meaning, which is basically tokens separated by a space). These mitigations will
only work on real words, &#x201C;New york&#x201D; might still be tagged with two different entities.</li>
<li>&#x201C;first&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Words will simply use the tag of the first token of the word when there
is ambiguity.</li>
<li>&#x201C;average&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words,
cannot end up with different tags. scores will be averaged first across tokens, and then the maximum
label is applied.</li>
<li>&#x201C;max&#x201D; : (works only on word based models) Will use the <code>SIMPLE</code> strategy except that words, cannot
end up with different tags. Word entity will simply be the token with the maximum score.</li>
</ul>`,name:"aggregation_strategy"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L94"}}),ga=new C({props:{anchor:"transformers.TokenClassificationPipeline.example",$$slots:{default:[BM]},$$scope:{ctx:j}}}),Ui=new $({props:{name:"__call__",anchor:"transformers.TokenClassificationPipeline.__call__",parameters:[{name:"inputs",val:": typing.Union[str, typing.List[str]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.__call__.inputs",description:`<strong>inputs</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
One or several texts (or one list of texts) for token classification.`,name:"inputs"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L213",returnDescription:`
<p>Each result comes as a list of dictionaries (one for each token in the
corresponding input, or each entity if this pipeline was instantiated with an aggregation_strategy) with
the following keys:</p>
<ul>
<li><strong>word</strong> (<code>str</code>) \u2014 The token/word classified. This is obtained by decoding the selected tokens. If you
want to have the exact string in the original sentence, use <code>start</code> and <code>end</code>.</li>
<li><strong>score</strong> (<code>float</code>) \u2014 The corresponding probability for <code>entity</code>.</li>
<li><strong>entity</strong> (<code>str</code>) \u2014 The entity predicted for that token/word (it is named <em>entity_group</em> when
<em>aggregation_strategy</em> is not <code>"none"</code>.</li>
<li><strong>index</strong> (<code>int</code>, only present when <code>aggregation_strategy="none"</code>) \u2014 The index of the corresponding
token in the sentence.</li>
<li><strong>start</strong> (<code>int</code>, <em>optional</em>) \u2014 The index of the start of the corresponding entity in the sentence. Only
exists if the offsets are available within the tokenizer</li>
<li><strong>end</strong> (<code>int</code>, <em>optional</em>) \u2014 The index of the end of the corresponding entity in the sentence. Only
exists if the offsets are available within the tokenizer</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Gi=new $({props:{name:"aggregate_words",anchor:"transformers.TokenClassificationPipeline.aggregate_words",parameters:[{name:"entities",val:": typing.List[dict]"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L464"}}),Ri=new $({props:{name:"gather_pre_entities",anchor:"transformers.TokenClassificationPipeline.gather_pre_entities",parameters:[{name:"sentence",val:": str"},{name:"input_ids",val:": ndarray"},{name:"scores",val:": ndarray"},{name:"offset_mapping",val:": typing.Union[typing.List[typing.Tuple[int, int]], NoneType]"},{name:"special_tokens_mask",val:": ndarray"},{name:"aggregation_strategy",val:": AggregationStrategy"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L350"}}),Vi=new $({props:{name:"group_entities",anchor:"transformers.TokenClassificationPipeline.group_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L526"}}),Qi=new $({props:{name:"group_sub_entities",anchor:"transformers.TokenClassificationPipeline.group_sub_entities",parameters:[{name:"entities",val:": typing.List[dict]"}],parametersDescription:[{anchor:"transformers.TokenClassificationPipeline.group_sub_entities.entities",description:"<strong>entities</strong> (<code>dict</code>) &#x2014; The entities predicted by the pipeline.",name:"entities"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/token_classification.py#L491"}}),Hi=new q({}),Wi=new $({props:{name:"class transformers.TranslationPipeline",anchor:"transformers.TranslationPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TranslationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.TranslationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.TranslationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.TranslationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.TranslationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.TranslationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.TranslationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.TranslationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.TranslationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.TranslationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text2text_generation.py#L282"}}),Pa=new C({props:{anchor:"transformers.TranslationPipeline.example",$$slots:{default:[YM]},$$scope:{ctx:j}}}),Yi=new $({props:{name:"__call__",anchor:"transformers.TranslationPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TranslationPipeline.__call__.args",description:`<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
Texts to be translated.`,name:"args"},{anchor:"transformers.TranslationPipeline.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to include the tensors of predictions (as token indices) in the outputs.`,name:"return_tensors"},{anchor:"transformers.TranslationPipeline.__call__.return_text",description:`<strong>return_text</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to include the decoded texts in the outputs.`,name:"return_text"},{anchor:"transformers.TranslationPipeline.__call__.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to clean up the potential extra spaces in the text output.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.TranslationPipeline.__call__.src_lang",description:`<strong>src_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the input. Might be required for multilingual models. Will not have any effect for
single pair translation models`,name:"src_lang"},{anchor:"transformers.TranslationPipeline.__call__.tgt_lang",description:`<strong>tgt_lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the desired output. Might be required for multilingual models. Will not have any effect
for single pair translation models
generate_kwargs &#x2014;
Additional keyword arguments to pass along to the generate method of the model (see the generate method
corresponding to your framework <a href="./model#generative-models">here</a>).`,name:"tgt_lang"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/text2text_generation.py#L336",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>translation_text</strong> (<code>str</code>, present when <code>return_text=True</code>) \u2014 The translation.</li>
<li><strong>translation_token_ids</strong> (<code>torch.Tensor</code> or <code>tf.Tensor</code>, present when <code>return_tensors=True</code>) \u2014 The
token ids of the translation.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),Ki=new q({}),Xi=new $({props:{name:"class transformers.ZeroShotClassificationPipeline",anchor:"transformers.ZeroShotClassificationPipeline",parameters:[{name:"args_parser",val:" = <transformers.pipelines.zero_shot_classification.ZeroShotClassificationArgumentHandler object at 0x7fa52a443580>"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotClassificationPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ZeroShotClassificationPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ZeroShotClassificationPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ZeroShotClassificationPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ZeroShotClassificationPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ZeroShotClassificationPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ZeroShotClassificationPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ZeroShotClassificationPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ZeroShotClassificationPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ZeroShotClassificationPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/zero_shot_classification.py#L46"}}),$a=new C({props:{anchor:"transformers.ZeroShotClassificationPipeline.example",$$slots:{default:[KM]},$$scope:{ctx:j}}}),tl=new $({props:{name:"__call__",anchor:"transformers.ZeroShotClassificationPipeline.__call__",parameters:[{name:"sequences",val:": typing.Union[str, typing.List[str]]"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ZeroShotClassificationPipeline.__call__.sequences",description:`<strong>sequences</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The sequence(s) to classify, will be truncated if the model input is too large.`,name:"sequences"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.candidate_labels",description:`<strong>candidate_labels</strong> (<code>str</code> or <code>List[str]</code>) &#x2014;
The set of possible class labels to classify each sequence into. Can be a single label, a string of
comma-separated labels, or a list of labels.`,name:"candidate_labels"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.hypothesis_template",description:`<strong>hypothesis_template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This example is {}.&quot;</code>) &#x2014;
The template used to turn each label into an NLI-style hypothesis. This template must include a {} or
similar syntax for the candidate label to be inserted into the template. For example, the default
template is <code>&quot;This example is {}.&quot;</code> With the candidate label <code>&quot;sports&quot;</code>, this would be fed into the
model like <code>&quot;&lt;cls&gt; sequence to classify &lt;sep&gt; This example is sports . &lt;sep&gt;&quot;</code>. The default template
works well in many cases, but it may be worthwhile to experiment with different templates depending on
the task setting.`,name:"hypothesis_template"},{anchor:"transformers.ZeroShotClassificationPipeline.__call__.multi_label",description:`<strong>multi_label</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not multiple candidate labels can be true. If <code>False</code>, the scores are normalized such that
the sum of the label likelihoods for each sequence is 1. If <code>True</code>, the labels are considered
independent and probabilities are normalized for each candidate by doing a softmax of the entailment
score vs. the contradiction score.`,name:"multi_label"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/zero_shot_classification.py#L162",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>sequence</strong> (<code>str</code>) \u2014 The sequence for which this is the output.</li>
<li><strong>labels</strong> (<code>List[str]</code>) \u2014 The labels sorted by order of likelihood.</li>
<li><strong>scores</strong> (<code>List[float]</code>) \u2014 The probabilities for each of the labels.</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),nl=new q({}),al=new q({}),rl=new $({props:{name:"class transformers.DocumentQuestionAnsweringPipeline",anchor:"transformers.DocumentQuestionAnsweringPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DocumentQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/document_question_answering.py#L102"}}),Aa=new C({props:{anchor:"transformers.DocumentQuestionAnsweringPipeline.example",$$slots:{default:[XM]},$$scope:{ctx:j}}}),pl=new $({props:{name:"__call__",anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__",parameters:[{name:"image",val:": typing.Union[ForwardRef('Image.Image'), str]"},{name:"question",val:": typing.Optional[str] = None"},{name:"word_boxes",val:": typing.Tuple[str, typing.List[float]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code> or <code>PIL.Image</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. If given a single image, it can be
broadcasted to multiple questions.`,name:"image"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code>) &#x2014;
A question to ask of the document.`,name:"question"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.word_boxes",description:`<strong>word_boxes</strong> (<code>List[str, Tuple[float, float, float, float]]</code>, <em>optional</em>) &#x2014;
A list of words and bounding boxes (normalized 0-&gt;1000). If you provide this optional input, then the
pipeline will use these words and boxes instead of running OCR on the image to derive them for models
that need them (e.g. LayoutLM). This allows you to reuse OCR&#x2019;d results across many invocations of the
pipeline without having to re-run it each time.`,name:"word_boxes"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of answers to return (will be chosen by order of likelihood). Note that we return less than
top_k answers if there are not enough options available within the context.`,name:"top_k"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.doc_stride",description:`<strong>doc_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
If the words in the document are too long to fit with the question for the model, it will be split in
several chunks with some overlap. This argument controls the size of that overlap.`,name:"doc_stride"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_answer_len",description:`<strong>max_answer_len</strong> (<code>int</code>, <em>optional</em>, defaults to 15) &#x2014;
The maximum length of predicted answers (e.g., only answers with a shorter length are considered).`,name:"max_answer_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_seq_len",description:`<strong>max_seq_len</strong> (<code>int</code>, <em>optional</em>, defaults to 384) &#x2014;
The maximum length of the total sentence (context + question) in tokens of each chunk passed to the
model. The context will be split in several chunks (using <code>doc_stride</code> as overlap) if needed.`,name:"max_seq_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.max_question_len",description:`<strong>max_question_len</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
The maximum length of the question after tokenization. It will be truncated if needed.`,name:"max_question_len"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.handle_impossible_answer",description:`<strong>handle_impossible_answer</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not we accept impossible as an answer.`,name:"handle_impossible_answer"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.lang",description:`<strong>lang</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Language to use while running OCR. Defaults to english.`,name:"lang"},{anchor:"transformers.DocumentQuestionAnsweringPipeline.__call__.tesseract_config",description:`<strong>tesseract_config</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Additional flags to pass to tesseract while running OCR.`,name:"tesseract_config"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/document_question_answering.py#L186",returnDescription:`
<p>Each result comes as a dictionary with the following keys:</p>
<ul>
<li><strong>score</strong> (<code>float</code>) \u2014 The probability associated to the answer.</li>
<li><strong>start</strong> (<code>int</code>) \u2014 The start word index of the answer (in the OCR\u2019d version of the input or provided
<code>word_boxes</code>).</li>
<li><strong>end</strong> (<code>int</code>) \u2014 The end word index of the answer (in the OCR\u2019d version of the input or provided
<code>word_boxes</code>).</li>
<li><strong>answer</strong> (<code>str</code>) \u2014 The answer to the question.</li>
<li><strong>words</strong> (<code>list[int]</code>) \u2014 The index of each word/box pair that is in the answer</li>
</ul>
`,returnType:`
<p>A <code>dict</code> or a list of <code>dict</code></p>
`}}),dl=new q({}),ml=new $({props:{name:"class transformers.FeatureExtractionPipeline",anchor:"transformers.FeatureExtractionPipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"image_processor",val:": typing.Optional[transformers.image_processing_utils.BaseImageProcessor] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = None"},{name:"torch_dtype",val:": typing.Union[str, ForwardRef('torch.dtype'), NoneType] = None"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FeatureExtractionPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.FeatureExtractionPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.FeatureExtractionPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.FeatureExtractionPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.FeatureExtractionPipeline.return_tensors",description:`<strong>return_tensors</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If <code>True</code>, returns a tensor according to the specified framework, otherwise returns a list.`,name:"return_tensors"},{anchor:"transformers.FeatureExtractionPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.FeatureExtractionPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.FeatureExtractionPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id.`,name:"device"},{anchor:"transformers.FeatureExtractionPipeline.tokenize_kwargs",description:`<strong>tokenize_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Additional dictionary of keyword arguments passed along to the tokenizer.`,name:"tokenize_kwargs"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/feature_extraction.py#L7"}}),Da=new C({props:{anchor:"transformers.FeatureExtractionPipeline.example",$$slots:{default:[JM]},$$scope:{ctx:j}}}),ul=new $({props:{name:"__call__",anchor:"transformers.FeatureExtractionPipeline.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FeatureExtractionPipeline.__call__.args",description:"<strong>args</strong> (<code>str</code> or <code>List[str]</code>) &#x2014; One or several texts (or one list of texts) to get the features of.",name:"args"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/feature_extraction.py#L97",returnDescription:`
<p>The features computed by the model.</p>
`,returnType:`
<p>A nested list of <code>float</code></p>
`}}),gl=new q({}),_l=new $({props:{name:"class transformers.ImageToTextPipeline",anchor:"transformers.ImageToTextPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageToTextPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.ImageToTextPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.ImageToTextPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.ImageToTextPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.ImageToTextPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.ImageToTextPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.ImageToTextPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.ImageToTextPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.ImageToTextPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.ImageToTextPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/image_to_text.py#L29"}}),Sa=new C({props:{anchor:"transformers.ImageToTextPipeline.example",$$slots:{default:[eF]},$$scope:{ctx:j}}}),xl=new $({props:{name:"__call__",anchor:"transformers.ImageToTextPipeline.__call__",parameters:[{name:"images",val:": typing.Union[str, typing.List[str], ForwardRef('Image.Image'), typing.List[ForwardRef('Image.Image')]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ImageToTextPipeline.__call__.images",description:`<strong>images</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a HTTP(s) link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images.`,name:"images"},{anchor:"transformers.ImageToTextPipeline.__call__.max_new_tokens",description:`<strong>max_new_tokens</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The amount of maximum tokens to generate. By default it will use <code>generate</code> default.`,name:"max_new_tokens"},{anchor:"transformers.ImageToTextPipeline.__call__.generate_kwargs",description:`<strong>generate_kwargs</strong> (<code>Dict</code>, <em>optional</em>) &#x2014;
Pass it to send all of these arguments directly to <code>generate</code> allowing full control of this function.`,name:"generate_kwargs"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/image_to_text.py#L74",returnDescription:`
<p>Each result comes as a dictionary with the following key:</p>
<ul>
<li><strong>generated_text</strong> (<code>str</code>) \u2014 The generated text.</li>
</ul>
`,returnType:`
<p>A list or a list of list of <code>dict</code></p>
`}}),kl=new q({}),Pl=new $({props:{name:"class transformers.VisualQuestionAnsweringPipeline",anchor:"transformers.VisualQuestionAnsweringPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisualQuestionAnsweringPipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.VisualQuestionAnsweringPipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.VisualQuestionAnsweringPipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.VisualQuestionAnsweringPipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.VisualQuestionAnsweringPipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.VisualQuestionAnsweringPipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.VisualQuestionAnsweringPipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.VisualQuestionAnsweringPipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.VisualQuestionAnsweringPipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.VisualQuestionAnsweringPipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/visual_question_answering.py#L19"}}),La=new C({props:{anchor:"transformers.VisualQuestionAnsweringPipeline.example",$$slots:{default:[tF]},$$scope:{ctx:j}}}),jl=new $({props:{name:"__call__",anchor:"transformers.VisualQuestionAnsweringPipeline.__call__",parameters:[{name:"image",val:": typing.Union[ForwardRef('Image.Image'), str]"},{name:"question",val:": str = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.image",description:`<strong>image</strong> (<code>str</code>, <code>List[str]</code>, <code>PIL.Image</code> or <code>List[PIL.Image]</code>) &#x2014;
The pipeline handles three types of images:</p>
<ul>
<li>A string containing a http link pointing to an image</li>
<li>A string containing a local path to an image</li>
<li>An image loaded in PIL directly</li>
</ul>
<p>The pipeline accepts either a single image or a batch of images. If given a single image, it can be
broadcasted to multiple questions.`,name:"image"},{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.question",description:`<strong>question</strong> (<code>str</code>, <code>List[str]</code>) &#x2014;
The question(s) asked. If given a single question, it can be broadcasted to multiple images.`,name:"question"},{anchor:"transformers.VisualQuestionAnsweringPipeline.__call__.top_k",description:`<strong>top_k</strong> (<code>int</code>, <em>optional</em>, defaults to 5) &#x2014;
The number of top labels that will be returned by the pipeline. If the provided number is higher than
the number of labels available in the model configuration, it will default to the number of labels.`,name:"top_k"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/visual_question_answering.py#L68",returnDescription:`
<ul>
<li><strong>label</strong> (<code>str</code>) \u2014 The label identified by the model.</li>
<li><strong>score</strong> (<code>int</code>) \u2014 The score attributed by the model for that label.</li>
</ul>
`,returnType:`
<p>A dictionary or a list of dictionaries containing the result. The dictionaries contain the following keys</p>
`}}),El=new q({}),ql=new $({props:{name:"class transformers.Pipeline",anchor:"transformers.Pipeline",parameters:[{name:"model",val:": typing.Union[ForwardRef('PreTrainedModel'), ForwardRef('TFPreTrainedModel')]"},{name:"tokenizer",val:": typing.Optional[transformers.tokenization_utils.PreTrainedTokenizer] = None"},{name:"feature_extractor",val:": typing.Optional[ForwardRef('SequenceFeatureExtractor')] = None"},{name:"image_processor",val:": typing.Optional[transformers.image_processing_utils.BaseImageProcessor] = None"},{name:"modelcard",val:": typing.Optional[transformers.modelcard.ModelCard] = None"},{name:"framework",val:": typing.Optional[str] = None"},{name:"task",val:": str = ''"},{name:"args_parser",val:": ArgumentHandler = None"},{name:"device",val:": typing.Union[int, str, ForwardRef('torch.device')] = None"},{name:"torch_dtype",val:": typing.Union[str, ForwardRef('torch.dtype'), NoneType] = None"},{name:"binary_output",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Pipeline.model",description:`<strong>model</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> or <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a>) &#x2014;
The model that will be used by the pipeline to make predictions. This needs to be a model inheriting from
<a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.PreTrainedModel">PreTrainedModel</a> for PyTorch and <a href="/docs/transformers/pr_21334/en/main_classes/model#transformers.TFPreTrainedModel">TFPreTrainedModel</a> for TensorFlow.`,name:"model"},{anchor:"transformers.Pipeline.tokenizer",description:`<strong>tokenizer</strong> (<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>) &#x2014;
The tokenizer that will be used by the pipeline to encode data for the model. This object inherits from
<a href="/docs/transformers/pr_21334/en/main_classes/tokenizer#transformers.PreTrainedTokenizer">PreTrainedTokenizer</a>.`,name:"tokenizer"},{anchor:"transformers.Pipeline.modelcard",description:`<strong>modelcard</strong> (<code>str</code> or <code>ModelCard</code>, <em>optional</em>) &#x2014;
Model card attributed to the model for this pipeline.`,name:"modelcard"},{anchor:"transformers.Pipeline.framework",description:`<strong>framework</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The framework to use, either <code>&quot;pt&quot;</code> for PyTorch or <code>&quot;tf&quot;</code> for TensorFlow. The specified framework must be
installed.</p>
<p>If no framework is specified, will default to the one currently installed. If no framework is specified and
both frameworks are installed, will default to the framework of the <code>model</code>, or to PyTorch if no model is
provided.`,name:"framework"},{anchor:"transformers.Pipeline.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
A task-identifier for the pipeline.`,name:"task"},{anchor:"transformers.Pipeline.num_workers",description:`<strong>num_workers</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the number of
workers to be used.`,name:"num_workers"},{anchor:"transformers.Pipeline.batch_size",description:`<strong>batch_size</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
When the pipeline will use <em>DataLoader</em> (when passing a dataset, on GPU for a Pytorch model), the size of
the batch to use, for inference this is not always beneficial, please read <a href="https://huggingface.co/transformers/main_classes/pipelines.html#pipeline-batching" rel="nofollow">Batching with
pipelines</a> .`,name:"batch_size"},{anchor:"transformers.Pipeline.args_parser",description:`<strong>args_parser</strong> (<a href="/docs/transformers/pr_21334/en/internal/pipelines_utils#transformers.pipelines.ArgumentHandler">ArgumentHandler</a>, <em>optional</em>) &#x2014;
Reference to the object in charge of parsing supplied pipeline parameters.`,name:"args_parser"},{anchor:"transformers.Pipeline.device",description:`<strong>device</strong> (<code>int</code>, <em>optional</em>, defaults to -1) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run the model on
the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"},{anchor:"transformers.Pipeline.binary_output",description:`<strong>binary_output</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Flag indicating if the output the pipeline should happen in a binary format (i.e., pickle) or as raw text.`,name:"binary_output"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/base.py#L727"}}),Al=new $({props:{name:"check_model_type",anchor:"transformers.Pipeline.check_model_type",parameters:[{name:"supported_models",val:": typing.Union[typing.List[str], dict]"}],parametersDescription:[{anchor:"transformers.Pipeline.check_model_type.supported_models",description:`<strong>supported_models</strong> (<code>List[str]</code> or <code>dict</code>) &#x2014;
The list of models supported by the pipeline, or a dictionary with model class values.`,name:"supported_models"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/base.py#L932"}}),Cl=new $({props:{name:"device_placement",anchor:"transformers.Pipeline.device_placement",parameters:[],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/base.py#L872",returnDescription:`
<p>Context manager</p>
`}}),Ua=new C({props:{anchor:"transformers.Pipeline.device_placement.example",$$slots:{default:[sF]},$$scope:{ctx:j}}}),Dl=new $({props:{name:"ensure_tensor_on_device",anchor:"transformers.Pipeline.ensure_tensor_on_device",parameters:[{name:"**inputs",val:""}],parametersDescription:[{anchor:"transformers.Pipeline.ensure_tensor_on_device.inputs",description:`<strong>inputs</strong> (keyword arguments that should be <code>torch.Tensor</code>, the rest is ignored) &#x2014;
The tensors to place on <code>self.device</code>.`,name:"inputs"},{anchor:"transformers.Pipeline.ensure_tensor_on_device.Recursive",description:"<strong>Recursive</strong> on lists <strong>only</strong>. &#x2014;",name:"Recursive"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/base.py#L898",returnDescription:`
<p>The same as <code>inputs</code> but on the proper device.</p>
`,returnType:`
<p><code>Dict[str, torch.Tensor]</code></p>
`}}),zl=new $({props:{name:"postprocess",anchor:"transformers.Pipeline.postprocess",parameters:[{name:"model_outputs",val:": ModelOutput"},{name:"**postprocess_parameters",val:": typing.Dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/base.py#L989"}}),Sl=new $({props:{name:"predict",anchor:"transformers.Pipeline.predict",parameters:[{name:"X",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/base.py#L866"}}),Fl=new $({props:{name:"preprocess",anchor:"transformers.Pipeline.preprocess",parameters:[{name:"input_",val:": typing.Any"},{name:"**preprocess_parameters",val:": typing.Dict"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/base.py#L968"}}),Ll=new $({props:{name:"save_pretrained",anchor:"transformers.Pipeline.save_pretrained",parameters:[{name:"save_directory",val:": str"}],parametersDescription:[{anchor:"transformers.Pipeline.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
A path to the directory where to saved. It will be created if it doesn&#x2019;t exist.`,name:"save_directory"}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/base.py#L815"}}),Nl=new $({props:{name:"transform",anchor:"transformers.Pipeline.transform",parameters:[{name:"X",val:""}],source:"https://github.com/huggingface/transformers/blob/vr_21334/src/transformers/pipelines/base.py#L860"}}),{c(){u=n("meta"),T=p(),P=n("h1"),f=n("a"),y=n("span"),_(l.$$.fragment),g=p(),Ze=n("span"),$v=o("Pipelines"),l_=p(),Is=n("p"),jv=o(`The pipelines are a great and easy way to use models for inference. These pipelines are objects that abstract most of
the complex code from the library, offering a simple API dedicated to several tasks, including Named Entity
Recognition, Masked Language Modeling, Sentiment Analysis, Feature Extraction and Question Answering. See the
`),Xl=n("a"),Ev=o("task summary"),qv=o(" for examples of use."),p_=p(),Jl=n("p"),Av=o("There are two categories of pipeline abstractions to be aware about:"),c_=p(),Ss=n("ul"),tr=n("li"),Cv=o("The "),ep=n("a"),Dv=o("pipeline()"),zv=o(" which is the most powerful object encapsulating all other pipelines."),Iv=p(),Me=n("li"),Sv=o("Task-specific pipelines are available for "),tp=n("a"),Mv=o("audio"),Fv=o(", "),sp=n("a"),Lv=o("computer vision"),Nv=o(", "),np=n("a"),Ov=o("natural language processing"),Uv=o(", and "),ap=n("a"),Gv=o("multimodal"),Rv=o(" tasks."),d_=p(),_t=n("h2"),Ms=n("a"),Od=n("span"),_(sr.$$.fragment),Vv=p(),Ud=n("span"),Qv=o("The pipeline abstraction"),m_=p(),Fs=n("p"),Hv=o("The "),Gd=n("em"),Wv=o("pipeline"),Zv=o(` abstraction is a wrapper around all the other available pipelines. It is instantiated as any other
pipeline but can provide additional quality of life.`),h_=p(),rp=n("p"),Bv=o("Simple call on one item:"),f_=p(),_(nr.$$.fragment),u_=p(),Ls=n("p"),Yv=o("If you want to use a specific model from the "),ar=n("a"),Kv=o("hub"),Xv=o(` you can ignore the task if the model on
the hub already defines it:`),g_=p(),_(rr.$$.fragment),__=p(),Ns=n("p"),Jv=o("To call a pipeline on many items, you can call it with a "),Rd=n("em"),e1=o("list"),t1=o("."),b_=p(),_(or.$$.fragment),w_=p(),Os=n("p"),s1=o("To iterate over full datasets it is recommended to use a "),Vd=n("code"),n1=o("dataset"),a1=o(` directly. This means you don\u2019t need to allocate
the whole dataset at once, nor do you need to do batching yourself. This should work just as fast as custom loops on
GPU. If it doesn\u2019t don\u2019t hesitate to create an issue.`),v_=p(),_(ir.$$.fragment),x_=p(),op=n("p"),r1=o("For ease of use, a generator is also possible:"),k_=p(),_(lr.$$.fragment),P_=p(),ge=n("div"),_(pr.$$.fragment),o1=p(),cr=n("p"),i1=o("Utility factory method to build a "),ip=n("a"),l1=o("Pipeline"),p1=o("."),c1=p(),Qd=n("p"),d1=o("Pipelines are made of:"),m1=p(),bt=n("ul"),dr=n("li"),h1=o("A "),lp=n("a"),f1=o("tokenizer"),u1=o(" in charge of mapping raw textual input to token."),g1=p(),mr=n("li"),_1=o("A "),pp=n("a"),b1=o("model"),w1=o(" to make predictions from the inputs."),v1=p(),Hd=n("li"),x1=o("Some (optional) post processing for enhancing model\u2019s output."),k1=p(),_(Us.$$.fragment),y_=p(),wt=n("h2"),Gs=n("a"),Wd=n("span"),_(hr.$$.fragment),P1=p(),Zd=n("span"),y1=o("Pipeline batching"),T_=p(),st=n("p"),T1=o(`All pipelines can use batching. This will work
whenever the pipeline uses its streaming ability (so when passing lists or `),Bd=n("code"),$1=o("Dataset"),j1=o(" or "),Yd=n("code"),E1=o("generator"),q1=o(")."),$_=p(),_(fr.$$.fragment),j_=p(),_(Rs.$$.fragment),E_=p(),_(ur.$$.fragment),q_=p(),_(gr.$$.fragment),A_=p(),cp=n("p"),A1=o("Example where it\u2019s most a slowdown:"),C_=p(),_(_r.$$.fragment),D_=p(),Vs=n("p"),C1=o("This is a occasional very long sentence compared to the other. In that case, the "),Kd=n("strong"),D1=o("whole"),z1=o(` batch will need to be 400
tokens long, so the whole batch will be [64, 400] instead of [64, 4], leading to the high slowdown. Even worse, on
bigger batches, the program simply crashes.`),z_=p(),_(br.$$.fragment),I_=p(),dp=n("p"),I1=o(`There are no good (general) solutions for this problem, and your mileage may vary depending on your use cases. Rule of
thumb:`),S_=p(),mp=n("p"),S1=o("For users, a rule of thumb is:"),M_=p(),we=n("ul"),Xd=n("li"),Jd=n("p"),em=n("strong"),M1=o(`Measure performance on your load, with your hardware. Measure, measure, and keep measuring. Real numbers are the
only way to go.`),F1=p(),tm=n("li"),sm=n("p"),L1=o("If you are latency constrained (live product doing inference), don\u2019t batch"),N1=p(),nm=n("li"),am=n("p"),O1=o("If you are using CPU, don\u2019t batch."),U1=p(),wr=n("li"),rm=n("p"),G1=o("If you are using throughput (you want to run your model on a bunch of static data), on GPU, then:"),R1=p(),vt=n("ul"),om=n("li"),V1=o(`If you have no clue about the size of the sequence_length (\u201Cnatural\u201D data), by default don\u2019t batch, measure and
try tentatively to add it, add OOM checks to recover when it will fail (and it will at some point if you don\u2019t
control the sequence_length.)`),Q1=p(),im=n("li"),H1=o(`If your sequence_length is super regular, then batching is more likely to be VERY interesting, measure and push
it until you get OOMs.`),W1=p(),lm=n("li"),Z1=o("The larger the GPU the more likely batching is going to be more interesting"),B1=p(),pm=n("li"),cm=n("p"),Y1=o("As soon as you enable batching, make sure you can handle OOMs nicely."),F_=p(),xt=n("h2"),Qs=n("a"),dm=n("span"),_(vr.$$.fragment),K1=p(),mm=n("span"),X1=o("Pipeline chunk batching"),L_=p(),Be=n("p"),hm=n("code"),J1=o("zero-shot-classification"),ex=o(" and "),fm=n("code"),tx=o("question-answering"),sx=o(` are slightly specific in the sense, that a single input might yield
multiple forward pass of a model. Under normal circumstances, this would yield issues with `),um=n("code"),nx=o("batch_size"),ax=o(" argument."),N_=p(),nt=n("p"),rx=o("In order to circumvent this issue, both of these pipelines are a bit specific, they are "),gm=n("code"),ox=o("ChunkPipeline"),ix=o(` instead of
regular `),_m=n("code"),lx=o("Pipeline"),px=o(". In short:"),O_=p(),_(xr.$$.fragment),U_=p(),hp=n("p"),cx=o("Now becomes:"),G_=p(),_(kr.$$.fragment),R_=p(),fp=n("p"),dx=o(`This should be very transparent to your code because the pipelines are used in
the same way.`),V_=p(),Hs=n("p"),mx=o(`This is a simplified view, since the pipeline can handle automatically the batch to ! Meaning you don\u2019t have to care
about how many forward passes you inputs are actually going to trigger, you can optimize the `),bm=n("code"),hx=o("batch_size"),fx=o(`
independently of the inputs. The caveats from the previous section still apply.`),Q_=p(),kt=n("h2"),Ws=n("a"),wm=n("span"),_(Pr.$$.fragment),ux=p(),vm=n("span"),gx=o("Pipeline custom code"),H_=p(),up=n("p"),_x=o("If you want to override a specific pipeline."),W_=p(),Zs=n("p"),bx=o(`Don\u2019t hesitate to create an issue for your task at hand, the goal of the pipeline is to be easy to use and support most
cases, so `),xm=n("code"),wx=o("transformers"),vx=o(" could maybe support your use case."),Z_=p(),gp=n("p"),xx=o("If you want to try simply you can:"),B_=p(),_p=n("ul"),km=n("li"),kx=o("Subclass your pipeline of choice"),Y_=p(),_(yr.$$.fragment),K_=p(),bp=n("p"),Px=o("That should enable you to do all the custom code you want."),X_=p(),Pt=n("h2"),Bs=n("a"),Pm=n("span"),_(Tr.$$.fragment),yx=p(),ym=n("span"),Tx=o("Implementing a pipeline"),J_=p(),wp=n("p"),vp=n("a"),$x=o("Implementing a new pipeline"),eb=p(),yt=n("h2"),Ys=n("a"),Tm=n("span"),_($r.$$.fragment),jx=p(),$m=n("span"),Ex=o("Audio"),tb=p(),xp=n("p"),qx=o("Pipelines available for audio tasks include the following."),sb=p(),Tt=n("h3"),Ks=n("a"),jm=n("span"),_(jr.$$.fragment),Ax=p(),Em=n("span"),Cx=o("AudioClassificationPipeline"),nb=p(),V=n("div"),_(Er.$$.fragment),Dx=p(),qr=n("p"),zx=o("Audio classification pipeline using any "),qm=n("code"),Ix=o("AutoModelForAudioClassification"),Sx=o(`. This pipeline predicts the class of a
raw waveform or an audio file. In case of an audio file, ffmpeg should be installed to support multiple audio
formats.`),Mx=p(),_(Xs.$$.fragment),Fx=p(),kp=n("p"),Lx=o("Learn more about the basics of using a pipeline in the "),Pp=n("a"),Nx=o("pipeline tutorial"),Ox=p(),$t=n("p"),Ux=o("This pipeline can currently be loaded from "),yp=n("a"),Gx=o("pipeline()"),Rx=o(` using the following task identifier:
`),Am=n("code"),Vx=o('"audio-classification"'),Qx=o("."),Hx=p(),Ar=n("p"),Wx=o(`See the list of available models on
`),Cr=n("a"),Zx=o("huggingface.co/models"),Bx=o("."),Yx=p(),Js=n("div"),_(Dr.$$.fragment),Kx=p(),zr=n("p"),Xx=o("Classify the sequence(s) given as inputs. See the "),Tp=n("a"),Jx=o("AutomaticSpeechRecognitionPipeline"),ek=o(` documentation for more
information.`),ab=p(),jt=n("h3"),en=n("a"),Cm=n("span"),_(Ir.$$.fragment),tk=p(),Dm=n("span"),sk=o("AutomaticSpeechRecognitionPipeline"),rb=p(),ie=n("div"),_(Sr.$$.fragment),nk=p(),zm=n("p"),ak=o("Pipeline that aims at extracting spoken text contained within some audio."),rk=p(),Im=n("p"),ok=o(`The input can be either a raw waveform or a audio file. In case of the audio file, ffmpeg should be installed for
to support multiple audio formats`),ik=p(),_(tn.$$.fragment),lk=p(),$p=n("p"),pk=o("Learn more about the basics of using a pipeline in the "),jp=n("a"),ck=o("pipeline tutorial"),dk=p(),sn=n("div"),_(Mr.$$.fragment),mk=p(),Fr=n("p"),hk=o("Transcribe the audio sequence(s) given as inputs to text. See the "),Ep=n("a"),fk=o("AutomaticSpeechRecognitionPipeline"),uk=o(`
documentation for more information.`),ob=p(),Et=n("h3"),nn=n("a"),Sm=n("span"),_(Lr.$$.fragment),gk=p(),Mm=n("span"),_k=o("ZeroShotAudioClassificationPipeline"),ib=p(),_e=n("div"),_(Nr.$$.fragment),bk=p(),qt=n("p"),wk=o("Zero shot audio classification pipeline using "),Fm=n("code"),vk=o("ClapModel"),xk=o(`. This pipeline predicts the class of an audio when you
provide an audio and a set of `),Lm=n("code"),kk=o("candidate_labels"),Pk=o("."),yk=p(),_(an.$$.fragment),Tk=p(),Fe=n("p"),$k=o("Learn more about the basics of using a pipeline in the "),qp=n("a"),jk=o("pipeline tutorial"),Ek=o(` This audio
classification pipeline can currently be loaded from `),Ap=n("a"),qk=o("pipeline()"),Ak=o(` using the following task identifier:
`),Nm=n("code"),Ck=o('"zero-shot-audio-classification"'),Dk=o(`. See the list of available models on
`),Or=n("a"),zk=o("huggingface.co/models"),Ik=o("."),Sk=p(),rn=n("div"),_(Ur.$$.fragment),Mk=p(),Om=n("p"),Fk=o("Assign labels to the audio(s) passed as inputs."),lb=p(),At=n("h2"),on=n("a"),Um=n("span"),_(Gr.$$.fragment),Lk=p(),Gm=n("span"),Nk=o("Computer vision"),pb=p(),Cp=n("p"),Ok=o("Pipelines available for computer vision tasks include the following."),cb=p(),Ct=n("h3"),ln=n("a"),Rm=n("span"),_(Rr.$$.fragment),Uk=p(),Vm=n("span"),Gk=o("DepthEstimationPipeline"),db=p(),Q=n("div"),_(Vr.$$.fragment),Rk=p(),Qr=n("p"),Vk=o("Depth estimation pipeline using any "),Qm=n("code"),Qk=o("AutoModelForDepthEstimation"),Hk=o(". This pipeline predicts the depth of an image."),Wk=p(),_(pn.$$.fragment),Zk=p(),Dp=n("p"),Bk=o("Learn more about the basics of using a pipeline in the "),zp=n("a"),Yk=o("pipeline tutorial"),Kk=p(),Dt=n("p"),Xk=o("This depth estimation pipeline can currently be loaded from "),Ip=n("a"),Jk=o("pipeline()"),eP=o(` using the following task identifier:
`),Hm=n("code"),tP=o('"depth-estimation"'),sP=o("."),nP=p(),Hr=n("p"),aP=o("See the list of available models on "),Wr=n("a"),rP=o("huggingface.co/models"),oP=o("."),iP=p(),cn=n("div"),_(Zr.$$.fragment),lP=p(),Wm=n("p"),pP=o("Assign labels to the image(s) passed as inputs."),mb=p(),zt=n("h3"),dn=n("a"),Zm=n("span"),_(Br.$$.fragment),cP=p(),Bm=n("span"),dP=o("ImageClassificationPipeline"),hb=p(),H=n("div"),_(Yr.$$.fragment),mP=p(),Kr=n("p"),hP=o("Image classification pipeline using any "),Ym=n("code"),fP=o("AutoModelForImageClassification"),uP=o(`. This pipeline predicts the class of an
image.`),gP=p(),_(mn.$$.fragment),_P=p(),Sp=n("p"),bP=o("Learn more about the basics of using a pipeline in the "),Mp=n("a"),wP=o("pipeline tutorial"),vP=p(),It=n("p"),xP=o("This image classification pipeline can currently be loaded from "),Fp=n("a"),kP=o("pipeline()"),PP=o(` using the following task identifier:
`),Km=n("code"),yP=o('"image-classification"'),TP=o("."),$P=p(),Xr=n("p"),jP=o(`See the list of available models on
`),Jr=n("a"),EP=o("huggingface.co/models"),qP=o("."),AP=p(),hn=n("div"),_(eo.$$.fragment),CP=p(),Xm=n("p"),DP=o("Assign labels to the image(s) passed as inputs."),fb=p(),St=n("h3"),fn=n("a"),Jm=n("span"),_(to.$$.fragment),zP=p(),eh=n("span"),IP=o("ImageSegmentationPipeline"),ub=p(),le=n("div"),_(so.$$.fragment),SP=p(),no=n("p"),MP=o("Image segmentation pipeline using any "),th=n("code"),FP=o("AutoModelForXXXSegmentation"),LP=o(`. This pipeline predicts masks of objects and
their classes.`),NP=p(),_(un.$$.fragment),OP=p(),Mt=n("p"),UP=o("This image segmentation pipeline can currently be loaded from "),Lp=n("a"),GP=o("pipeline()"),RP=o(` using the following task identifier:
`),sh=n("code"),VP=o('"image-segmentation"'),QP=o("."),HP=p(),ao=n("p"),WP=o(`See the list of available models on
`),ro=n("a"),ZP=o("huggingface.co/models"),BP=o("."),YP=p(),gn=n("div"),_(oo.$$.fragment),KP=p(),nh=n("p"),XP=o("Perform segmentation (detect masks & classes) in the image(s) passed as inputs."),gb=p(),Ft=n("h3"),_n=n("a"),ah=n("span"),_(io.$$.fragment),JP=p(),rh=n("span"),ey=o("ObjectDetectionPipeline"),_b=p(),W=n("div"),_(lo.$$.fragment),ty=p(),po=n("p"),sy=o("Object detection pipeline using any "),oh=n("code"),ny=o("AutoModelForObjectDetection"),ay=o(`. This pipeline predicts bounding boxes of objects
and their classes.`),ry=p(),_(bn.$$.fragment),oy=p(),Np=n("p"),iy=o("Learn more about the basics of using a pipeline in the "),Op=n("a"),ly=o("pipeline tutorial"),py=p(),Lt=n("p"),cy=o("This object detection pipeline can currently be loaded from "),Up=n("a"),dy=o("pipeline()"),my=o(` using the following task identifier:
`),ih=n("code"),hy=o('"object-detection"'),fy=o("."),uy=p(),co=n("p"),gy=o("See the list of available models on "),mo=n("a"),_y=o("huggingface.co/models"),by=o("."),wy=p(),wn=n("div"),_(ho.$$.fragment),vy=p(),lh=n("p"),xy=o("Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),bb=p(),Nt=n("h3"),vn=n("a"),ph=n("span"),_(fo.$$.fragment),ky=p(),ch=n("span"),Py=o("VideoClassificationPipeline"),wb=p(),be=n("div"),_(uo.$$.fragment),yy=p(),go=n("p"),Ty=o("Video classification pipeline using any "),dh=n("code"),$y=o("AutoModelForVideoClassification"),jy=o(`. This pipeline predicts the class of a
video.`),Ey=p(),Ot=n("p"),qy=o("This video classification pipeline can currently be loaded from "),Gp=n("a"),Ay=o("pipeline()"),Cy=o(` using the following task identifier:
`),mh=n("code"),Dy=o('"video-classification"'),zy=o("."),Iy=p(),_o=n("p"),Sy=o(`See the list of available models on
`),bo=n("a"),My=o("huggingface.co/models"),Fy=o("."),Ly=p(),xn=n("div"),_(wo.$$.fragment),Ny=p(),hh=n("p"),Oy=o("Assign labels to the video(s) passed as inputs."),vb=p(),Ut=n("h3"),kn=n("a"),fh=n("span"),_(vo.$$.fragment),Uy=p(),uh=n("span"),Gy=o("ZeroShotImageClassificationPipeline"),xb=p(),Z=n("div"),_(xo.$$.fragment),Ry=p(),Gt=n("p"),Vy=o("Zero shot image classification pipeline using "),gh=n("code"),Qy=o("CLIPModel"),Hy=o(`. This pipeline predicts the class of an image when you
provide an image and a set of `),_h=n("code"),Wy=o("candidate_labels"),Zy=o("."),By=p(),_(Pn.$$.fragment),Yy=p(),Rp=n("p"),Ky=o("Learn more about the basics of using a pipeline in the "),Vp=n("a"),Xy=o("pipeline tutorial"),Jy=p(),Rt=n("p"),e0=o("This image classification pipeline can currently be loaded from "),Qp=n("a"),t0=o("pipeline()"),s0=o(` using the following task identifier:
`),bh=n("code"),n0=o('"zero-shot-image-classification"'),a0=o("."),r0=p(),ko=n("p"),o0=o(`See the list of available models on
`),Po=n("a"),i0=o("huggingface.co/models"),l0=o("."),p0=p(),yn=n("div"),_(yo.$$.fragment),c0=p(),wh=n("p"),d0=o("Assign labels to the image(s) passed as inputs."),kb=p(),Vt=n("h3"),Tn=n("a"),vh=n("span"),_(To.$$.fragment),m0=p(),xh=n("span"),h0=o("ZeroShotObjectDetectionPipeline"),Pb=p(),B=n("div"),_($o.$$.fragment),f0=p(),Qt=n("p"),u0=o("Zero shot object detection pipeline using "),kh=n("code"),g0=o("OwlViTForObjectDetection"),_0=o(`. This pipeline predicts bounding boxes of
objects when you provide an image and a set of `),Ph=n("code"),b0=o("candidate_labels"),w0=o("."),v0=p(),_($n.$$.fragment),x0=p(),Hp=n("p"),k0=o("Learn more about the basics of using a pipeline in the "),Wp=n("a"),P0=o("pipeline tutorial"),y0=p(),Ht=n("p"),T0=o("This object detection pipeline can currently be loaded from "),Zp=n("a"),$0=o("pipeline()"),j0=o(` using the following task identifier:
`),yh=n("code"),E0=o('"zero-shot-object-detection"'),q0=o("."),A0=p(),jo=n("p"),C0=o(`See the list of available models on
`),Eo=n("a"),D0=o("huggingface.co/models"),z0=o("."),I0=p(),jn=n("div"),_(qo.$$.fragment),S0=p(),Th=n("p"),M0=o("Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),yb=p(),Wt=n("h2"),En=n("a"),$h=n("span"),_(Ao.$$.fragment),F0=p(),jh=n("span"),L0=o("Natural Language Processing"),Tb=p(),Bp=n("p"),N0=o("Pipelines available for natural language processing tasks include the following."),$b=p(),Zt=n("h3"),qn=n("a"),Eh=n("span"),_(Co.$$.fragment),O0=p(),qh=n("span"),U0=o("ConversationalPipeline"),jb=p(),Y=n("div"),_(Do.$$.fragment),G0=p(),Ye=n("p"),R0=o(`Utility class containing a conversation and its history. This class is meant to be used as an input to the
`),Yp=n("a"),V0=o("ConversationalPipeline"),Q0=o(`. The conversation contains a number of utility function to manage the addition of new
user input and generated model responses. A conversation needs to contain an unprocessed user input before being
passed to the `),Kp=n("a"),H0=o("ConversationalPipeline"),W0=o(`. This user input is either created when the class is instantiated, or by
calling `),Ah=n("code"),Z0=o('conversational_pipeline.append_response("input")'),B0=o(" after a conversation turn."),Y0=p(),_(An.$$.fragment),K0=p(),Cn=n("div"),_(zo.$$.fragment),X0=p(),Io=n("p"),J0=o("Add a user input to the conversation for the next round. This populates the internal "),Ch=n("code"),eT=o("new_user_input"),tT=o(" field."),sT=p(),Dn=n("div"),_(So.$$.fragment),nT=p(),Dh=n("p"),aT=o("Append a response to the list of generated responses."),rT=p(),at=n("div"),_(Mo.$$.fragment),oT=p(),zh=n("p"),iT=o("Iterates over all blobs of the conversation."),lT=p(),Le=n("p"),pT=o("Returns: Iterator of (is_user, text_chunk) in chronological order of the conversation. "),Ih=n("code"),cT=o("is_user"),dT=o(" is a "),Sh=n("code"),mT=o("bool"),hT=o(`,
`),Mh=n("code"),fT=o("text_chunks"),uT=o(" is a "),Fh=n("code"),gT=o("str"),_T=o("."),bT=p(),zn=n("div"),_(Fo.$$.fragment),wT=p(),Ke=n("p"),vT=o("Mark the conversation as processed (moves the content of "),Lh=n("code"),xT=o("new_user_input"),kT=o(" to "),Nh=n("code"),PT=o("past_user_inputs"),yT=o(`) and empties
the `),Oh=n("code"),TT=o("new_user_input"),$T=o(" field."),Eb=p(),K=n("div"),_(Lo.$$.fragment),jT=p(),Uh=n("p"),ET=o("Multi-turn conversational pipeline."),qT=p(),_(In.$$.fragment),AT=p(),Xp=n("p"),CT=o("Learn more about the basics of using a pipeline in the "),Jp=n("a"),DT=o("pipeline tutorial"),zT=p(),Bt=n("p"),IT=o("This conversational pipeline can currently be loaded from "),ec=n("a"),ST=o("pipeline()"),MT=o(` using the following task identifier:
`),Gh=n("code"),FT=o('"conversational"'),LT=o("."),NT=p(),Ne=n("p"),OT=o(`The models that this pipeline can use are models that have been fine-tuned on a multi-turn conversational task,
currently: `),Rh=n("em"),UT=o("\u2018microsoft/DialoGPT-small\u2019"),GT=o(", "),Vh=n("em"),RT=o("\u2018microsoft/DialoGPT-medium\u2019"),VT=o(", "),Qh=n("em"),QT=o("\u2018microsoft/DialoGPT-large\u2019"),HT=o(`. See the
up-to-date list of available models on
`),No=n("a"),WT=o("huggingface.co/models"),ZT=o("."),BT=p(),Sn=n("div"),_(Oo.$$.fragment),YT=p(),Hh=n("p"),KT=o("Generate responses for the conversation(s) given as inputs."),qb=p(),Yt=n("h3"),Mn=n("a"),Wh=n("span"),_(Uo.$$.fragment),XT=p(),Zh=n("span"),JT=o("FillMaskPipeline"),Ab=p(),N=n("div"),_(Go.$$.fragment),e$=p(),Kt=n("p"),t$=o("Masked language modeling prediction pipeline using any "),Bh=n("code"),s$=o("ModelWithLMHead"),n$=o(". See the "),tc=n("a"),a$=o(`masked language modeling
examples`),r$=o(" for more information."),o$=p(),_(Fn.$$.fragment),i$=p(),sc=n("p"),l$=o("Learn more about the basics of using a pipeline in the "),nc=n("a"),p$=o("pipeline tutorial"),c$=p(),Xt=n("p"),d$=o("This mask filling pipeline can currently be loaded from "),ac=n("a"),m$=o("pipeline()"),h$=o(` using the following task identifier:
`),Yh=n("code"),f$=o('"fill-mask"'),u$=o("."),g$=p(),Ro=n("p"),_$=o(`The models that this pipeline can use are models that have been trained with a masked language modeling objective,
which includes the bi-directional models in the library. See the up-to-date list of available models on
`),Vo=n("a"),b$=o("huggingface.co/models"),w$=o("."),v$=p(),_(Ln.$$.fragment),x$=p(),Nn=n("div"),_(Qo.$$.fragment),k$=p(),Kh=n("p"),P$=o("Fill the masked token in the text(s) given as inputs."),Cb=p(),Jt=n("h3"),On=n("a"),Xh=n("span"),_(Ho.$$.fragment),y$=p(),Jh=n("span"),T$=o("NerPipeline"),Db=p(),S=n("div"),_(Wo.$$.fragment),$$=p(),es=n("p"),j$=o("Named Entity Recognition pipeline using any "),ef=n("code"),E$=o("ModelForTokenClassification"),q$=o(". See the "),rc=n("a"),A$=o(`named entity recognition
examples`),C$=o(" for more information."),D$=p(),_(Un.$$.fragment),z$=p(),oc=n("p"),I$=o("Learn more about the basics of using a pipeline in the "),ic=n("a"),S$=o("pipeline tutorial"),M$=p(),ts=n("p"),F$=o("This token recognition pipeline can currently be loaded from "),lc=n("a"),L$=o("pipeline()"),N$=o(` using the following task identifier:
`),tf=n("code"),O$=o('"ner"'),U$=o(" (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),G$=p(),Zo=n("p"),R$=o(`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),Bo=n("a"),V$=o("huggingface.co/models"),Q$=o("."),H$=p(),rt=n("div"),_(Yo.$$.fragment),W$=p(),sf=n("p"),Z$=o("Override tokens from a given word that disagree to force agreement on word boundaries."),B$=p(),nf=n("p"),Y$=o(`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),K$=p(),Gn=n("div"),_(Ko.$$.fragment),X$=p(),af=n("p"),J$=o("Fuse various numpy arrays into dicts with all the information needed for aggregation"),e3=p(),Rn=n("div"),_(Xo.$$.fragment),t3=p(),rf=n("p"),s3=o("Find and group together the adjacent tokens with the same entity predicted."),n3=p(),Vn=n("div"),_(Jo.$$.fragment),a3=p(),of=n("p"),r3=o("Group together the adjacent tokens with the same entity predicted."),zb=p(),Qn=n("p"),o3=o("See "),pc=n("a"),i3=o("TokenClassificationPipeline"),l3=o(" for all details."),Ib=p(),ss=n("h3"),Hn=n("a"),lf=n("span"),_(ei.$$.fragment),p3=p(),pf=n("span"),c3=o("QuestionAnsweringPipeline"),Sb=p(),M=n("div"),_(ti.$$.fragment),d3=p(),ns=n("p"),m3=o("Question Answering pipeline using any "),cf=n("code"),h3=o("ModelForQuestionAnswering"),f3=o(". See the "),cc=n("a"),u3=o(`question answering
examples`),g3=o(" for more information."),_3=p(),_(Wn.$$.fragment),b3=p(),dc=n("p"),w3=o("Learn more about the basics of using a pipeline in the "),mc=n("a"),v3=o("pipeline tutorial"),x3=p(),as=n("p"),k3=o("This question answering pipeline can currently be loaded from "),hc=n("a"),P3=o("pipeline()"),y3=o(` using the following task identifier:
`),df=n("code"),T3=o('"question-answering"'),$3=o("."),j3=p(),si=n("p"),E3=o(`The models that this pipeline can use are models that have been fine-tuned on a question answering task. See the
up-to-date list of available models on
`),ni=n("a"),q3=o("huggingface.co/models"),A3=o("."),C3=p(),Zn=n("div"),_(ai.$$.fragment),D3=p(),mf=n("p"),z3=o("Answer the question(s) given as inputs by using the context(s)."),I3=p(),ot=n("div"),_(ri.$$.fragment),S3=p(),rs=n("p"),M3=o("QuestionAnsweringPipeline leverages the "),hf=n("code"),F3=o("SquadExample"),L3=o(` internally. This helper method encapsulate all the
logic for converting question(s) and context(s) to `),ff=n("code"),N3=o("SquadExample"),O3=o("."),U3=p(),uf=n("p"),G3=o("We currently support extractive question answering."),R3=p(),Bn=n("div"),_(oi.$$.fragment),V3=p(),gf=n("p"),Q3=o("When decoding from token probabilities, this method maps token indexes to actual word in the initial context."),Mb=p(),os=n("h3"),Yn=n("a"),_f=n("span"),_(ii.$$.fragment),H3=p(),bf=n("span"),W3=o("SummarizationPipeline"),Fb=p(),pe=n("div"),_(li.$$.fragment),Z3=p(),wf=n("p"),B3=o("Summarize news articles and other documents."),Y3=p(),is=n("p"),K3=o("This summarizing pipeline can currently be loaded from "),fc=n("a"),X3=o("pipeline()"),J3=o(` using the following task identifier:
`),vf=n("code"),e4=o('"summarization"'),t4=o("."),s4=p(),G=n("p"),n4=o(`The models that this pipeline can use are models that have been fine-tuned on a summarization task, which is
currently, \u2019`),xf=n("em"),a4=o("bart-large-cnn"),r4=o("\u2019, \u2019"),kf=n("em"),o4=o("t5-small"),i4=o("\u2019, \u2019"),Pf=n("em"),l4=o("t5-base"),p4=o("\u2019, \u2019"),yf=n("em"),c4=o("t5-large"),d4=o("\u2019, \u2019"),Tf=n("em"),m4=o("t5-3b"),h4=o("\u2019, \u2019"),$f=n("em"),f4=o("t5-11b"),u4=o(`\u2019. See the up-to-date
list of available models on `),pi=n("a"),g4=o("huggingface.co/models"),_4=o(`. For a list
of available parameters, see the `),ci=n("a"),b4=o(`following
documentation`),w4=p(),_(Kn.$$.fragment),v4=p(),Xn=n("div"),_(di.$$.fragment),x4=p(),jf=n("p"),k4=o("Summarize the text(s) given as inputs."),Lb=p(),ls=n("h3"),Jn=n("a"),Ef=n("span"),_(mi.$$.fragment),P4=p(),qf=n("span"),y4=o("TableQuestionAnsweringPipeline"),Nb=p(),X=n("div"),_(hi.$$.fragment),T4=p(),fi=n("p"),$4=o("Table Question Answering pipeline using a "),Af=n("code"),j4=o("ModelForTableQuestionAnswering"),E4=o(`. This pipeline is only available in
PyTorch.`),q4=p(),_(ea.$$.fragment),A4=p(),uc=n("p"),C4=o("Learn more about the basics of using a pipeline in the "),gc=n("a"),D4=o("pipeline tutorial"),z4=p(),ps=n("p"),I4=o("This tabular question answering pipeline can currently be loaded from "),_c=n("a"),S4=o("pipeline()"),M4=o(` using the following task
identifier: `),Cf=n("code"),F4=o('"table-question-answering"'),L4=o("."),N4=p(),ui=n("p"),O4=o(`The models that this pipeline can use are models that have been fine-tuned on a tabular question answering task.
See the up-to-date list of available models on
`),gi=n("a"),U4=o("huggingface.co/models"),G4=o("."),R4=p(),ae=n("div"),_(_i.$$.fragment),V4=p(),Df=n("p"),Q4=o("Answers queries according to a table. The pipeline accepts several types of inputs which are detailed below:"),H4=p(),ce=n("ul"),zf=n("li"),If=n("code"),W4=o("pipeline(table, query)"),Z4=p(),Sf=n("li"),Mf=n("code"),B4=o("pipeline(table, [query])"),Y4=p(),Ff=n("li"),Lf=n("code"),K4=o("pipeline(table=table, query=query)"),X4=p(),Nf=n("li"),Of=n("code"),J4=o("pipeline(table=table, query=[query])"),e7=p(),Uf=n("li"),Gf=n("code"),t7=o('pipeline({"table": table, "query": query})'),s7=p(),Rf=n("li"),Vf=n("code"),n7=o('pipeline({"table": table, "query": [query]})'),a7=p(),Qf=n("li"),Hf=n("code"),r7=o('pipeline([{"table": table, "query": query}, {"table": table, "query": query}])'),o7=p(),bi=n("p"),i7=o("The "),Wf=n("code"),l7=o("table"),p7=o(" argument should be a dict or a DataFrame built from that dict, containing the whole table:"),c7=p(),_(ta.$$.fragment),d7=p(),Zf=n("p"),m7=o("This dictionary can be passed in as such, or can be converted to a pandas DataFrame:"),h7=p(),_(sa.$$.fragment),Ob=p(),cs=n("h3"),na=n("a"),Bf=n("span"),_(wi.$$.fragment),f7=p(),Yf=n("span"),u7=o("TextClassificationPipeline"),Ub=p(),O=n("div"),_(vi.$$.fragment),g7=p(),ds=n("p"),_7=o("Text classification pipeline using any "),Kf=n("code"),b7=o("ModelForSequenceClassification"),w7=o(". See the "),bc=n("a"),v7=o(`sequence classification
examples`),x7=o(" for more information."),k7=p(),_(aa.$$.fragment),P7=p(),wc=n("p"),y7=o("Learn more about the basics of using a pipeline in the "),vc=n("a"),T7=o("pipeline tutorial"),$7=p(),ms=n("p"),j7=o("This text classification pipeline can currently be loaded from "),xc=n("a"),E7=o("pipeline()"),q7=o(` using the following task identifier:
`),Xf=n("code"),A7=o('"sentiment-analysis"'),C7=o(" (for classifying sequences according to positive or negative sentiments)."),D7=p(),xi=n("p"),z7=o("If multiple classification labels are available ("),Jf=n("code"),I7=o("model.config.num_labels >= 2"),S7=o(`), the pipeline will run a softmax
over the results. If there is a single label, the pipeline will run a sigmoid over the result.`),M7=p(),ki=n("p"),F7=o(`The models that this pipeline can use are models that have been fine-tuned on a sequence classification task. See
the up-to-date list of available models on
`),Pi=n("a"),L7=o("huggingface.co/models"),N7=o("."),O7=p(),ra=n("div"),_(yi.$$.fragment),U7=p(),eu=n("p"),G7=o("Classify the text(s) given as inputs."),Gb=p(),hs=n("h3"),oa=n("a"),tu=n("span"),_(Ti.$$.fragment),R7=p(),su=n("span"),V7=o("TextGenerationPipeline"),Rb=p(),J=n("div"),_($i.$$.fragment),Q7=p(),ji=n("p"),H7=o("Language generation pipeline using any "),nu=n("code"),W7=o("ModelWithLMHead"),Z7=o(`. This pipeline predicts the words that will follow a
specified text prompt.`),B7=p(),_(ia.$$.fragment),Y7=p(),kc=n("p"),K7=o("Learn more about the basics of using a pipeline in the "),Pc=n("a"),X7=o("pipeline tutorial"),J7=p(),fs=n("p"),ej=o("This language generation pipeline can currently be loaded from "),yc=n("a"),tj=o("pipeline()"),sj=o(` using the following task identifier:
`),au=n("code"),nj=o('"text-generation"'),aj=o("."),rj=p(),Ei=n("p"),oj=o(`The models that this pipeline can use are models that have been trained with an autoregressive language modeling
objective, which includes the uni-directional models in the library (e.g. gpt2). See the list of available models
on `),qi=n("a"),ij=o("huggingface.co/models"),lj=o("."),pj=p(),la=n("div"),_(Ai.$$.fragment),cj=p(),ru=n("p"),dj=o("Complete the prompt(s) given as inputs."),Vb=p(),us=n("h3"),pa=n("a"),ou=n("span"),_(Ci.$$.fragment),mj=p(),iu=n("span"),hj=o("Text2TextGenerationPipeline"),Qb=p(),F=n("div"),_(Di.$$.fragment),fj=p(),lu=n("p"),uj=o("Pipeline for text to text generation using seq2seq models."),gj=p(),_(ca.$$.fragment),_j=p(),Tc=n("p"),bj=o("Learn more about the basics of using a pipeline in the "),$c=n("a"),wj=o("pipeline tutorial"),vj=p(),gs=n("p"),xj=o("This Text2TextGenerationPipeline pipeline can currently be loaded from "),jc=n("a"),kj=o("pipeline()"),Pj=o(` using the following task
identifier: `),pu=n("code"),yj=o('"text2text-generation"'),Tj=o("."),$j=p(),da=n("p"),jj=o(`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on
`),zi=n("a"),Ej=o("huggingface.co/models"),qj=o(`. For a list of available
parameters, see the `),Ii=n("a"),Aj=o(`following
documentation`),Cj=p(),_(ma.$$.fragment),Dj=p(),ha=n("div"),_(Si.$$.fragment),zj=p(),cu=n("p"),Ij=o("Generate the output text(s) using text(s) given as inputs."),Sj=p(),fa=n("div"),_(Mi.$$.fragment),Mj=p(),du=n("p"),Fj=o("Checks whether there might be something wrong with given input with regard to the model."),Hb=p(),_s=n("h3"),ua=n("a"),mu=n("span"),_(Fi.$$.fragment),Lj=p(),hu=n("span"),Nj=o("TokenClassificationPipeline"),Wb=p(),I=n("div"),_(Li.$$.fragment),Oj=p(),bs=n("p"),Uj=o("Named Entity Recognition pipeline using any "),fu=n("code"),Gj=o("ModelForTokenClassification"),Rj=o(". See the "),Ec=n("a"),Vj=o(`named entity recognition
examples`),Qj=o(" for more information."),Hj=p(),_(ga.$$.fragment),Wj=p(),qc=n("p"),Zj=o("Learn more about the basics of using a pipeline in the "),Ac=n("a"),Bj=o("pipeline tutorial"),Yj=p(),ws=n("p"),Kj=o("This token recognition pipeline can currently be loaded from "),Cc=n("a"),Xj=o("pipeline()"),Jj=o(` using the following task identifier:
`),uu=n("code"),eE=o('"ner"'),tE=o(" (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),sE=p(),Ni=n("p"),nE=o(`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),Oi=n("a"),aE=o("huggingface.co/models"),rE=o("."),oE=p(),_a=n("div"),_(Ui.$$.fragment),iE=p(),gu=n("p"),lE=o("Classify each token of the text(s) given as inputs."),pE=p(),it=n("div"),_(Gi.$$.fragment),cE=p(),_u=n("p"),dE=o("Override tokens from a given word that disagree to force agreement on word boundaries."),mE=p(),bu=n("p"),hE=o(`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),fE=p(),ba=n("div"),_(Ri.$$.fragment),uE=p(),wu=n("p"),gE=o("Fuse various numpy arrays into dicts with all the information needed for aggregation"),_E=p(),wa=n("div"),_(Vi.$$.fragment),bE=p(),vu=n("p"),wE=o("Find and group together the adjacent tokens with the same entity predicted."),vE=p(),va=n("div"),_(Qi.$$.fragment),xE=p(),xu=n("p"),kE=o("Group together the adjacent tokens with the same entity predicted."),Zb=p(),vs=n("h3"),xa=n("a"),ku=n("span"),_(Hi.$$.fragment),PE=p(),Pu=n("span"),yE=o("TranslationPipeline"),Bb=p(),de=n("div"),_(Wi.$$.fragment),TE=p(),yu=n("p"),$E=o("Translates from one language to another."),jE=p(),xs=n("p"),EE=o("This translation pipeline can currently be loaded from "),Dc=n("a"),qE=o("pipeline()"),AE=o(` using the following task identifier:
`),Tu=n("code"),CE=o('"translation_xx_to_yy"'),DE=o("."),zE=p(),ka=n("p"),IE=o(`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on `),Zi=n("a"),SE=o("huggingface.co/models"),ME=o(`.
For a list of available parameters, see the `),Bi=n("a"),FE=o(`following
documentation`),LE=p(),_(Pa.$$.fragment),NE=p(),ya=n("div"),_(Yi.$$.fragment),OE=p(),$u=n("p"),UE=o("Translate the text(s) given as inputs."),Yb=p(),ks=n("h3"),Ta=n("a"),ju=n("span"),_(Ki.$$.fragment),GE=p(),Eu=n("span"),RE=o("ZeroShotClassificationPipeline"),Kb=p(),U=n("div"),_(Xi.$$.fragment),VE=p(),Xe=n("p"),QE=o("NLI-based zero-shot classification pipeline using a "),qu=n("code"),HE=o("ModelForSequenceClassification"),WE=o(` trained on NLI (natural
language inference) tasks. Equivalent of `),Au=n("code"),ZE=o("text-classification"),BE=o(` pipelines, but these models don\u2019t require a
hardcoded number of potential classes, they can be chosen at runtime. It usually means it\u2019s slower but it is
`),Cu=n("strong"),YE=o("much"),KE=o(" more flexible."),XE=p(),Je=n("p"),JE=o(`Any combination of sequences and labels can be passed and each combination will be posed as a premise/hypothesis
pair and passed to the pretrained model. Then, the logit for `),Du=n("em"),eq=o("entailment"),tq=o(` is taken as the logit for the candidate
label being valid. Any NLI model can be used, but the id of the `),zu=n("em"),sq=o("entailment"),nq=o(` label must be included in the model
config\u2019s :attr:`),Iu=n("em"),aq=o("~transformers.PretrainedConfig.label2id"),rq=o("."),oq=p(),_($a.$$.fragment),iq=p(),zc=n("p"),lq=o("Learn more about the basics of using a pipeline in the "),Ic=n("a"),pq=o("pipeline tutorial"),cq=p(),Ps=n("p"),dq=o("This NLI pipeline can currently be loaded from "),Sc=n("a"),mq=o("pipeline()"),hq=o(` using the following task identifier:
`),Su=n("code"),fq=o('"zero-shot-classification"'),uq=o("."),gq=p(),Ji=n("p"),_q=o(`The models that this pipeline can use are models that have been fine-tuned on an NLI task. See the up-to-date list
of available models on `),el=n("a"),bq=o("huggingface.co/models"),wq=o("."),vq=p(),ja=n("div"),_(tl.$$.fragment),xq=p(),sl=n("p"),kq=o("Classify the sequence(s) given as inputs. See the "),Mc=n("a"),Pq=o("ZeroShotClassificationPipeline"),yq=o(` documentation for more
information.`),Xb=p(),ys=n("h2"),Ea=n("a"),Mu=n("span"),_(nl.$$.fragment),Tq=p(),Fu=n("span"),$q=o("Multimodal"),Jb=p(),Fc=n("p"),jq=o("Pipelines available for multimodal tasks include the following."),e2=p(),Ts=n("h3"),qa=n("a"),Lu=n("span"),_(al.$$.fragment),Eq=p(),Nu=n("span"),qq=o("DocumentQuestionAnsweringPipeline"),t2=p(),ee=n("div"),_(rl.$$.fragment),Aq=p(),ol=n("p"),Cq=o("Document Question Answering pipeline using any "),Ou=n("code"),Dq=o("AutoModelForDocumentQuestionAnswering"),zq=o(`. The inputs/outputs are
similar to the (extractive) question answering pipeline; however, the pipeline takes an image (and optional OCR\u2019d
words/boxes) as input instead of text context.`),Iq=p(),_(Aa.$$.fragment),Sq=p(),Lc=n("p"),Mq=o("Learn more about the basics of using a pipeline in the "),Nc=n("a"),Fq=o("pipeline tutorial"),Lq=p(),$s=n("p"),Nq=o("This document question answering pipeline can currently be loaded from "),Oc=n("a"),Oq=o("pipeline()"),Uq=o(` using the following task
identifier: `),Uu=n("code"),Gq=o('"document-question-answering"'),Rq=o("."),Vq=p(),il=n("p"),Qq=o(`The models that this pipeline can use are models that have been fine-tuned on a document question answering task.
See the up-to-date list of available models on
`),ll=n("a"),Hq=o("huggingface.co/models"),Wq=o("."),Zq=p(),Re=n("div"),_(pl.$$.fragment),Bq=p(),cl=n("p"),Yq=o(`Answer the question(s) given as inputs by using the document(s). A document is defined as an image and an
optional list of (word, box) tuples which represent the text in the document. If the `),Gu=n("code"),Kq=o("word_boxes"),Xq=o(` are not
provided, it will use the Tesseract OCR engine (if available) to extract the words and boxes automatically for
LayoutLM-like models which require them as input. For Donut, no OCR is run.`),Jq=p(),Ru=n("p"),e5=o("You can invoke the pipeline several ways:"),t5=p(),et=n("ul"),Vu=n("li"),Qu=n("code"),s5=o("pipeline(image=image, question=question)"),n5=p(),Hu=n("li"),Wu=n("code"),a5=o("pipeline(image=image, question=question, word_boxes=word_boxes)"),r5=p(),Zu=n("li"),Bu=n("code"),o5=o('pipeline([{"image": image, "question": question}])'),i5=p(),Yu=n("li"),Ku=n("code"),l5=o('pipeline([{"image": image, "question": question, "word_boxes": word_boxes}])'),s2=p(),js=n("h3"),Ca=n("a"),Xu=n("span"),_(dl.$$.fragment),p5=p(),Ju=n("span"),c5=o("FeatureExtractionPipeline"),n2=p(),te=n("div"),_(ml.$$.fragment),d5=p(),eg=n("p"),m5=o(`Feature extraction pipeline using no model head. This pipeline extracts the hidden states from the base
transformer, which can be used as features in downstream tasks.`),h5=p(),_(Da.$$.fragment),f5=p(),Uc=n("p"),u5=o("Learn more about the basics of using a pipeline in the "),Gc=n("a"),g5=o("pipeline tutorial"),_5=p(),Es=n("p"),b5=o("This feature extraction pipeline can currently be loaded from "),Rc=n("a"),w5=o("pipeline()"),v5=o(` using the task identifier:
`),tg=n("code"),x5=o('"feature-extraction"'),k5=o("."),P5=p(),hl=n("p"),y5=o(`All models may be used for this pipeline. See a list of all models, including community-contributed models on
`),fl=n("a"),T5=o("huggingface.co/models"),$5=o("."),j5=p(),za=n("div"),_(ul.$$.fragment),E5=p(),sg=n("p"),q5=o("Extract the features of the input(s)."),a2=p(),qs=n("h3"),Ia=n("a"),ng=n("span"),_(gl.$$.fragment),A5=p(),ag=n("span"),C5=o("ImageToTextPipeline"),r2=p(),se=n("div"),_(_l.$$.fragment),D5=p(),bl=n("p"),z5=o("Image To Text pipeline using a "),rg=n("code"),I5=o("AutoModelForVision2Seq"),S5=o(". This pipeline predicts a caption for a given image."),M5=p(),_(Sa.$$.fragment),F5=p(),Vc=n("p"),L5=o("Learn more about the basics of using a pipeline in the "),Qc=n("a"),N5=o("pipeline tutorial"),O5=p(),og=n("p"),U5=o(`This image to text pipeline can currently be loaded from pipeline() using the following task identifier:
\u201Cimage-to-text\u201D.`),G5=p(),wl=n("p"),R5=o(`See the list of available models on
`),vl=n("a"),V5=o("huggingface.co/models"),Q5=o("."),H5=p(),Ma=n("div"),_(xl.$$.fragment),W5=p(),ig=n("p"),Z5=o("Assign labels to the image(s) passed as inputs."),o2=p(),As=n("h3"),Fa=n("a"),lg=n("span"),_(kl.$$.fragment),B5=p(),pg=n("span"),Y5=o("VisualQuestionAnsweringPipeline"),i2=p(),ne=n("div"),_(Pl.$$.fragment),K5=p(),yl=n("p"),X5=o("Visual Question Answering pipeline using a "),cg=n("code"),J5=o("AutoModelForVisualQuestionAnswering"),eA=o(`. This pipeline is currently only
available in PyTorch.`),tA=p(),_(La.$$.fragment),sA=p(),Hc=n("p"),nA=o("Learn more about the basics of using a pipeline in the "),Wc=n("a"),aA=o("pipeline tutorial"),rA=p(),Cs=n("p"),oA=o("This visual question answering pipeline can currently be loaded from "),Zc=n("a"),iA=o("pipeline()"),lA=o(` using the following task
identifiers: `),dg=n("code"),pA=o('"visual-question-answering", "vqa"'),cA=o("."),dA=p(),Tl=n("p"),mA=o(`The models that this pipeline can use are models that have been fine-tuned on a visual question answering task. See
the up-to-date list of available models on
`),$l=n("a"),hA=o("huggingface.co/models"),fA=o("."),uA=p(),lt=n("div"),_(jl.$$.fragment),gA=p(),mg=n("p"),_A=o(`Answers open-ended questions about images. The pipeline accepts several types of inputs which are detailed
below:`),bA=p(),tt=n("ul"),hg=n("li"),fg=n("code"),wA=o("pipeline(image=image, question=question)"),vA=p(),ug=n("li"),gg=n("code"),xA=o('pipeline({"image": image, "question": question})'),kA=p(),_g=n("li"),bg=n("code"),PA=o('pipeline([{"image": image, "question": question}])'),yA=p(),wg=n("li"),vg=n("code"),TA=o('pipeline([{"image": image, "question": question}, {"image": image, "question": question}])'),l2=p(),Ds=n("h2"),Na=n("a"),xg=n("span"),_(El.$$.fragment),$A=p(),Bc=n("span"),jA=o("Parent class: "),kg=n("code"),EA=o("Pipeline"),p2=p(),A=n("div"),_(ql.$$.fragment),qA=p(),Pg=n("p"),AA=o(`The Pipeline class is the class from which all pipelines inherit. Refer to this class for methods shared across
different pipelines.`),CA=p(),yg=n("p"),DA=o(`Base class implementing pipelined operations. Pipeline workflow is defined as a sequence of the following
operations:`),zA=p(),Tg=n("p"),IA=o("Input -> Tokenization -> Model Inference -> Post-Processing (task dependent) -> Output"),SA=p(),$g=n("p"),MA=o("Pipeline supports running on CPU or GPU through the device argument (see below)."),FA=p(),Oe=n("p"),LA=o("Some pipeline, like for instance "),Yc=n("a"),NA=o("FeatureExtractionPipeline"),OA=o(" ("),jg=n("code"),UA=o("'feature-extraction'"),GA=o(`) output large tensor object
as nested-lists. In order to avoid dumping such large structure as textual data we provide the `),Eg=n("code"),RA=o("binary_output"),VA=o(`
constructor argument. If set to `),qg=n("code"),QA=o("True"),HA=o(", the output will be stored in the pickle format."),WA=p(),Oa=n("div"),_(Al.$$.fragment),ZA=p(),Ag=n("p"),BA=o("Check if the model class is in supported by the pipeline."),YA=p(),pt=n("div"),_(Cl.$$.fragment),KA=p(),Cg=n("p"),XA=o("Context Manager allowing tensor allocation on the user-specified device in framework agnostic way."),JA=p(),_(Ua.$$.fragment),e6=p(),Ga=n("div"),_(Dl.$$.fragment),t6=p(),Dg=n("p"),s6=o("Ensure PyTorch tensors are on the specified device."),n6=p(),Ra=n("div"),_(zl.$$.fragment),a6=p(),Il=n("p"),r6=o("Postprocess will receive the raw outputs of the "),zg=n("code"),o6=o("_forward"),i6=o(` method, generally tensors, and reformat them into
something more friendly. Generally it will output a list or a dict or results (containing just strings and
numbers).`),l6=p(),Va=n("div"),_(Sl.$$.fragment),p6=p(),Ml=n("p"),c6=o("Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),Ig=n("strong"),d6=o("call"),m6=o("()."),h6=p(),Qa=n("div"),_(Fl.$$.fragment),f6=p(),zs=n("p"),u6=o("Preprocess will take the "),Sg=n("code"),g6=o("input_"),_6=o(` of a specific pipeline and return a dictionary of everything necessary for
`),Mg=n("code"),b6=o("_forward"),w6=o(" to run properly. It should contain at least one tensor, but might have arbitrary other items."),v6=p(),Ha=n("div"),_(Ll.$$.fragment),x6=p(),Fg=n("p"),k6=o("Save the pipeline\u2019s model and tokenizer."),P6=p(),Wa=n("div"),_(Nl.$$.fragment),y6=p(),Ol=n("p"),T6=o("Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),Lg=n("strong"),$6=o("call"),j6=o("()."),this.h()},l(t){const m=kM('[data-svelte="svelte-1phssyn"]',document.head);u=a(m,"META",{name:!0,content:!0}),m.forEach(s),T=c(t),P=a(t,"H1",{class:!0});var Ul=r(P);f=a(Ul,"A",{id:!0,class:!0,href:!0});var Ng=r(f);y=a(Ng,"SPAN",{});var Og=r(y);b(l.$$.fragment,Og),Og.forEach(s),Ng.forEach(s),g=c(Ul),Ze=a(Ul,"SPAN",{});var Ug=r(Ze);$v=i(Ug,"Pipelines"),Ug.forEach(s),Ul.forEach(s),l_=c(t),Is=a(t,"P",{});var Gl=r(Is);jv=i(Gl,`The pipelines are a great and easy way to use models for inference. These pipelines are objects that abstract most of
the complex code from the library, offering a simple API dedicated to several tasks, including Named Entity
Recognition, Masked Language Modeling, Sentiment Analysis, Feature Extraction and Question Answering. See the
`),Xl=a(Gl,"A",{href:!0});var Gg=r(Xl);Ev=i(Gg,"task summary"),Gg.forEach(s),qv=i(Gl," for examples of use."),Gl.forEach(s),p_=c(t),Jl=a(t,"P",{});var Rg=r(Jl);Av=i(Rg,"There are two categories of pipeline abstractions to be aware about:"),Rg.forEach(s),c_=c(t),Ss=a(t,"UL",{});var Rl=r(Ss);tr=a(Rl,"LI",{});var Vl=r(tr);Cv=i(Vl,"The "),ep=a(Vl,"A",{href:!0});var Vg=r(ep);Dv=i(Vg,"pipeline()"),Vg.forEach(s),zv=i(Vl," which is the most powerful object encapsulating all other pipelines."),Vl.forEach(s),Iv=c(Rl),Me=a(Rl,"LI",{});var Ue=r(Me);Sv=i(Ue,"Task-specific pipelines are available for "),tp=a(Ue,"A",{href:!0});var Qg=r(tp);Mv=i(Qg,"audio"),Qg.forEach(s),Fv=i(Ue,", "),sp=a(Ue,"A",{href:!0});var Hg=r(sp);Lv=i(Hg,"computer vision"),Hg.forEach(s),Nv=i(Ue,", "),np=a(Ue,"A",{href:!0});var Wg=r(np);Ov=i(Wg,"natural language processing"),Wg.forEach(s),Uv=i(Ue,", and "),ap=a(Ue,"A",{href:!0});var Zg=r(ap);Gv=i(Zg,"multimodal"),Zg.forEach(s),Rv=i(Ue," tasks."),Ue.forEach(s),Rl.forEach(s),d_=c(t),_t=a(t,"H2",{class:!0});var Ql=r(_t);Ms=a(Ql,"A",{id:!0,class:!0,href:!0});var Bg=r(Ms);Od=a(Bg,"SPAN",{});var Yg=r(Od);b(sr.$$.fragment,Yg),Yg.forEach(s),Bg.forEach(s),Vv=c(Ql),Ud=a(Ql,"SPAN",{});var Kg=r(Ud);Qv=i(Kg,"The pipeline abstraction"),Kg.forEach(s),Ql.forEach(s),m_=c(t),Fs=a(t,"P",{});var Hl=r(Fs);Hv=i(Hl,"The "),Gd=a(Hl,"EM",{});var Xg=r(Gd);Wv=i(Xg,"pipeline"),Xg.forEach(s),Zv=i(Hl,` abstraction is a wrapper around all the other available pipelines. It is instantiated as any other
pipeline but can provide additional quality of life.`),Hl.forEach(s),h_=c(t),rp=a(t,"P",{});var Jg=r(rp);Bv=i(Jg,"Simple call on one item:"),Jg.forEach(s),f_=c(t),b(nr.$$.fragment,t),u_=c(t),Ls=a(t,"P",{});var Wl=r(Ls);Yv=i(Wl,"If you want to use a specific model from the "),ar=a(Wl,"A",{href:!0,rel:!0});var e_=r(ar);Kv=i(e_,"hub"),e_.forEach(s),Xv=i(Wl,` you can ignore the task if the model on
the hub already defines it:`),Wl.forEach(s),g_=c(t),b(rr.$$.fragment,t),__=c(t),Ns=a(t,"P",{});var Zl=r(Ns);Jv=i(Zl,"To call a pipeline on many items, you can call it with a "),Rd=a(Zl,"EM",{});var t_=r(Rd);e1=i(t_,"list"),t_.forEach(s),t1=i(Zl,"."),Zl.forEach(s),b_=c(t),b(or.$$.fragment,t),w_=c(t),Os=a(t,"P",{});var Bl=r(Os);s1=i(Bl,"To iterate over full datasets it is recommended to use a "),Vd=a(Bl,"CODE",{});var s_=r(Vd);n1=i(s_,"dataset"),s_.forEach(s),a1=i(Bl,` directly. This means you don\u2019t need to allocate
the whole dataset at once, nor do you need to do batching yourself. This should work just as fast as custom loops on
GPU. If it doesn\u2019t don\u2019t hesitate to create an issue.`),Bl.forEach(s),v_=c(t),b(ir.$$.fragment,t),x_=c(t),op=a(t,"P",{});var n_=r(op);r1=i(n_,"For ease of use, a generator is also possible:"),n_.forEach(s),k_=c(t),b(lr.$$.fragment,t),P_=c(t),ge=a(t,"DIV",{class:!0});var Ge=r(ge);b(pr.$$.fragment,Ge),o1=c(Ge),cr=a(Ge,"P",{});var Yl=r(cr);i1=i(Yl,"Utility factory method to build a "),ip=a(Yl,"A",{href:!0});var a_=r(ip);l1=i(a_,"Pipeline"),a_.forEach(s),p1=i(Yl,"."),Yl.forEach(s),c1=c(Ge),Qd=a(Ge,"P",{});var r_=r(Qd);d1=i(r_,"Pipelines are made of:"),r_.forEach(s),m1=c(Ge),bt=a(Ge,"UL",{});var Kc=r(bt);dr=a(Kc,"LI",{});var d2=r(dr);h1=i(d2,"A "),lp=a(d2,"A",{href:!0});var Y6=r(lp);f1=i(Y6,"tokenizer"),Y6.forEach(s),u1=i(d2," in charge of mapping raw textual input to token."),d2.forEach(s),g1=c(Kc),mr=a(Kc,"LI",{});var m2=r(mr);_1=i(m2,"A "),pp=a(m2,"A",{href:!0});var K6=r(pp);b1=i(K6,"model"),K6.forEach(s),w1=i(m2," to make predictions from the inputs."),m2.forEach(s),v1=c(Kc),Hd=a(Kc,"LI",{});var X6=r(Hd);x1=i(X6,"Some (optional) post processing for enhancing model\u2019s output."),X6.forEach(s),Kc.forEach(s),k1=c(Ge),b(Us.$$.fragment,Ge),Ge.forEach(s),y_=c(t),wt=a(t,"H2",{class:!0});var h2=r(wt);Gs=a(h2,"A",{id:!0,class:!0,href:!0});var J6=r(Gs);Wd=a(J6,"SPAN",{});var e8=r(Wd);b(hr.$$.fragment,e8),e8.forEach(s),J6.forEach(s),P1=c(h2),Zd=a(h2,"SPAN",{});var t8=r(Zd);y1=i(t8,"Pipeline batching"),t8.forEach(s),h2.forEach(s),T_=c(t),st=a(t,"P",{});var Xc=r(st);T1=i(Xc,`All pipelines can use batching. This will work
whenever the pipeline uses its streaming ability (so when passing lists or `),Bd=a(Xc,"CODE",{});var s8=r(Bd);$1=i(s8,"Dataset"),s8.forEach(s),j1=i(Xc," or "),Yd=a(Xc,"CODE",{});var n8=r(Yd);E1=i(n8,"generator"),n8.forEach(s),q1=i(Xc,")."),Xc.forEach(s),$_=c(t),b(fr.$$.fragment,t),j_=c(t),b(Rs.$$.fragment,t),E_=c(t),b(ur.$$.fragment,t),q_=c(t),b(gr.$$.fragment,t),A_=c(t),cp=a(t,"P",{});var a8=r(cp);A1=i(a8,"Example where it\u2019s most a slowdown:"),a8.forEach(s),C_=c(t),b(_r.$$.fragment,t),D_=c(t),Vs=a(t,"P",{});var f2=r(Vs);C1=i(f2,"This is a occasional very long sentence compared to the other. In that case, the "),Kd=a(f2,"STRONG",{});var r8=r(Kd);D1=i(r8,"whole"),r8.forEach(s),z1=i(f2,` batch will need to be 400
tokens long, so the whole batch will be [64, 400] instead of [64, 4], leading to the high slowdown. Even worse, on
bigger batches, the program simply crashes.`),f2.forEach(s),z_=c(t),b(br.$$.fragment,t),I_=c(t),dp=a(t,"P",{});var o8=r(dp);I1=i(o8,`There are no good (general) solutions for this problem, and your mileage may vary depending on your use cases. Rule of
thumb:`),o8.forEach(s),S_=c(t),mp=a(t,"P",{});var i8=r(mp);S1=i(i8,"For users, a rule of thumb is:"),i8.forEach(s),M_=c(t),we=a(t,"UL",{});var ct=r(we);Xd=a(ct,"LI",{});var l8=r(Xd);Jd=a(l8,"P",{});var p8=r(Jd);em=a(p8,"STRONG",{});var c8=r(em);M1=i(c8,`Measure performance on your load, with your hardware. Measure, measure, and keep measuring. Real numbers are the
only way to go.`),c8.forEach(s),p8.forEach(s),l8.forEach(s),F1=c(ct),tm=a(ct,"LI",{});var d8=r(tm);sm=a(d8,"P",{});var m8=r(sm);L1=i(m8,"If you are latency constrained (live product doing inference), don\u2019t batch"),m8.forEach(s),d8.forEach(s),N1=c(ct),nm=a(ct,"LI",{});var h8=r(nm);am=a(h8,"P",{});var f8=r(am);O1=i(f8,"If you are using CPU, don\u2019t batch."),f8.forEach(s),h8.forEach(s),U1=c(ct),wr=a(ct,"LI",{});var u2=r(wr);rm=a(u2,"P",{});var u8=r(rm);G1=i(u8,"If you are using throughput (you want to run your model on a bunch of static data), on GPU, then:"),u8.forEach(s),R1=c(u2),vt=a(u2,"UL",{});var Jc=r(vt);om=a(Jc,"LI",{});var g8=r(om);V1=i(g8,`If you have no clue about the size of the sequence_length (\u201Cnatural\u201D data), by default don\u2019t batch, measure and
try tentatively to add it, add OOM checks to recover when it will fail (and it will at some point if you don\u2019t
control the sequence_length.)`),g8.forEach(s),Q1=c(Jc),im=a(Jc,"LI",{});var _8=r(im);H1=i(_8,`If your sequence_length is super regular, then batching is more likely to be VERY interesting, measure and push
it until you get OOMs.`),_8.forEach(s),W1=c(Jc),lm=a(Jc,"LI",{});var b8=r(lm);Z1=i(b8,"The larger the GPU the more likely batching is going to be more interesting"),b8.forEach(s),Jc.forEach(s),u2.forEach(s),B1=c(ct),pm=a(ct,"LI",{});var w8=r(pm);cm=a(w8,"P",{});var v8=r(cm);Y1=i(v8,"As soon as you enable batching, make sure you can handle OOMs nicely."),v8.forEach(s),w8.forEach(s),ct.forEach(s),F_=c(t),xt=a(t,"H2",{class:!0});var g2=r(xt);Qs=a(g2,"A",{id:!0,class:!0,href:!0});var x8=r(Qs);dm=a(x8,"SPAN",{});var k8=r(dm);b(vr.$$.fragment,k8),k8.forEach(s),x8.forEach(s),K1=c(g2),mm=a(g2,"SPAN",{});var P8=r(mm);X1=i(P8,"Pipeline chunk batching"),P8.forEach(s),g2.forEach(s),L_=c(t),Be=a(t,"P",{});var Kl=r(Be);hm=a(Kl,"CODE",{});var y8=r(hm);J1=i(y8,"zero-shot-classification"),y8.forEach(s),ex=i(Kl," and "),fm=a(Kl,"CODE",{});var T8=r(fm);tx=i(T8,"question-answering"),T8.forEach(s),sx=i(Kl,` are slightly specific in the sense, that a single input might yield
multiple forward pass of a model. Under normal circumstances, this would yield issues with `),um=a(Kl,"CODE",{});var $8=r(um);nx=i($8,"batch_size"),$8.forEach(s),ax=i(Kl," argument."),Kl.forEach(s),N_=c(t),nt=a(t,"P",{});var ed=r(nt);rx=i(ed,"In order to circumvent this issue, both of these pipelines are a bit specific, they are "),gm=a(ed,"CODE",{});var j8=r(gm);ox=i(j8,"ChunkPipeline"),j8.forEach(s),ix=i(ed,` instead of
regular `),_m=a(ed,"CODE",{});var E8=r(_m);lx=i(E8,"Pipeline"),E8.forEach(s),px=i(ed,". In short:"),ed.forEach(s),O_=c(t),b(xr.$$.fragment,t),U_=c(t),hp=a(t,"P",{});var q8=r(hp);cx=i(q8,"Now becomes:"),q8.forEach(s),G_=c(t),b(kr.$$.fragment,t),R_=c(t),fp=a(t,"P",{});var A8=r(fp);dx=i(A8,`This should be very transparent to your code because the pipelines are used in
the same way.`),A8.forEach(s),V_=c(t),Hs=a(t,"P",{});var _2=r(Hs);mx=i(_2,`This is a simplified view, since the pipeline can handle automatically the batch to ! Meaning you don\u2019t have to care
about how many forward passes you inputs are actually going to trigger, you can optimize the `),bm=a(_2,"CODE",{});var C8=r(bm);hx=i(C8,"batch_size"),C8.forEach(s),fx=i(_2,`
independently of the inputs. The caveats from the previous section still apply.`),_2.forEach(s),Q_=c(t),kt=a(t,"H2",{class:!0});var b2=r(kt);Ws=a(b2,"A",{id:!0,class:!0,href:!0});var D8=r(Ws);wm=a(D8,"SPAN",{});var z8=r(wm);b(Pr.$$.fragment,z8),z8.forEach(s),D8.forEach(s),ux=c(b2),vm=a(b2,"SPAN",{});var I8=r(vm);gx=i(I8,"Pipeline custom code"),I8.forEach(s),b2.forEach(s),H_=c(t),up=a(t,"P",{});var S8=r(up);_x=i(S8,"If you want to override a specific pipeline."),S8.forEach(s),W_=c(t),Zs=a(t,"P",{});var w2=r(Zs);bx=i(w2,`Don\u2019t hesitate to create an issue for your task at hand, the goal of the pipeline is to be easy to use and support most
cases, so `),xm=a(w2,"CODE",{});var M8=r(xm);wx=i(M8,"transformers"),M8.forEach(s),vx=i(w2," could maybe support your use case."),w2.forEach(s),Z_=c(t),gp=a(t,"P",{});var F8=r(gp);xx=i(F8,"If you want to try simply you can:"),F8.forEach(s),B_=c(t),_p=a(t,"UL",{});var L8=r(_p);km=a(L8,"LI",{});var N8=r(km);kx=i(N8,"Subclass your pipeline of choice"),N8.forEach(s),L8.forEach(s),Y_=c(t),b(yr.$$.fragment,t),K_=c(t),bp=a(t,"P",{});var O8=r(bp);Px=i(O8,"That should enable you to do all the custom code you want."),O8.forEach(s),X_=c(t),Pt=a(t,"H2",{class:!0});var v2=r(Pt);Bs=a(v2,"A",{id:!0,class:!0,href:!0});var U8=r(Bs);Pm=a(U8,"SPAN",{});var G8=r(Pm);b(Tr.$$.fragment,G8),G8.forEach(s),U8.forEach(s),yx=c(v2),ym=a(v2,"SPAN",{});var R8=r(ym);Tx=i(R8,"Implementing a pipeline"),R8.forEach(s),v2.forEach(s),J_=c(t),wp=a(t,"P",{});var V8=r(wp);vp=a(V8,"A",{href:!0});var Q8=r(vp);$x=i(Q8,"Implementing a new pipeline"),Q8.forEach(s),V8.forEach(s),eb=c(t),yt=a(t,"H2",{class:!0});var x2=r(yt);Ys=a(x2,"A",{id:!0,class:!0,href:!0});var H8=r(Ys);Tm=a(H8,"SPAN",{});var W8=r(Tm);b($r.$$.fragment,W8),W8.forEach(s),H8.forEach(s),jx=c(x2),$m=a(x2,"SPAN",{});var Z8=r($m);Ex=i(Z8,"Audio"),Z8.forEach(s),x2.forEach(s),tb=c(t),xp=a(t,"P",{});var B8=r(xp);qx=i(B8,"Pipelines available for audio tasks include the following."),B8.forEach(s),sb=c(t),Tt=a(t,"H3",{class:!0});var k2=r(Tt);Ks=a(k2,"A",{id:!0,class:!0,href:!0});var Y8=r(Ks);jm=a(Y8,"SPAN",{});var K8=r(jm);b(jr.$$.fragment,K8),K8.forEach(s),Y8.forEach(s),Ax=c(k2),Em=a(k2,"SPAN",{});var X8=r(Em);Cx=i(X8,"AudioClassificationPipeline"),X8.forEach(s),k2.forEach(s),nb=c(t),V=a(t,"DIV",{class:!0});var ve=r(V);b(Er.$$.fragment,ve),Dx=c(ve),qr=a(ve,"P",{});var P2=r(qr);zx=i(P2,"Audio classification pipeline using any "),qm=a(P2,"CODE",{});var J8=r(qm);Ix=i(J8,"AutoModelForAudioClassification"),J8.forEach(s),Sx=i(P2,`. This pipeline predicts the class of a
raw waveform or an audio file. In case of an audio file, ffmpeg should be installed to support multiple audio
formats.`),P2.forEach(s),Mx=c(ve),b(Xs.$$.fragment,ve),Fx=c(ve),kp=a(ve,"P",{});var E6=r(kp);Lx=i(E6,"Learn more about the basics of using a pipeline in the "),Pp=a(E6,"A",{href:!0});var e9=r(Pp);Nx=i(e9,"pipeline tutorial"),e9.forEach(s),E6.forEach(s),Ox=c(ve),$t=a(ve,"P",{});var td=r($t);Ux=i(td,"This pipeline can currently be loaded from "),yp=a(td,"A",{href:!0});var t9=r(yp);Gx=i(t9,"pipeline()"),t9.forEach(s),Rx=i(td,` using the following task identifier:
`),Am=a(td,"CODE",{});var s9=r(Am);Vx=i(s9,'"audio-classification"'),s9.forEach(s),Qx=i(td,"."),td.forEach(s),Hx=c(ve),Ar=a(ve,"P",{});var y2=r(Ar);Wx=i(y2,`See the list of available models on
`),Cr=a(y2,"A",{href:!0,rel:!0});var n9=r(Cr);Zx=i(n9,"huggingface.co/models"),n9.forEach(s),Bx=i(y2,"."),y2.forEach(s),Yx=c(ve),Js=a(ve,"DIV",{class:!0});var T2=r(Js);b(Dr.$$.fragment,T2),Kx=c(T2),zr=a(T2,"P",{});var $2=r(zr);Xx=i($2,"Classify the sequence(s) given as inputs. See the "),Tp=a($2,"A",{href:!0});var a9=r(Tp);Jx=i(a9,"AutomaticSpeechRecognitionPipeline"),a9.forEach(s),ek=i($2,` documentation for more
information.`),$2.forEach(s),T2.forEach(s),ve.forEach(s),ab=c(t),jt=a(t,"H3",{class:!0});var j2=r(jt);en=a(j2,"A",{id:!0,class:!0,href:!0});var r9=r(en);Cm=a(r9,"SPAN",{});var o9=r(Cm);b(Ir.$$.fragment,o9),o9.forEach(s),r9.forEach(s),tk=c(j2),Dm=a(j2,"SPAN",{});var i9=r(Dm);sk=i(i9,"AutomaticSpeechRecognitionPipeline"),i9.forEach(s),j2.forEach(s),rb=c(t),ie=a(t,"DIV",{class:!0});var Ve=r(ie);b(Sr.$$.fragment,Ve),nk=c(Ve),zm=a(Ve,"P",{});var l9=r(zm);ak=i(l9,"Pipeline that aims at extracting spoken text contained within some audio."),l9.forEach(s),rk=c(Ve),Im=a(Ve,"P",{});var p9=r(Im);ok=i(p9,`The input can be either a raw waveform or a audio file. In case of the audio file, ffmpeg should be installed for
to support multiple audio formats`),p9.forEach(s),ik=c(Ve),b(tn.$$.fragment,Ve),lk=c(Ve),$p=a(Ve,"P",{});var q6=r($p);pk=i(q6,"Learn more about the basics of using a pipeline in the "),jp=a(q6,"A",{href:!0});var c9=r(jp);ck=i(c9,"pipeline tutorial"),c9.forEach(s),q6.forEach(s),dk=c(Ve),sn=a(Ve,"DIV",{class:!0});var E2=r(sn);b(Mr.$$.fragment,E2),mk=c(E2),Fr=a(E2,"P",{});var q2=r(Fr);hk=i(q2,"Transcribe the audio sequence(s) given as inputs to text. See the "),Ep=a(q2,"A",{href:!0});var d9=r(Ep);fk=i(d9,"AutomaticSpeechRecognitionPipeline"),d9.forEach(s),uk=i(q2,`
documentation for more information.`),q2.forEach(s),E2.forEach(s),Ve.forEach(s),ob=c(t),Et=a(t,"H3",{class:!0});var A2=r(Et);nn=a(A2,"A",{id:!0,class:!0,href:!0});var m9=r(nn);Sm=a(m9,"SPAN",{});var h9=r(Sm);b(Lr.$$.fragment,h9),h9.forEach(s),m9.forEach(s),gk=c(A2),Mm=a(A2,"SPAN",{});var f9=r(Mm);_k=i(f9,"ZeroShotAudioClassificationPipeline"),f9.forEach(s),A2.forEach(s),ib=c(t),_e=a(t,"DIV",{class:!0});var dt=r(_e);b(Nr.$$.fragment,dt),bk=c(dt),qt=a(dt,"P",{});var sd=r(qt);wk=i(sd,"Zero shot audio classification pipeline using "),Fm=a(sd,"CODE",{});var u9=r(Fm);vk=i(u9,"ClapModel"),u9.forEach(s),xk=i(sd,`. This pipeline predicts the class of an audio when you
provide an audio and a set of `),Lm=a(sd,"CODE",{});var g9=r(Lm);kk=i(g9,"candidate_labels"),g9.forEach(s),Pk=i(sd,"."),sd.forEach(s),yk=c(dt),b(an.$$.fragment,dt),Tk=c(dt),Fe=a(dt,"P",{});var mt=r(Fe);$k=i(mt,"Learn more about the basics of using a pipeline in the "),qp=a(mt,"A",{href:!0});var _9=r(qp);jk=i(_9,"pipeline tutorial"),_9.forEach(s),Ek=i(mt,` This audio
classification pipeline can currently be loaded from `),Ap=a(mt,"A",{href:!0});var b9=r(Ap);qk=i(b9,"pipeline()"),b9.forEach(s),Ak=i(mt,` using the following task identifier:
`),Nm=a(mt,"CODE",{});var w9=r(Nm);Ck=i(w9,'"zero-shot-audio-classification"'),w9.forEach(s),Dk=i(mt,`. See the list of available models on
`),Or=a(mt,"A",{href:!0,rel:!0});var v9=r(Or);zk=i(v9,"huggingface.co/models"),v9.forEach(s),Ik=i(mt,"."),mt.forEach(s),Sk=c(dt),rn=a(dt,"DIV",{class:!0});var C2=r(rn);b(Ur.$$.fragment,C2),Mk=c(C2),Om=a(C2,"P",{});var x9=r(Om);Fk=i(x9,"Assign labels to the audio(s) passed as inputs."),x9.forEach(s),C2.forEach(s),dt.forEach(s),lb=c(t),At=a(t,"H2",{class:!0});var D2=r(At);on=a(D2,"A",{id:!0,class:!0,href:!0});var k9=r(on);Um=a(k9,"SPAN",{});var P9=r(Um);b(Gr.$$.fragment,P9),P9.forEach(s),k9.forEach(s),Lk=c(D2),Gm=a(D2,"SPAN",{});var y9=r(Gm);Nk=i(y9,"Computer vision"),y9.forEach(s),D2.forEach(s),pb=c(t),Cp=a(t,"P",{});var T9=r(Cp);Ok=i(T9,"Pipelines available for computer vision tasks include the following."),T9.forEach(s),cb=c(t),Ct=a(t,"H3",{class:!0});var z2=r(Ct);ln=a(z2,"A",{id:!0,class:!0,href:!0});var $9=r(ln);Rm=a($9,"SPAN",{});var j9=r(Rm);b(Rr.$$.fragment,j9),j9.forEach(s),$9.forEach(s),Uk=c(z2),Vm=a(z2,"SPAN",{});var E9=r(Vm);Gk=i(E9,"DepthEstimationPipeline"),E9.forEach(s),z2.forEach(s),db=c(t),Q=a(t,"DIV",{class:!0});var xe=r(Q);b(Vr.$$.fragment,xe),Rk=c(xe),Qr=a(xe,"P",{});var I2=r(Qr);Vk=i(I2,"Depth estimation pipeline using any "),Qm=a(I2,"CODE",{});var q9=r(Qm);Qk=i(q9,"AutoModelForDepthEstimation"),q9.forEach(s),Hk=i(I2,". This pipeline predicts the depth of an image."),I2.forEach(s),Wk=c(xe),b(pn.$$.fragment,xe),Zk=c(xe),Dp=a(xe,"P",{});var A6=r(Dp);Bk=i(A6,"Learn more about the basics of using a pipeline in the "),zp=a(A6,"A",{href:!0});var A9=r(zp);Yk=i(A9,"pipeline tutorial"),A9.forEach(s),A6.forEach(s),Kk=c(xe),Dt=a(xe,"P",{});var nd=r(Dt);Xk=i(nd,"This depth estimation pipeline can currently be loaded from "),Ip=a(nd,"A",{href:!0});var C9=r(Ip);Jk=i(C9,"pipeline()"),C9.forEach(s),eP=i(nd,` using the following task identifier:
`),Hm=a(nd,"CODE",{});var D9=r(Hm);tP=i(D9,'"depth-estimation"'),D9.forEach(s),sP=i(nd,"."),nd.forEach(s),nP=c(xe),Hr=a(xe,"P",{});var S2=r(Hr);aP=i(S2,"See the list of available models on "),Wr=a(S2,"A",{href:!0,rel:!0});var z9=r(Wr);rP=i(z9,"huggingface.co/models"),z9.forEach(s),oP=i(S2,"."),S2.forEach(s),iP=c(xe),cn=a(xe,"DIV",{class:!0});var M2=r(cn);b(Zr.$$.fragment,M2),lP=c(M2),Wm=a(M2,"P",{});var I9=r(Wm);pP=i(I9,"Assign labels to the image(s) passed as inputs."),I9.forEach(s),M2.forEach(s),xe.forEach(s),mb=c(t),zt=a(t,"H3",{class:!0});var F2=r(zt);dn=a(F2,"A",{id:!0,class:!0,href:!0});var S9=r(dn);Zm=a(S9,"SPAN",{});var M9=r(Zm);b(Br.$$.fragment,M9),M9.forEach(s),S9.forEach(s),cP=c(F2),Bm=a(F2,"SPAN",{});var F9=r(Bm);dP=i(F9,"ImageClassificationPipeline"),F9.forEach(s),F2.forEach(s),hb=c(t),H=a(t,"DIV",{class:!0});var ke=r(H);b(Yr.$$.fragment,ke),mP=c(ke),Kr=a(ke,"P",{});var L2=r(Kr);hP=i(L2,"Image classification pipeline using any "),Ym=a(L2,"CODE",{});var L9=r(Ym);fP=i(L9,"AutoModelForImageClassification"),L9.forEach(s),uP=i(L2,`. This pipeline predicts the class of an
image.`),L2.forEach(s),gP=c(ke),b(mn.$$.fragment,ke),_P=c(ke),Sp=a(ke,"P",{});var C6=r(Sp);bP=i(C6,"Learn more about the basics of using a pipeline in the "),Mp=a(C6,"A",{href:!0});var N9=r(Mp);wP=i(N9,"pipeline tutorial"),N9.forEach(s),C6.forEach(s),vP=c(ke),It=a(ke,"P",{});var ad=r(It);xP=i(ad,"This image classification pipeline can currently be loaded from "),Fp=a(ad,"A",{href:!0});var O9=r(Fp);kP=i(O9,"pipeline()"),O9.forEach(s),PP=i(ad,` using the following task identifier:
`),Km=a(ad,"CODE",{});var U9=r(Km);yP=i(U9,'"image-classification"'),U9.forEach(s),TP=i(ad,"."),ad.forEach(s),$P=c(ke),Xr=a(ke,"P",{});var N2=r(Xr);jP=i(N2,`See the list of available models on
`),Jr=a(N2,"A",{href:!0,rel:!0});var G9=r(Jr);EP=i(G9,"huggingface.co/models"),G9.forEach(s),qP=i(N2,"."),N2.forEach(s),AP=c(ke),hn=a(ke,"DIV",{class:!0});var O2=r(hn);b(eo.$$.fragment,O2),CP=c(O2),Xm=a(O2,"P",{});var R9=r(Xm);DP=i(R9,"Assign labels to the image(s) passed as inputs."),R9.forEach(s),O2.forEach(s),ke.forEach(s),fb=c(t),St=a(t,"H3",{class:!0});var U2=r(St);fn=a(U2,"A",{id:!0,class:!0,href:!0});var V9=r(fn);Jm=a(V9,"SPAN",{});var Q9=r(Jm);b(to.$$.fragment,Q9),Q9.forEach(s),V9.forEach(s),zP=c(U2),eh=a(U2,"SPAN",{});var H9=r(eh);IP=i(H9,"ImageSegmentationPipeline"),H9.forEach(s),U2.forEach(s),ub=c(t),le=a(t,"DIV",{class:!0});var Qe=r(le);b(so.$$.fragment,Qe),SP=c(Qe),no=a(Qe,"P",{});var G2=r(no);MP=i(G2,"Image segmentation pipeline using any "),th=a(G2,"CODE",{});var W9=r(th);FP=i(W9,"AutoModelForXXXSegmentation"),W9.forEach(s),LP=i(G2,`. This pipeline predicts masks of objects and
their classes.`),G2.forEach(s),NP=c(Qe),b(un.$$.fragment,Qe),OP=c(Qe),Mt=a(Qe,"P",{});var rd=r(Mt);UP=i(rd,"This image segmentation pipeline can currently be loaded from "),Lp=a(rd,"A",{href:!0});var Z9=r(Lp);GP=i(Z9,"pipeline()"),Z9.forEach(s),RP=i(rd,` using the following task identifier:
`),sh=a(rd,"CODE",{});var B9=r(sh);VP=i(B9,'"image-segmentation"'),B9.forEach(s),QP=i(rd,"."),rd.forEach(s),HP=c(Qe),ao=a(Qe,"P",{});var R2=r(ao);WP=i(R2,`See the list of available models on
`),ro=a(R2,"A",{href:!0,rel:!0});var Y9=r(ro);ZP=i(Y9,"huggingface.co/models"),Y9.forEach(s),BP=i(R2,"."),R2.forEach(s),YP=c(Qe),gn=a(Qe,"DIV",{class:!0});var V2=r(gn);b(oo.$$.fragment,V2),KP=c(V2),nh=a(V2,"P",{});var K9=r(nh);XP=i(K9,"Perform segmentation (detect masks & classes) in the image(s) passed as inputs."),K9.forEach(s),V2.forEach(s),Qe.forEach(s),gb=c(t),Ft=a(t,"H3",{class:!0});var Q2=r(Ft);_n=a(Q2,"A",{id:!0,class:!0,href:!0});var X9=r(_n);ah=a(X9,"SPAN",{});var J9=r(ah);b(io.$$.fragment,J9),J9.forEach(s),X9.forEach(s),JP=c(Q2),rh=a(Q2,"SPAN",{});var eC=r(rh);ey=i(eC,"ObjectDetectionPipeline"),eC.forEach(s),Q2.forEach(s),_b=c(t),W=a(t,"DIV",{class:!0});var Pe=r(W);b(lo.$$.fragment,Pe),ty=c(Pe),po=a(Pe,"P",{});var H2=r(po);sy=i(H2,"Object detection pipeline using any "),oh=a(H2,"CODE",{});var tC=r(oh);ny=i(tC,"AutoModelForObjectDetection"),tC.forEach(s),ay=i(H2,`. This pipeline predicts bounding boxes of objects
and their classes.`),H2.forEach(s),ry=c(Pe),b(bn.$$.fragment,Pe),oy=c(Pe),Np=a(Pe,"P",{});var D6=r(Np);iy=i(D6,"Learn more about the basics of using a pipeline in the "),Op=a(D6,"A",{href:!0});var sC=r(Op);ly=i(sC,"pipeline tutorial"),sC.forEach(s),D6.forEach(s),py=c(Pe),Lt=a(Pe,"P",{});var od=r(Lt);cy=i(od,"This object detection pipeline can currently be loaded from "),Up=a(od,"A",{href:!0});var nC=r(Up);dy=i(nC,"pipeline()"),nC.forEach(s),my=i(od,` using the following task identifier:
`),ih=a(od,"CODE",{});var aC=r(ih);hy=i(aC,'"object-detection"'),aC.forEach(s),fy=i(od,"."),od.forEach(s),uy=c(Pe),co=a(Pe,"P",{});var W2=r(co);gy=i(W2,"See the list of available models on "),mo=a(W2,"A",{href:!0,rel:!0});var rC=r(mo);_y=i(rC,"huggingface.co/models"),rC.forEach(s),by=i(W2,"."),W2.forEach(s),wy=c(Pe),wn=a(Pe,"DIV",{class:!0});var Z2=r(wn);b(ho.$$.fragment,Z2),vy=c(Z2),lh=a(Z2,"P",{});var oC=r(lh);xy=i(oC,"Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),oC.forEach(s),Z2.forEach(s),Pe.forEach(s),bb=c(t),Nt=a(t,"H3",{class:!0});var B2=r(Nt);vn=a(B2,"A",{id:!0,class:!0,href:!0});var iC=r(vn);ph=a(iC,"SPAN",{});var lC=r(ph);b(fo.$$.fragment,lC),lC.forEach(s),iC.forEach(s),ky=c(B2),ch=a(B2,"SPAN",{});var pC=r(ch);Py=i(pC,"VideoClassificationPipeline"),pC.forEach(s),B2.forEach(s),wb=c(t),be=a(t,"DIV",{class:!0});var ht=r(be);b(uo.$$.fragment,ht),yy=c(ht),go=a(ht,"P",{});var Y2=r(go);Ty=i(Y2,"Video classification pipeline using any "),dh=a(Y2,"CODE",{});var cC=r(dh);$y=i(cC,"AutoModelForVideoClassification"),cC.forEach(s),jy=i(Y2,`. This pipeline predicts the class of a
video.`),Y2.forEach(s),Ey=c(ht),Ot=a(ht,"P",{});var id=r(Ot);qy=i(id,"This video classification pipeline can currently be loaded from "),Gp=a(id,"A",{href:!0});var dC=r(Gp);Ay=i(dC,"pipeline()"),dC.forEach(s),Cy=i(id,` using the following task identifier:
`),mh=a(id,"CODE",{});var mC=r(mh);Dy=i(mC,'"video-classification"'),mC.forEach(s),zy=i(id,"."),id.forEach(s),Iy=c(ht),_o=a(ht,"P",{});var K2=r(_o);Sy=i(K2,`See the list of available models on
`),bo=a(K2,"A",{href:!0,rel:!0});var hC=r(bo);My=i(hC,"huggingface.co/models"),hC.forEach(s),Fy=i(K2,"."),K2.forEach(s),Ly=c(ht),xn=a(ht,"DIV",{class:!0});var X2=r(xn);b(wo.$$.fragment,X2),Ny=c(X2),hh=a(X2,"P",{});var fC=r(hh);Oy=i(fC,"Assign labels to the video(s) passed as inputs."),fC.forEach(s),X2.forEach(s),ht.forEach(s),vb=c(t),Ut=a(t,"H3",{class:!0});var J2=r(Ut);kn=a(J2,"A",{id:!0,class:!0,href:!0});var uC=r(kn);fh=a(uC,"SPAN",{});var gC=r(fh);b(vo.$$.fragment,gC),gC.forEach(s),uC.forEach(s),Uy=c(J2),uh=a(J2,"SPAN",{});var _C=r(uh);Gy=i(_C,"ZeroShotImageClassificationPipeline"),_C.forEach(s),J2.forEach(s),xb=c(t),Z=a(t,"DIV",{class:!0});var ye=r(Z);b(xo.$$.fragment,ye),Ry=c(ye),Gt=a(ye,"P",{});var ld=r(Gt);Vy=i(ld,"Zero shot image classification pipeline using "),gh=a(ld,"CODE",{});var bC=r(gh);Qy=i(bC,"CLIPModel"),bC.forEach(s),Hy=i(ld,`. This pipeline predicts the class of an image when you
provide an image and a set of `),_h=a(ld,"CODE",{});var wC=r(_h);Wy=i(wC,"candidate_labels"),wC.forEach(s),Zy=i(ld,"."),ld.forEach(s),By=c(ye),b(Pn.$$.fragment,ye),Yy=c(ye),Rp=a(ye,"P",{});var z6=r(Rp);Ky=i(z6,"Learn more about the basics of using a pipeline in the "),Vp=a(z6,"A",{href:!0});var vC=r(Vp);Xy=i(vC,"pipeline tutorial"),vC.forEach(s),z6.forEach(s),Jy=c(ye),Rt=a(ye,"P",{});var pd=r(Rt);e0=i(pd,"This image classification pipeline can currently be loaded from "),Qp=a(pd,"A",{href:!0});var xC=r(Qp);t0=i(xC,"pipeline()"),xC.forEach(s),s0=i(pd,` using the following task identifier:
`),bh=a(pd,"CODE",{});var kC=r(bh);n0=i(kC,'"zero-shot-image-classification"'),kC.forEach(s),a0=i(pd,"."),pd.forEach(s),r0=c(ye),ko=a(ye,"P",{});var ew=r(ko);o0=i(ew,`See the list of available models on
`),Po=a(ew,"A",{href:!0,rel:!0});var PC=r(Po);i0=i(PC,"huggingface.co/models"),PC.forEach(s),l0=i(ew,"."),ew.forEach(s),p0=c(ye),yn=a(ye,"DIV",{class:!0});var tw=r(yn);b(yo.$$.fragment,tw),c0=c(tw),wh=a(tw,"P",{});var yC=r(wh);d0=i(yC,"Assign labels to the image(s) passed as inputs."),yC.forEach(s),tw.forEach(s),ye.forEach(s),kb=c(t),Vt=a(t,"H3",{class:!0});var sw=r(Vt);Tn=a(sw,"A",{id:!0,class:!0,href:!0});var TC=r(Tn);vh=a(TC,"SPAN",{});var $C=r(vh);b(To.$$.fragment,$C),$C.forEach(s),TC.forEach(s),m0=c(sw),xh=a(sw,"SPAN",{});var jC=r(xh);h0=i(jC,"ZeroShotObjectDetectionPipeline"),jC.forEach(s),sw.forEach(s),Pb=c(t),B=a(t,"DIV",{class:!0});var Te=r(B);b($o.$$.fragment,Te),f0=c(Te),Qt=a(Te,"P",{});var cd=r(Qt);u0=i(cd,"Zero shot object detection pipeline using "),kh=a(cd,"CODE",{});var EC=r(kh);g0=i(EC,"OwlViTForObjectDetection"),EC.forEach(s),_0=i(cd,`. This pipeline predicts bounding boxes of
objects when you provide an image and a set of `),Ph=a(cd,"CODE",{});var qC=r(Ph);b0=i(qC,"candidate_labels"),qC.forEach(s),w0=i(cd,"."),cd.forEach(s),v0=c(Te),b($n.$$.fragment,Te),x0=c(Te),Hp=a(Te,"P",{});var I6=r(Hp);k0=i(I6,"Learn more about the basics of using a pipeline in the "),Wp=a(I6,"A",{href:!0});var AC=r(Wp);P0=i(AC,"pipeline tutorial"),AC.forEach(s),I6.forEach(s),y0=c(Te),Ht=a(Te,"P",{});var dd=r(Ht);T0=i(dd,"This object detection pipeline can currently be loaded from "),Zp=a(dd,"A",{href:!0});var CC=r(Zp);$0=i(CC,"pipeline()"),CC.forEach(s),j0=i(dd,` using the following task identifier:
`),yh=a(dd,"CODE",{});var DC=r(yh);E0=i(DC,'"zero-shot-object-detection"'),DC.forEach(s),q0=i(dd,"."),dd.forEach(s),A0=c(Te),jo=a(Te,"P",{});var nw=r(jo);C0=i(nw,`See the list of available models on
`),Eo=a(nw,"A",{href:!0,rel:!0});var zC=r(Eo);D0=i(zC,"huggingface.co/models"),zC.forEach(s),z0=i(nw,"."),nw.forEach(s),I0=c(Te),jn=a(Te,"DIV",{class:!0});var aw=r(jn);b(qo.$$.fragment,aw),S0=c(aw),Th=a(aw,"P",{});var IC=r(Th);M0=i(IC,"Detect objects (bounding boxes & classes) in the image(s) passed as inputs."),IC.forEach(s),aw.forEach(s),Te.forEach(s),yb=c(t),Wt=a(t,"H2",{class:!0});var rw=r(Wt);En=a(rw,"A",{id:!0,class:!0,href:!0});var SC=r(En);$h=a(SC,"SPAN",{});var MC=r($h);b(Ao.$$.fragment,MC),MC.forEach(s),SC.forEach(s),F0=c(rw),jh=a(rw,"SPAN",{});var FC=r(jh);L0=i(FC,"Natural Language Processing"),FC.forEach(s),rw.forEach(s),Tb=c(t),Bp=a(t,"P",{});var LC=r(Bp);N0=i(LC,"Pipelines available for natural language processing tasks include the following."),LC.forEach(s),$b=c(t),Zt=a(t,"H3",{class:!0});var ow=r(Zt);qn=a(ow,"A",{id:!0,class:!0,href:!0});var NC=r(qn);Eh=a(NC,"SPAN",{});var OC=r(Eh);b(Co.$$.fragment,OC),OC.forEach(s),NC.forEach(s),O0=c(ow),qh=a(ow,"SPAN",{});var UC=r(qh);U0=i(UC,"ConversationalPipeline"),UC.forEach(s),ow.forEach(s),jb=c(t),Y=a(t,"DIV",{class:!0});var $e=r(Y);b(Do.$$.fragment,$e),G0=c($e),Ye=a($e,"P",{});var Za=r(Ye);R0=i(Za,`Utility class containing a conversation and its history. This class is meant to be used as an input to the
`),Yp=a(Za,"A",{href:!0});var GC=r(Yp);V0=i(GC,"ConversationalPipeline"),GC.forEach(s),Q0=i(Za,`. The conversation contains a number of utility function to manage the addition of new
user input and generated model responses. A conversation needs to contain an unprocessed user input before being
passed to the `),Kp=a(Za,"A",{href:!0});var RC=r(Kp);H0=i(RC,"ConversationalPipeline"),RC.forEach(s),W0=i(Za,`. This user input is either created when the class is instantiated, or by
calling `),Ah=a(Za,"CODE",{});var VC=r(Ah);Z0=i(VC,'conversational_pipeline.append_response("input")'),VC.forEach(s),B0=i(Za," after a conversation turn."),Za.forEach(s),Y0=c($e),b(An.$$.fragment,$e),K0=c($e),Cn=a($e,"DIV",{class:!0});var iw=r(Cn);b(zo.$$.fragment,iw),X0=c(iw),Io=a(iw,"P",{});var lw=r(Io);J0=i(lw,"Add a user input to the conversation for the next round. This populates the internal "),Ch=a(lw,"CODE",{});var QC=r(Ch);eT=i(QC,"new_user_input"),QC.forEach(s),tT=i(lw," field."),lw.forEach(s),iw.forEach(s),sT=c($e),Dn=a($e,"DIV",{class:!0});var pw=r(Dn);b(So.$$.fragment,pw),nT=c(pw),Dh=a(pw,"P",{});var HC=r(Dh);aT=i(HC,"Append a response to the list of generated responses."),HC.forEach(s),pw.forEach(s),rT=c($e),at=a($e,"DIV",{class:!0});var md=r(at);b(Mo.$$.fragment,md),oT=c(md),zh=a(md,"P",{});var WC=r(zh);iT=i(WC,"Iterates over all blobs of the conversation."),WC.forEach(s),lT=c(md),Le=a(md,"P",{});var ft=r(Le);pT=i(ft,"Returns: Iterator of (is_user, text_chunk) in chronological order of the conversation. "),Ih=a(ft,"CODE",{});var ZC=r(Ih);cT=i(ZC,"is_user"),ZC.forEach(s),dT=i(ft," is a "),Sh=a(ft,"CODE",{});var BC=r(Sh);mT=i(BC,"bool"),BC.forEach(s),hT=i(ft,`,
`),Mh=a(ft,"CODE",{});var YC=r(Mh);fT=i(YC,"text_chunks"),YC.forEach(s),uT=i(ft," is a "),Fh=a(ft,"CODE",{});var KC=r(Fh);gT=i(KC,"str"),KC.forEach(s),_T=i(ft,"."),ft.forEach(s),md.forEach(s),bT=c($e),zn=a($e,"DIV",{class:!0});var cw=r(zn);b(Fo.$$.fragment,cw),wT=c(cw),Ke=a(cw,"P",{});var Ba=r(Ke);vT=i(Ba,"Mark the conversation as processed (moves the content of "),Lh=a(Ba,"CODE",{});var XC=r(Lh);xT=i(XC,"new_user_input"),XC.forEach(s),kT=i(Ba," to "),Nh=a(Ba,"CODE",{});var JC=r(Nh);PT=i(JC,"past_user_inputs"),JC.forEach(s),yT=i(Ba,`) and empties
the `),Oh=a(Ba,"CODE",{});var eD=r(Oh);TT=i(eD,"new_user_input"),eD.forEach(s),$T=i(Ba," field."),Ba.forEach(s),cw.forEach(s),$e.forEach(s),Eb=c(t),K=a(t,"DIV",{class:!0});var je=r(K);b(Lo.$$.fragment,je),jT=c(je),Uh=a(je,"P",{});var tD=r(Uh);ET=i(tD,"Multi-turn conversational pipeline."),tD.forEach(s),qT=c(je),b(In.$$.fragment,je),AT=c(je),Xp=a(je,"P",{});var S6=r(Xp);CT=i(S6,"Learn more about the basics of using a pipeline in the "),Jp=a(S6,"A",{href:!0});var sD=r(Jp);DT=i(sD,"pipeline tutorial"),sD.forEach(s),S6.forEach(s),zT=c(je),Bt=a(je,"P",{});var hd=r(Bt);IT=i(hd,"This conversational pipeline can currently be loaded from "),ec=a(hd,"A",{href:!0});var nD=r(ec);ST=i(nD,"pipeline()"),nD.forEach(s),MT=i(hd,` using the following task identifier:
`),Gh=a(hd,"CODE",{});var aD=r(Gh);FT=i(aD,'"conversational"'),aD.forEach(s),LT=i(hd,"."),hd.forEach(s),NT=c(je),Ne=a(je,"P",{});var ut=r(Ne);OT=i(ut,`The models that this pipeline can use are models that have been fine-tuned on a multi-turn conversational task,
currently: `),Rh=a(ut,"EM",{});var rD=r(Rh);UT=i(rD,"\u2018microsoft/DialoGPT-small\u2019"),rD.forEach(s),GT=i(ut,", "),Vh=a(ut,"EM",{});var oD=r(Vh);RT=i(oD,"\u2018microsoft/DialoGPT-medium\u2019"),oD.forEach(s),VT=i(ut,", "),Qh=a(ut,"EM",{});var iD=r(Qh);QT=i(iD,"\u2018microsoft/DialoGPT-large\u2019"),iD.forEach(s),HT=i(ut,`. See the
up-to-date list of available models on
`),No=a(ut,"A",{href:!0,rel:!0});var lD=r(No);WT=i(lD,"huggingface.co/models"),lD.forEach(s),ZT=i(ut,"."),ut.forEach(s),BT=c(je),Sn=a(je,"DIV",{class:!0});var dw=r(Sn);b(Oo.$$.fragment,dw),YT=c(dw),Hh=a(dw,"P",{});var pD=r(Hh);KT=i(pD,"Generate responses for the conversation(s) given as inputs."),pD.forEach(s),dw.forEach(s),je.forEach(s),qb=c(t),Yt=a(t,"H3",{class:!0});var mw=r(Yt);Mn=a(mw,"A",{id:!0,class:!0,href:!0});var cD=r(Mn);Wh=a(cD,"SPAN",{});var dD=r(Wh);b(Uo.$$.fragment,dD),dD.forEach(s),cD.forEach(s),XT=c(mw),Zh=a(mw,"SPAN",{});var mD=r(Zh);JT=i(mD,"FillMaskPipeline"),mD.forEach(s),mw.forEach(s),Ab=c(t),N=a(t,"DIV",{class:!0});var he=r(N);b(Go.$$.fragment,he),e$=c(he),Kt=a(he,"P",{});var fd=r(Kt);t$=i(fd,"Masked language modeling prediction pipeline using any "),Bh=a(fd,"CODE",{});var hD=r(Bh);s$=i(hD,"ModelWithLMHead"),hD.forEach(s),n$=i(fd,". See the "),tc=a(fd,"A",{href:!0});var fD=r(tc);a$=i(fD,`masked language modeling
examples`),fD.forEach(s),r$=i(fd," for more information."),fd.forEach(s),o$=c(he),b(Fn.$$.fragment,he),i$=c(he),sc=a(he,"P",{});var M6=r(sc);l$=i(M6,"Learn more about the basics of using a pipeline in the "),nc=a(M6,"A",{href:!0});var uD=r(nc);p$=i(uD,"pipeline tutorial"),uD.forEach(s),M6.forEach(s),c$=c(he),Xt=a(he,"P",{});var ud=r(Xt);d$=i(ud,"This mask filling pipeline can currently be loaded from "),ac=a(ud,"A",{href:!0});var gD=r(ac);m$=i(gD,"pipeline()"),gD.forEach(s),h$=i(ud,` using the following task identifier:
`),Yh=a(ud,"CODE",{});var _D=r(Yh);f$=i(_D,'"fill-mask"'),_D.forEach(s),u$=i(ud,"."),ud.forEach(s),g$=c(he),Ro=a(he,"P",{});var hw=r(Ro);_$=i(hw,`The models that this pipeline can use are models that have been trained with a masked language modeling objective,
which includes the bi-directional models in the library. See the up-to-date list of available models on
`),Vo=a(hw,"A",{href:!0,rel:!0});var bD=r(Vo);b$=i(bD,"huggingface.co/models"),bD.forEach(s),w$=i(hw,"."),hw.forEach(s),v$=c(he),b(Ln.$$.fragment,he),x$=c(he),Nn=a(he,"DIV",{class:!0});var fw=r(Nn);b(Qo.$$.fragment,fw),k$=c(fw),Kh=a(fw,"P",{});var wD=r(Kh);P$=i(wD,"Fill the masked token in the text(s) given as inputs."),wD.forEach(s),fw.forEach(s),he.forEach(s),Cb=c(t),Jt=a(t,"H3",{class:!0});var uw=r(Jt);On=a(uw,"A",{id:!0,class:!0,href:!0});var vD=r(On);Xh=a(vD,"SPAN",{});var xD=r(Xh);b(Ho.$$.fragment,xD),xD.forEach(s),vD.forEach(s),y$=c(uw),Jh=a(uw,"SPAN",{});var kD=r(Jh);T$=i(kD,"NerPipeline"),kD.forEach(s),uw.forEach(s),Db=c(t),S=a(t,"DIV",{class:!0});var R=r(S);b(Wo.$$.fragment,R),$$=c(R),es=a(R,"P",{});var gd=r(es);j$=i(gd,"Named Entity Recognition pipeline using any "),ef=a(gd,"CODE",{});var PD=r(ef);E$=i(PD,"ModelForTokenClassification"),PD.forEach(s),q$=i(gd,". See the "),rc=a(gd,"A",{href:!0});var yD=r(rc);A$=i(yD,`named entity recognition
examples`),yD.forEach(s),C$=i(gd," for more information."),gd.forEach(s),D$=c(R),b(Un.$$.fragment,R),z$=c(R),oc=a(R,"P",{});var F6=r(oc);I$=i(F6,"Learn more about the basics of using a pipeline in the "),ic=a(F6,"A",{href:!0});var TD=r(ic);S$=i(TD,"pipeline tutorial"),TD.forEach(s),F6.forEach(s),M$=c(R),ts=a(R,"P",{});var _d=r(ts);F$=i(_d,"This token recognition pipeline can currently be loaded from "),lc=a(_d,"A",{href:!0});var $D=r(lc);L$=i($D,"pipeline()"),$D.forEach(s),N$=i(_d,` using the following task identifier:
`),tf=a(_d,"CODE",{});var jD=r(tf);O$=i(jD,'"ner"'),jD.forEach(s),U$=i(_d," (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),_d.forEach(s),G$=c(R),Zo=a(R,"P",{});var gw=r(Zo);R$=i(gw,`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),Bo=a(gw,"A",{href:!0,rel:!0});var ED=r(Bo);V$=i(ED,"huggingface.co/models"),ED.forEach(s),Q$=i(gw,"."),gw.forEach(s),H$=c(R),rt=a(R,"DIV",{class:!0});var bd=r(rt);b(Yo.$$.fragment,bd),W$=c(bd),sf=a(bd,"P",{});var qD=r(sf);Z$=i(qD,"Override tokens from a given word that disagree to force agreement on word boundaries."),qD.forEach(s),B$=c(bd),nf=a(bd,"P",{});var AD=r(nf);Y$=i(AD,`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),AD.forEach(s),bd.forEach(s),K$=c(R),Gn=a(R,"DIV",{class:!0});var _w=r(Gn);b(Ko.$$.fragment,_w),X$=c(_w),af=a(_w,"P",{});var CD=r(af);J$=i(CD,"Fuse various numpy arrays into dicts with all the information needed for aggregation"),CD.forEach(s),_w.forEach(s),e3=c(R),Rn=a(R,"DIV",{class:!0});var bw=r(Rn);b(Xo.$$.fragment,bw),t3=c(bw),rf=a(bw,"P",{});var DD=r(rf);s3=i(DD,"Find and group together the adjacent tokens with the same entity predicted."),DD.forEach(s),bw.forEach(s),n3=c(R),Vn=a(R,"DIV",{class:!0});var ww=r(Vn);b(Jo.$$.fragment,ww),a3=c(ww),of=a(ww,"P",{});var zD=r(of);r3=i(zD,"Group together the adjacent tokens with the same entity predicted."),zD.forEach(s),ww.forEach(s),R.forEach(s),zb=c(t),Qn=a(t,"P",{});var vw=r(Qn);o3=i(vw,"See "),pc=a(vw,"A",{href:!0});var ID=r(pc);i3=i(ID,"TokenClassificationPipeline"),ID.forEach(s),l3=i(vw," for all details."),vw.forEach(s),Ib=c(t),ss=a(t,"H3",{class:!0});var xw=r(ss);Hn=a(xw,"A",{id:!0,class:!0,href:!0});var SD=r(Hn);lf=a(SD,"SPAN",{});var MD=r(lf);b(ei.$$.fragment,MD),MD.forEach(s),SD.forEach(s),p3=c(xw),pf=a(xw,"SPAN",{});var FD=r(pf);c3=i(FD,"QuestionAnsweringPipeline"),FD.forEach(s),xw.forEach(s),Sb=c(t),M=a(t,"DIV",{class:!0});var re=r(M);b(ti.$$.fragment,re),d3=c(re),ns=a(re,"P",{});var wd=r(ns);m3=i(wd,"Question Answering pipeline using any "),cf=a(wd,"CODE",{});var LD=r(cf);h3=i(LD,"ModelForQuestionAnswering"),LD.forEach(s),f3=i(wd,". See the "),cc=a(wd,"A",{href:!0});var ND=r(cc);u3=i(ND,`question answering
examples`),ND.forEach(s),g3=i(wd," for more information."),wd.forEach(s),_3=c(re),b(Wn.$$.fragment,re),b3=c(re),dc=a(re,"P",{});var L6=r(dc);w3=i(L6,"Learn more about the basics of using a pipeline in the "),mc=a(L6,"A",{href:!0});var OD=r(mc);v3=i(OD,"pipeline tutorial"),OD.forEach(s),L6.forEach(s),x3=c(re),as=a(re,"P",{});var vd=r(as);k3=i(vd,"This question answering pipeline can currently be loaded from "),hc=a(vd,"A",{href:!0});var UD=r(hc);P3=i(UD,"pipeline()"),UD.forEach(s),y3=i(vd,` using the following task identifier:
`),df=a(vd,"CODE",{});var GD=r(df);T3=i(GD,'"question-answering"'),GD.forEach(s),$3=i(vd,"."),vd.forEach(s),j3=c(re),si=a(re,"P",{});var kw=r(si);E3=i(kw,`The models that this pipeline can use are models that have been fine-tuned on a question answering task. See the
up-to-date list of available models on
`),ni=a(kw,"A",{href:!0,rel:!0});var RD=r(ni);q3=i(RD,"huggingface.co/models"),RD.forEach(s),A3=i(kw,"."),kw.forEach(s),C3=c(re),Zn=a(re,"DIV",{class:!0});var Pw=r(Zn);b(ai.$$.fragment,Pw),D3=c(Pw),mf=a(Pw,"P",{});var VD=r(mf);z3=i(VD,"Answer the question(s) given as inputs by using the context(s)."),VD.forEach(s),Pw.forEach(s),I3=c(re),ot=a(re,"DIV",{class:!0});var xd=r(ot);b(ri.$$.fragment,xd),S3=c(xd),rs=a(xd,"P",{});var kd=r(rs);M3=i(kd,"QuestionAnsweringPipeline leverages the "),hf=a(kd,"CODE",{});var QD=r(hf);F3=i(QD,"SquadExample"),QD.forEach(s),L3=i(kd,` internally. This helper method encapsulate all the
logic for converting question(s) and context(s) to `),ff=a(kd,"CODE",{});var HD=r(ff);N3=i(HD,"SquadExample"),HD.forEach(s),O3=i(kd,"."),kd.forEach(s),U3=c(xd),uf=a(xd,"P",{});var WD=r(uf);G3=i(WD,"We currently support extractive question answering."),WD.forEach(s),xd.forEach(s),R3=c(re),Bn=a(re,"DIV",{class:!0});var yw=r(Bn);b(oi.$$.fragment,yw),V3=c(yw),gf=a(yw,"P",{});var ZD=r(gf);Q3=i(ZD,"When decoding from token probabilities, this method maps token indexes to actual word in the initial context."),ZD.forEach(s),yw.forEach(s),re.forEach(s),Mb=c(t),os=a(t,"H3",{class:!0});var Tw=r(os);Yn=a(Tw,"A",{id:!0,class:!0,href:!0});var BD=r(Yn);_f=a(BD,"SPAN",{});var YD=r(_f);b(ii.$$.fragment,YD),YD.forEach(s),BD.forEach(s),H3=c(Tw),bf=a(Tw,"SPAN",{});var KD=r(bf);W3=i(KD,"SummarizationPipeline"),KD.forEach(s),Tw.forEach(s),Fb=c(t),pe=a(t,"DIV",{class:!0});var He=r(pe);b(li.$$.fragment,He),Z3=c(He),wf=a(He,"P",{});var XD=r(wf);B3=i(XD,"Summarize news articles and other documents."),XD.forEach(s),Y3=c(He),is=a(He,"P",{});var Pd=r(is);K3=i(Pd,"This summarizing pipeline can currently be loaded from "),fc=a(Pd,"A",{href:!0});var JD=r(fc);X3=i(JD,"pipeline()"),JD.forEach(s),J3=i(Pd,` using the following task identifier:
`),vf=a(Pd,"CODE",{});var ez=r(vf);e4=i(ez,'"summarization"'),ez.forEach(s),t4=i(Pd,"."),Pd.forEach(s),s4=c(He),G=a(He,"P",{});var me=r(G);n4=i(me,`The models that this pipeline can use are models that have been fine-tuned on a summarization task, which is
currently, \u2019`),xf=a(me,"EM",{});var tz=r(xf);a4=i(tz,"bart-large-cnn"),tz.forEach(s),r4=i(me,"\u2019, \u2019"),kf=a(me,"EM",{});var sz=r(kf);o4=i(sz,"t5-small"),sz.forEach(s),i4=i(me,"\u2019, \u2019"),Pf=a(me,"EM",{});var nz=r(Pf);l4=i(nz,"t5-base"),nz.forEach(s),p4=i(me,"\u2019, \u2019"),yf=a(me,"EM",{});var az=r(yf);c4=i(az,"t5-large"),az.forEach(s),d4=i(me,"\u2019, \u2019"),Tf=a(me,"EM",{});var rz=r(Tf);m4=i(rz,"t5-3b"),rz.forEach(s),h4=i(me,"\u2019, \u2019"),$f=a(me,"EM",{});var oz=r($f);f4=i(oz,"t5-11b"),oz.forEach(s),u4=i(me,`\u2019. See the up-to-date
list of available models on `),pi=a(me,"A",{href:!0,rel:!0});var iz=r(pi);g4=i(iz,"huggingface.co/models"),iz.forEach(s),_4=i(me,`. For a list
of available parameters, see the `),ci=a(me,"A",{href:!0,rel:!0});var lz=r(ci);b4=i(lz,`following
documentation`),lz.forEach(s),me.forEach(s),w4=c(He),b(Kn.$$.fragment,He),v4=c(He),Xn=a(He,"DIV",{class:!0});var $w=r(Xn);b(di.$$.fragment,$w),x4=c($w),jf=a($w,"P",{});var pz=r(jf);k4=i(pz,"Summarize the text(s) given as inputs."),pz.forEach(s),$w.forEach(s),He.forEach(s),Lb=c(t),ls=a(t,"H3",{class:!0});var jw=r(ls);Jn=a(jw,"A",{id:!0,class:!0,href:!0});var cz=r(Jn);Ef=a(cz,"SPAN",{});var dz=r(Ef);b(mi.$$.fragment,dz),dz.forEach(s),cz.forEach(s),P4=c(jw),qf=a(jw,"SPAN",{});var mz=r(qf);y4=i(mz,"TableQuestionAnsweringPipeline"),mz.forEach(s),jw.forEach(s),Nb=c(t),X=a(t,"DIV",{class:!0});var Ee=r(X);b(hi.$$.fragment,Ee),T4=c(Ee),fi=a(Ee,"P",{});var Ew=r(fi);$4=i(Ew,"Table Question Answering pipeline using a "),Af=a(Ew,"CODE",{});var hz=r(Af);j4=i(hz,"ModelForTableQuestionAnswering"),hz.forEach(s),E4=i(Ew,`. This pipeline is only available in
PyTorch.`),Ew.forEach(s),q4=c(Ee),b(ea.$$.fragment,Ee),A4=c(Ee),uc=a(Ee,"P",{});var N6=r(uc);C4=i(N6,"Learn more about the basics of using a pipeline in the "),gc=a(N6,"A",{href:!0});var fz=r(gc);D4=i(fz,"pipeline tutorial"),fz.forEach(s),N6.forEach(s),z4=c(Ee),ps=a(Ee,"P",{});var yd=r(ps);I4=i(yd,"This tabular question answering pipeline can currently be loaded from "),_c=a(yd,"A",{href:!0});var uz=r(_c);S4=i(uz,"pipeline()"),uz.forEach(s),M4=i(yd,` using the following task
identifier: `),Cf=a(yd,"CODE",{});var gz=r(Cf);F4=i(gz,'"table-question-answering"'),gz.forEach(s),L4=i(yd,"."),yd.forEach(s),N4=c(Ee),ui=a(Ee,"P",{});var qw=r(ui);O4=i(qw,`The models that this pipeline can use are models that have been fine-tuned on a tabular question answering task.
See the up-to-date list of available models on
`),gi=a(qw,"A",{href:!0,rel:!0});var _z=r(gi);U4=i(_z,"huggingface.co/models"),_z.forEach(s),G4=i(qw,"."),qw.forEach(s),R4=c(Ee),ae=a(Ee,"DIV",{class:!0});var qe=r(ae);b(_i.$$.fragment,qe),V4=c(qe),Df=a(qe,"P",{});var bz=r(Df);Q4=i(bz,"Answers queries according to a table. The pipeline accepts several types of inputs which are detailed below:"),bz.forEach(s),H4=c(qe),ce=a(qe,"UL",{});var Ae=r(ce);zf=a(Ae,"LI",{});var wz=r(zf);If=a(wz,"CODE",{});var vz=r(If);W4=i(vz,"pipeline(table, query)"),vz.forEach(s),wz.forEach(s),Z4=c(Ae),Sf=a(Ae,"LI",{});var xz=r(Sf);Mf=a(xz,"CODE",{});var kz=r(Mf);B4=i(kz,"pipeline(table, [query])"),kz.forEach(s),xz.forEach(s),Y4=c(Ae),Ff=a(Ae,"LI",{});var Pz=r(Ff);Lf=a(Pz,"CODE",{});var yz=r(Lf);K4=i(yz,"pipeline(table=table, query=query)"),yz.forEach(s),Pz.forEach(s),X4=c(Ae),Nf=a(Ae,"LI",{});var Tz=r(Nf);Of=a(Tz,"CODE",{});var $z=r(Of);J4=i($z,"pipeline(table=table, query=[query])"),$z.forEach(s),Tz.forEach(s),e7=c(Ae),Uf=a(Ae,"LI",{});var jz=r(Uf);Gf=a(jz,"CODE",{});var Ez=r(Gf);t7=i(Ez,'pipeline({"table": table, "query": query})'),Ez.forEach(s),jz.forEach(s),s7=c(Ae),Rf=a(Ae,"LI",{});var qz=r(Rf);Vf=a(qz,"CODE",{});var Az=r(Vf);n7=i(Az,'pipeline({"table": table, "query": [query]})'),Az.forEach(s),qz.forEach(s),a7=c(Ae),Qf=a(Ae,"LI",{});var Cz=r(Qf);Hf=a(Cz,"CODE",{});var Dz=r(Hf);r7=i(Dz,'pipeline([{"table": table, "query": query}, {"table": table, "query": query}])'),Dz.forEach(s),Cz.forEach(s),Ae.forEach(s),o7=c(qe),bi=a(qe,"P",{});var Aw=r(bi);i7=i(Aw,"The "),Wf=a(Aw,"CODE",{});var zz=r(Wf);l7=i(zz,"table"),zz.forEach(s),p7=i(Aw," argument should be a dict or a DataFrame built from that dict, containing the whole table:"),Aw.forEach(s),c7=c(qe),b(ta.$$.fragment,qe),d7=c(qe),Zf=a(qe,"P",{});var Iz=r(Zf);m7=i(Iz,"This dictionary can be passed in as such, or can be converted to a pandas DataFrame:"),Iz.forEach(s),h7=c(qe),b(sa.$$.fragment,qe),qe.forEach(s),Ee.forEach(s),Ob=c(t),cs=a(t,"H3",{class:!0});var Cw=r(cs);na=a(Cw,"A",{id:!0,class:!0,href:!0});var Sz=r(na);Bf=a(Sz,"SPAN",{});var Mz=r(Bf);b(wi.$$.fragment,Mz),Mz.forEach(s),Sz.forEach(s),f7=c(Cw),Yf=a(Cw,"SPAN",{});var Fz=r(Yf);u7=i(Fz,"TextClassificationPipeline"),Fz.forEach(s),Cw.forEach(s),Ub=c(t),O=a(t,"DIV",{class:!0});var fe=r(O);b(vi.$$.fragment,fe),g7=c(fe),ds=a(fe,"P",{});var Td=r(ds);_7=i(Td,"Text classification pipeline using any "),Kf=a(Td,"CODE",{});var Lz=r(Kf);b7=i(Lz,"ModelForSequenceClassification"),Lz.forEach(s),w7=i(Td,". See the "),bc=a(Td,"A",{href:!0});var Nz=r(bc);v7=i(Nz,`sequence classification
examples`),Nz.forEach(s),x7=i(Td," for more information."),Td.forEach(s),k7=c(fe),b(aa.$$.fragment,fe),P7=c(fe),wc=a(fe,"P",{});var O6=r(wc);y7=i(O6,"Learn more about the basics of using a pipeline in the "),vc=a(O6,"A",{href:!0});var Oz=r(vc);T7=i(Oz,"pipeline tutorial"),Oz.forEach(s),O6.forEach(s),$7=c(fe),ms=a(fe,"P",{});var $d=r(ms);j7=i($d,"This text classification pipeline can currently be loaded from "),xc=a($d,"A",{href:!0});var Uz=r(xc);E7=i(Uz,"pipeline()"),Uz.forEach(s),q7=i($d,` using the following task identifier:
`),Xf=a($d,"CODE",{});var Gz=r(Xf);A7=i(Gz,'"sentiment-analysis"'),Gz.forEach(s),C7=i($d," (for classifying sequences according to positive or negative sentiments)."),$d.forEach(s),D7=c(fe),xi=a(fe,"P",{});var Dw=r(xi);z7=i(Dw,"If multiple classification labels are available ("),Jf=a(Dw,"CODE",{});var Rz=r(Jf);I7=i(Rz,"model.config.num_labels >= 2"),Rz.forEach(s),S7=i(Dw,`), the pipeline will run a softmax
over the results. If there is a single label, the pipeline will run a sigmoid over the result.`),Dw.forEach(s),M7=c(fe),ki=a(fe,"P",{});var zw=r(ki);F7=i(zw,`The models that this pipeline can use are models that have been fine-tuned on a sequence classification task. See
the up-to-date list of available models on
`),Pi=a(zw,"A",{href:!0,rel:!0});var Vz=r(Pi);L7=i(Vz,"huggingface.co/models"),Vz.forEach(s),N7=i(zw,"."),zw.forEach(s),O7=c(fe),ra=a(fe,"DIV",{class:!0});var Iw=r(ra);b(yi.$$.fragment,Iw),U7=c(Iw),eu=a(Iw,"P",{});var Qz=r(eu);G7=i(Qz,"Classify the text(s) given as inputs."),Qz.forEach(s),Iw.forEach(s),fe.forEach(s),Gb=c(t),hs=a(t,"H3",{class:!0});var Sw=r(hs);oa=a(Sw,"A",{id:!0,class:!0,href:!0});var Hz=r(oa);tu=a(Hz,"SPAN",{});var Wz=r(tu);b(Ti.$$.fragment,Wz),Wz.forEach(s),Hz.forEach(s),R7=c(Sw),su=a(Sw,"SPAN",{});var Zz=r(su);V7=i(Zz,"TextGenerationPipeline"),Zz.forEach(s),Sw.forEach(s),Rb=c(t),J=a(t,"DIV",{class:!0});var Ce=r(J);b($i.$$.fragment,Ce),Q7=c(Ce),ji=a(Ce,"P",{});var Mw=r(ji);H7=i(Mw,"Language generation pipeline using any "),nu=a(Mw,"CODE",{});var Bz=r(nu);W7=i(Bz,"ModelWithLMHead"),Bz.forEach(s),Z7=i(Mw,`. This pipeline predicts the words that will follow a
specified text prompt.`),Mw.forEach(s),B7=c(Ce),b(ia.$$.fragment,Ce),Y7=c(Ce),kc=a(Ce,"P",{});var U6=r(kc);K7=i(U6,"Learn more about the basics of using a pipeline in the "),Pc=a(U6,"A",{href:!0});var Yz=r(Pc);X7=i(Yz,"pipeline tutorial"),Yz.forEach(s),U6.forEach(s),J7=c(Ce),fs=a(Ce,"P",{});var jd=r(fs);ej=i(jd,"This language generation pipeline can currently be loaded from "),yc=a(jd,"A",{href:!0});var Kz=r(yc);tj=i(Kz,"pipeline()"),Kz.forEach(s),sj=i(jd,` using the following task identifier:
`),au=a(jd,"CODE",{});var Xz=r(au);nj=i(Xz,'"text-generation"'),Xz.forEach(s),aj=i(jd,"."),jd.forEach(s),rj=c(Ce),Ei=a(Ce,"P",{});var Fw=r(Ei);oj=i(Fw,`The models that this pipeline can use are models that have been trained with an autoregressive language modeling
objective, which includes the uni-directional models in the library (e.g. gpt2). See the list of available models
on `),qi=a(Fw,"A",{href:!0,rel:!0});var Jz=r(qi);ij=i(Jz,"huggingface.co/models"),Jz.forEach(s),lj=i(Fw,"."),Fw.forEach(s),pj=c(Ce),la=a(Ce,"DIV",{class:!0});var Lw=r(la);b(Ai.$$.fragment,Lw),cj=c(Lw),ru=a(Lw,"P",{});var eI=r(ru);dj=i(eI,"Complete the prompt(s) given as inputs."),eI.forEach(s),Lw.forEach(s),Ce.forEach(s),Vb=c(t),us=a(t,"H3",{class:!0});var Nw=r(us);pa=a(Nw,"A",{id:!0,class:!0,href:!0});var tI=r(pa);ou=a(tI,"SPAN",{});var sI=r(ou);b(Ci.$$.fragment,sI),sI.forEach(s),tI.forEach(s),mj=c(Nw),iu=a(Nw,"SPAN",{});var nI=r(iu);hj=i(nI,"Text2TextGenerationPipeline"),nI.forEach(s),Nw.forEach(s),Qb=c(t),F=a(t,"DIV",{class:!0});var oe=r(F);b(Di.$$.fragment,oe),fj=c(oe),lu=a(oe,"P",{});var aI=r(lu);uj=i(aI,"Pipeline for text to text generation using seq2seq models."),aI.forEach(s),gj=c(oe),b(ca.$$.fragment,oe),_j=c(oe),Tc=a(oe,"P",{});var G6=r(Tc);bj=i(G6,"Learn more about the basics of using a pipeline in the "),$c=a(G6,"A",{href:!0});var rI=r($c);wj=i(rI,"pipeline tutorial"),rI.forEach(s),G6.forEach(s),vj=c(oe),gs=a(oe,"P",{});var Ed=r(gs);xj=i(Ed,"This Text2TextGenerationPipeline pipeline can currently be loaded from "),jc=a(Ed,"A",{href:!0});var oI=r(jc);kj=i(oI,"pipeline()"),oI.forEach(s),Pj=i(Ed,` using the following task
identifier: `),pu=a(Ed,"CODE",{});var iI=r(pu);yj=i(iI,'"text2text-generation"'),iI.forEach(s),Tj=i(Ed,"."),Ed.forEach(s),$j=c(oe),da=a(oe,"P",{});var o_=r(da);jj=i(o_,`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on
`),zi=a(o_,"A",{href:!0,rel:!0});var lI=r(zi);Ej=i(lI,"huggingface.co/models"),lI.forEach(s),qj=i(o_,`. For a list of available
parameters, see the `),Ii=a(o_,"A",{href:!0,rel:!0});var pI=r(Ii);Aj=i(pI,`following
documentation`),pI.forEach(s),o_.forEach(s),Cj=c(oe),b(ma.$$.fragment,oe),Dj=c(oe),ha=a(oe,"DIV",{class:!0});var Ow=r(ha);b(Si.$$.fragment,Ow),zj=c(Ow),cu=a(Ow,"P",{});var cI=r(cu);Ij=i(cI,"Generate the output text(s) using text(s) given as inputs."),cI.forEach(s),Ow.forEach(s),Sj=c(oe),fa=a(oe,"DIV",{class:!0});var Uw=r(fa);b(Mi.$$.fragment,Uw),Mj=c(Uw),du=a(Uw,"P",{});var dI=r(du);Fj=i(dI,"Checks whether there might be something wrong with given input with regard to the model."),dI.forEach(s),Uw.forEach(s),oe.forEach(s),Hb=c(t),_s=a(t,"H3",{class:!0});var Gw=r(_s);ua=a(Gw,"A",{id:!0,class:!0,href:!0});var mI=r(ua);mu=a(mI,"SPAN",{});var hI=r(mu);b(Fi.$$.fragment,hI),hI.forEach(s),mI.forEach(s),Lj=c(Gw),hu=a(Gw,"SPAN",{});var fI=r(hu);Nj=i(fI,"TokenClassificationPipeline"),fI.forEach(s),Gw.forEach(s),Wb=c(t),I=a(t,"DIV",{class:!0});var L=r(I);b(Li.$$.fragment,L),Oj=c(L),bs=a(L,"P",{});var qd=r(bs);Uj=i(qd,"Named Entity Recognition pipeline using any "),fu=a(qd,"CODE",{});var uI=r(fu);Gj=i(uI,"ModelForTokenClassification"),uI.forEach(s),Rj=i(qd,". See the "),Ec=a(qd,"A",{href:!0});var gI=r(Ec);Vj=i(gI,`named entity recognition
examples`),gI.forEach(s),Qj=i(qd," for more information."),qd.forEach(s),Hj=c(L),b(ga.$$.fragment,L),Wj=c(L),qc=a(L,"P",{});var R6=r(qc);Zj=i(R6,"Learn more about the basics of using a pipeline in the "),Ac=a(R6,"A",{href:!0});var _I=r(Ac);Bj=i(_I,"pipeline tutorial"),_I.forEach(s),R6.forEach(s),Yj=c(L),ws=a(L,"P",{});var Ad=r(ws);Kj=i(Ad,"This token recognition pipeline can currently be loaded from "),Cc=a(Ad,"A",{href:!0});var bI=r(Cc);Xj=i(bI,"pipeline()"),bI.forEach(s),Jj=i(Ad,` using the following task identifier:
`),uu=a(Ad,"CODE",{});var wI=r(uu);eE=i(wI,'"ner"'),wI.forEach(s),tE=i(Ad," (for predicting the classes of tokens in a sequence: person, organisation, location or miscellaneous)."),Ad.forEach(s),sE=c(L),Ni=a(L,"P",{});var Rw=r(Ni);nE=i(Rw,`The models that this pipeline can use are models that have been fine-tuned on a token classification task. See the
up-to-date list of available models on
`),Oi=a(Rw,"A",{href:!0,rel:!0});var vI=r(Oi);aE=i(vI,"huggingface.co/models"),vI.forEach(s),rE=i(Rw,"."),Rw.forEach(s),oE=c(L),_a=a(L,"DIV",{class:!0});var Vw=r(_a);b(Ui.$$.fragment,Vw),iE=c(Vw),gu=a(Vw,"P",{});var xI=r(gu);lE=i(xI,"Classify each token of the text(s) given as inputs."),xI.forEach(s),Vw.forEach(s),pE=c(L),it=a(L,"DIV",{class:!0});var Cd=r(it);b(Gi.$$.fragment,Cd),cE=c(Cd),_u=a(Cd,"P",{});var kI=r(_u);dE=i(kI,"Override tokens from a given word that disagree to force agreement on word boundaries."),kI.forEach(s),mE=c(Cd),bu=a(Cd,"P",{});var PI=r(bu);hE=i(PI,`Example: micro|soft| com|pany| B-ENT I-NAME I-ENT I-ENT will be rewritten with first strategy as microsoft|
company| B-ENT I-ENT`),PI.forEach(s),Cd.forEach(s),fE=c(L),ba=a(L,"DIV",{class:!0});var Qw=r(ba);b(Ri.$$.fragment,Qw),uE=c(Qw),wu=a(Qw,"P",{});var yI=r(wu);gE=i(yI,"Fuse various numpy arrays into dicts with all the information needed for aggregation"),yI.forEach(s),Qw.forEach(s),_E=c(L),wa=a(L,"DIV",{class:!0});var Hw=r(wa);b(Vi.$$.fragment,Hw),bE=c(Hw),vu=a(Hw,"P",{});var TI=r(vu);wE=i(TI,"Find and group together the adjacent tokens with the same entity predicted."),TI.forEach(s),Hw.forEach(s),vE=c(L),va=a(L,"DIV",{class:!0});var Ww=r(va);b(Qi.$$.fragment,Ww),xE=c(Ww),xu=a(Ww,"P",{});var $I=r(xu);kE=i($I,"Group together the adjacent tokens with the same entity predicted."),$I.forEach(s),Ww.forEach(s),L.forEach(s),Zb=c(t),vs=a(t,"H3",{class:!0});var Zw=r(vs);xa=a(Zw,"A",{id:!0,class:!0,href:!0});var jI=r(xa);ku=a(jI,"SPAN",{});var EI=r(ku);b(Hi.$$.fragment,EI),EI.forEach(s),jI.forEach(s),PE=c(Zw),Pu=a(Zw,"SPAN",{});var qI=r(Pu);yE=i(qI,"TranslationPipeline"),qI.forEach(s),Zw.forEach(s),Bb=c(t),de=a(t,"DIV",{class:!0});var We=r(de);b(Wi.$$.fragment,We),TE=c(We),yu=a(We,"P",{});var AI=r(yu);$E=i(AI,"Translates from one language to another."),AI.forEach(s),jE=c(We),xs=a(We,"P",{});var Dd=r(xs);EE=i(Dd,"This translation pipeline can currently be loaded from "),Dc=a(Dd,"A",{href:!0});var CI=r(Dc);qE=i(CI,"pipeline()"),CI.forEach(s),AE=i(Dd,` using the following task identifier:
`),Tu=a(Dd,"CODE",{});var DI=r(Tu);CE=i(DI,'"translation_xx_to_yy"'),DI.forEach(s),DE=i(Dd,"."),Dd.forEach(s),zE=c(We),ka=a(We,"P",{});var i_=r(ka);IE=i(i_,`The models that this pipeline can use are models that have been fine-tuned on a translation task. See the
up-to-date list of available models on `),Zi=a(i_,"A",{href:!0,rel:!0});var zI=r(Zi);SE=i(zI,"huggingface.co/models"),zI.forEach(s),ME=i(i_,`.
For a list of available parameters, see the `),Bi=a(i_,"A",{href:!0,rel:!0});var II=r(Bi);FE=i(II,`following
documentation`),II.forEach(s),i_.forEach(s),LE=c(We),b(Pa.$$.fragment,We),NE=c(We),ya=a(We,"DIV",{class:!0});var Bw=r(ya);b(Yi.$$.fragment,Bw),OE=c(Bw),$u=a(Bw,"P",{});var SI=r($u);UE=i(SI,"Translate the text(s) given as inputs."),SI.forEach(s),Bw.forEach(s),We.forEach(s),Yb=c(t),ks=a(t,"H3",{class:!0});var Yw=r(ks);Ta=a(Yw,"A",{id:!0,class:!0,href:!0});var MI=r(Ta);ju=a(MI,"SPAN",{});var FI=r(ju);b(Ki.$$.fragment,FI),FI.forEach(s),MI.forEach(s),GE=c(Yw),Eu=a(Yw,"SPAN",{});var LI=r(Eu);RE=i(LI,"ZeroShotClassificationPipeline"),LI.forEach(s),Yw.forEach(s),Kb=c(t),U=a(t,"DIV",{class:!0});var ue=r(U);b(Xi.$$.fragment,ue),VE=c(ue),Xe=a(ue,"P",{});var Ya=r(Xe);QE=i(Ya,"NLI-based zero-shot classification pipeline using a "),qu=a(Ya,"CODE",{});var NI=r(qu);HE=i(NI,"ModelForSequenceClassification"),NI.forEach(s),WE=i(Ya,` trained on NLI (natural
language inference) tasks. Equivalent of `),Au=a(Ya,"CODE",{});var OI=r(Au);ZE=i(OI,"text-classification"),OI.forEach(s),BE=i(Ya,` pipelines, but these models don\u2019t require a
hardcoded number of potential classes, they can be chosen at runtime. It usually means it\u2019s slower but it is
`),Cu=a(Ya,"STRONG",{});var UI=r(Cu);YE=i(UI,"much"),UI.forEach(s),KE=i(Ya," more flexible."),Ya.forEach(s),XE=c(ue),Je=a(ue,"P",{});var Ka=r(Je);JE=i(Ka,`Any combination of sequences and labels can be passed and each combination will be posed as a premise/hypothesis
pair and passed to the pretrained model. Then, the logit for `),Du=a(Ka,"EM",{});var GI=r(Du);eq=i(GI,"entailment"),GI.forEach(s),tq=i(Ka,` is taken as the logit for the candidate
label being valid. Any NLI model can be used, but the id of the `),zu=a(Ka,"EM",{});var RI=r(zu);sq=i(RI,"entailment"),RI.forEach(s),nq=i(Ka,` label must be included in the model
config\u2019s :attr:`),Iu=a(Ka,"EM",{});var VI=r(Iu);aq=i(VI,"~transformers.PretrainedConfig.label2id"),VI.forEach(s),rq=i(Ka,"."),Ka.forEach(s),oq=c(ue),b($a.$$.fragment,ue),iq=c(ue),zc=a(ue,"P",{});var V6=r(zc);lq=i(V6,"Learn more about the basics of using a pipeline in the "),Ic=a(V6,"A",{href:!0});var QI=r(Ic);pq=i(QI,"pipeline tutorial"),QI.forEach(s),V6.forEach(s),cq=c(ue),Ps=a(ue,"P",{});var zd=r(Ps);dq=i(zd,"This NLI pipeline can currently be loaded from "),Sc=a(zd,"A",{href:!0});var HI=r(Sc);mq=i(HI,"pipeline()"),HI.forEach(s),hq=i(zd,` using the following task identifier:
`),Su=a(zd,"CODE",{});var WI=r(Su);fq=i(WI,'"zero-shot-classification"'),WI.forEach(s),uq=i(zd,"."),zd.forEach(s),gq=c(ue),Ji=a(ue,"P",{});var Kw=r(Ji);_q=i(Kw,`The models that this pipeline can use are models that have been fine-tuned on an NLI task. See the up-to-date list
of available models on `),el=a(Kw,"A",{href:!0,rel:!0});var ZI=r(el);bq=i(ZI,"huggingface.co/models"),ZI.forEach(s),wq=i(Kw,"."),Kw.forEach(s),vq=c(ue),ja=a(ue,"DIV",{class:!0});var Xw=r(ja);b(tl.$$.fragment,Xw),xq=c(Xw),sl=a(Xw,"P",{});var Jw=r(sl);kq=i(Jw,"Classify the sequence(s) given as inputs. See the "),Mc=a(Jw,"A",{href:!0});var BI=r(Mc);Pq=i(BI,"ZeroShotClassificationPipeline"),BI.forEach(s),yq=i(Jw,` documentation for more
information.`),Jw.forEach(s),Xw.forEach(s),ue.forEach(s),Xb=c(t),ys=a(t,"H2",{class:!0});var ev=r(ys);Ea=a(ev,"A",{id:!0,class:!0,href:!0});var YI=r(Ea);Mu=a(YI,"SPAN",{});var KI=r(Mu);b(nl.$$.fragment,KI),KI.forEach(s),YI.forEach(s),Tq=c(ev),Fu=a(ev,"SPAN",{});var XI=r(Fu);$q=i(XI,"Multimodal"),XI.forEach(s),ev.forEach(s),Jb=c(t),Fc=a(t,"P",{});var JI=r(Fc);jq=i(JI,"Pipelines available for multimodal tasks include the following."),JI.forEach(s),e2=c(t),Ts=a(t,"H3",{class:!0});var tv=r(Ts);qa=a(tv,"A",{id:!0,class:!0,href:!0});var eS=r(qa);Lu=a(eS,"SPAN",{});var tS=r(Lu);b(al.$$.fragment,tS),tS.forEach(s),eS.forEach(s),Eq=c(tv),Nu=a(tv,"SPAN",{});var sS=r(Nu);qq=i(sS,"DocumentQuestionAnsweringPipeline"),sS.forEach(s),tv.forEach(s),t2=c(t),ee=a(t,"DIV",{class:!0});var De=r(ee);b(rl.$$.fragment,De),Aq=c(De),ol=a(De,"P",{});var sv=r(ol);Cq=i(sv,"Document Question Answering pipeline using any "),Ou=a(sv,"CODE",{});var nS=r(Ou);Dq=i(nS,"AutoModelForDocumentQuestionAnswering"),nS.forEach(s),zq=i(sv,`. The inputs/outputs are
similar to the (extractive) question answering pipeline; however, the pipeline takes an image (and optional OCR\u2019d
words/boxes) as input instead of text context.`),sv.forEach(s),Iq=c(De),b(Aa.$$.fragment,De),Sq=c(De),Lc=a(De,"P",{});var Q6=r(Lc);Mq=i(Q6,"Learn more about the basics of using a pipeline in the "),Nc=a(Q6,"A",{href:!0});var aS=r(Nc);Fq=i(aS,"pipeline tutorial"),aS.forEach(s),Q6.forEach(s),Lq=c(De),$s=a(De,"P",{});var Id=r($s);Nq=i(Id,"This document question answering pipeline can currently be loaded from "),Oc=a(Id,"A",{href:!0});var rS=r(Oc);Oq=i(rS,"pipeline()"),rS.forEach(s),Uq=i(Id,` using the following task
identifier: `),Uu=a(Id,"CODE",{});var oS=r(Uu);Gq=i(oS,'"document-question-answering"'),oS.forEach(s),Rq=i(Id,"."),Id.forEach(s),Vq=c(De),il=a(De,"P",{});var nv=r(il);Qq=i(nv,`The models that this pipeline can use are models that have been fine-tuned on a document question answering task.
See the up-to-date list of available models on
`),ll=a(nv,"A",{href:!0,rel:!0});var iS=r(ll);Hq=i(iS,"huggingface.co/models"),iS.forEach(s),Wq=i(nv,"."),nv.forEach(s),Zq=c(De),Re=a(De,"DIV",{class:!0});var Xa=r(Re);b(pl.$$.fragment,Xa),Bq=c(Xa),cl=a(Xa,"P",{});var av=r(cl);Yq=i(av,`Answer the question(s) given as inputs by using the document(s). A document is defined as an image and an
optional list of (word, box) tuples which represent the text in the document. If the `),Gu=a(av,"CODE",{});var lS=r(Gu);Kq=i(lS,"word_boxes"),lS.forEach(s),Xq=i(av,` are not
provided, it will use the Tesseract OCR engine (if available) to extract the words and boxes automatically for
LayoutLM-like models which require them as input. For Donut, no OCR is run.`),av.forEach(s),Jq=c(Xa),Ru=a(Xa,"P",{});var pS=r(Ru);e5=i(pS,"You can invoke the pipeline several ways:"),pS.forEach(s),t5=c(Xa),et=a(Xa,"UL",{});var Ja=r(et);Vu=a(Ja,"LI",{});var cS=r(Vu);Qu=a(cS,"CODE",{});var dS=r(Qu);s5=i(dS,"pipeline(image=image, question=question)"),dS.forEach(s),cS.forEach(s),n5=c(Ja),Hu=a(Ja,"LI",{});var mS=r(Hu);Wu=a(mS,"CODE",{});var hS=r(Wu);a5=i(hS,"pipeline(image=image, question=question, word_boxes=word_boxes)"),hS.forEach(s),mS.forEach(s),r5=c(Ja),Zu=a(Ja,"LI",{});var fS=r(Zu);Bu=a(fS,"CODE",{});var uS=r(Bu);o5=i(uS,'pipeline([{"image": image, "question": question}])'),uS.forEach(s),fS.forEach(s),i5=c(Ja),Yu=a(Ja,"LI",{});var gS=r(Yu);Ku=a(gS,"CODE",{});var _S=r(Ku);l5=i(_S,'pipeline([{"image": image, "question": question, "word_boxes": word_boxes}])'),_S.forEach(s),gS.forEach(s),Ja.forEach(s),Xa.forEach(s),De.forEach(s),s2=c(t),js=a(t,"H3",{class:!0});var rv=r(js);Ca=a(rv,"A",{id:!0,class:!0,href:!0});var bS=r(Ca);Xu=a(bS,"SPAN",{});var wS=r(Xu);b(dl.$$.fragment,wS),wS.forEach(s),bS.forEach(s),p5=c(rv),Ju=a(rv,"SPAN",{});var vS=r(Ju);c5=i(vS,"FeatureExtractionPipeline"),vS.forEach(s),rv.forEach(s),n2=c(t),te=a(t,"DIV",{class:!0});var ze=r(te);b(ml.$$.fragment,ze),d5=c(ze),eg=a(ze,"P",{});var xS=r(eg);m5=i(xS,`Feature extraction pipeline using no model head. This pipeline extracts the hidden states from the base
transformer, which can be used as features in downstream tasks.`),xS.forEach(s),h5=c(ze),b(Da.$$.fragment,ze),f5=c(ze),Uc=a(ze,"P",{});var H6=r(Uc);u5=i(H6,"Learn more about the basics of using a pipeline in the "),Gc=a(H6,"A",{href:!0});var kS=r(Gc);g5=i(kS,"pipeline tutorial"),kS.forEach(s),H6.forEach(s),_5=c(ze),Es=a(ze,"P",{});var Sd=r(Es);b5=i(Sd,"This feature extraction pipeline can currently be loaded from "),Rc=a(Sd,"A",{href:!0});var PS=r(Rc);w5=i(PS,"pipeline()"),PS.forEach(s),v5=i(Sd,` using the task identifier:
`),tg=a(Sd,"CODE",{});var yS=r(tg);x5=i(yS,'"feature-extraction"'),yS.forEach(s),k5=i(Sd,"."),Sd.forEach(s),P5=c(ze),hl=a(ze,"P",{});var ov=r(hl);y5=i(ov,`All models may be used for this pipeline. See a list of all models, including community-contributed models on
`),fl=a(ov,"A",{href:!0,rel:!0});var TS=r(fl);T5=i(TS,"huggingface.co/models"),TS.forEach(s),$5=i(ov,"."),ov.forEach(s),j5=c(ze),za=a(ze,"DIV",{class:!0});var iv=r(za);b(ul.$$.fragment,iv),E5=c(iv),sg=a(iv,"P",{});var $S=r(sg);q5=i($S,"Extract the features of the input(s)."),$S.forEach(s),iv.forEach(s),ze.forEach(s),a2=c(t),qs=a(t,"H3",{class:!0});var lv=r(qs);Ia=a(lv,"A",{id:!0,class:!0,href:!0});var jS=r(Ia);ng=a(jS,"SPAN",{});var ES=r(ng);b(gl.$$.fragment,ES),ES.forEach(s),jS.forEach(s),A5=c(lv),ag=a(lv,"SPAN",{});var qS=r(ag);C5=i(qS,"ImageToTextPipeline"),qS.forEach(s),lv.forEach(s),r2=c(t),se=a(t,"DIV",{class:!0});var Ie=r(se);b(_l.$$.fragment,Ie),D5=c(Ie),bl=a(Ie,"P",{});var pv=r(bl);z5=i(pv,"Image To Text pipeline using a "),rg=a(pv,"CODE",{});var AS=r(rg);I5=i(AS,"AutoModelForVision2Seq"),AS.forEach(s),S5=i(pv,". This pipeline predicts a caption for a given image."),pv.forEach(s),M5=c(Ie),b(Sa.$$.fragment,Ie),F5=c(Ie),Vc=a(Ie,"P",{});var W6=r(Vc);L5=i(W6,"Learn more about the basics of using a pipeline in the "),Qc=a(W6,"A",{href:!0});var CS=r(Qc);N5=i(CS,"pipeline tutorial"),CS.forEach(s),W6.forEach(s),O5=c(Ie),og=a(Ie,"P",{});var DS=r(og);U5=i(DS,`This image to text pipeline can currently be loaded from pipeline() using the following task identifier:
\u201Cimage-to-text\u201D.`),DS.forEach(s),G5=c(Ie),wl=a(Ie,"P",{});var cv=r(wl);R5=i(cv,`See the list of available models on
`),vl=a(cv,"A",{href:!0,rel:!0});var zS=r(vl);V5=i(zS,"huggingface.co/models"),zS.forEach(s),Q5=i(cv,"."),cv.forEach(s),H5=c(Ie),Ma=a(Ie,"DIV",{class:!0});var dv=r(Ma);b(xl.$$.fragment,dv),W5=c(dv),ig=a(dv,"P",{});var IS=r(ig);Z5=i(IS,"Assign labels to the image(s) passed as inputs."),IS.forEach(s),dv.forEach(s),Ie.forEach(s),o2=c(t),As=a(t,"H3",{class:!0});var mv=r(As);Fa=a(mv,"A",{id:!0,class:!0,href:!0});var SS=r(Fa);lg=a(SS,"SPAN",{});var MS=r(lg);b(kl.$$.fragment,MS),MS.forEach(s),SS.forEach(s),B5=c(mv),pg=a(mv,"SPAN",{});var FS=r(pg);Y5=i(FS,"VisualQuestionAnsweringPipeline"),FS.forEach(s),mv.forEach(s),i2=c(t),ne=a(t,"DIV",{class:!0});var Se=r(ne);b(Pl.$$.fragment,Se),K5=c(Se),yl=a(Se,"P",{});var hv=r(yl);X5=i(hv,"Visual Question Answering pipeline using a "),cg=a(hv,"CODE",{});var LS=r(cg);J5=i(LS,"AutoModelForVisualQuestionAnswering"),LS.forEach(s),eA=i(hv,`. This pipeline is currently only
available in PyTorch.`),hv.forEach(s),tA=c(Se),b(La.$$.fragment,Se),sA=c(Se),Hc=a(Se,"P",{});var Z6=r(Hc);nA=i(Z6,"Learn more about the basics of using a pipeline in the "),Wc=a(Z6,"A",{href:!0});var NS=r(Wc);aA=i(NS,"pipeline tutorial"),NS.forEach(s),Z6.forEach(s),rA=c(Se),Cs=a(Se,"P",{});var Md=r(Cs);oA=i(Md,"This visual question answering pipeline can currently be loaded from "),Zc=a(Md,"A",{href:!0});var OS=r(Zc);iA=i(OS,"pipeline()"),OS.forEach(s),lA=i(Md,` using the following task
identifiers: `),dg=a(Md,"CODE",{});var US=r(dg);pA=i(US,'"visual-question-answering", "vqa"'),US.forEach(s),cA=i(Md,"."),Md.forEach(s),dA=c(Se),Tl=a(Se,"P",{});var fv=r(Tl);mA=i(fv,`The models that this pipeline can use are models that have been fine-tuned on a visual question answering task. See
the up-to-date list of available models on
`),$l=a(fv,"A",{href:!0,rel:!0});var GS=r($l);hA=i(GS,"huggingface.co/models"),GS.forEach(s),fA=i(fv,"."),fv.forEach(s),uA=c(Se),lt=a(Se,"DIV",{class:!0});var Fd=r(lt);b(jl.$$.fragment,Fd),gA=c(Fd),mg=a(Fd,"P",{});var RS=r(mg);_A=i(RS,`Answers open-ended questions about images. The pipeline accepts several types of inputs which are detailed
below:`),RS.forEach(s),bA=c(Fd),tt=a(Fd,"UL",{});var er=r(tt);hg=a(er,"LI",{});var VS=r(hg);fg=a(VS,"CODE",{});var QS=r(fg);wA=i(QS,"pipeline(image=image, question=question)"),QS.forEach(s),VS.forEach(s),vA=c(er),ug=a(er,"LI",{});var HS=r(ug);gg=a(HS,"CODE",{});var WS=r(gg);xA=i(WS,'pipeline({"image": image, "question": question})'),WS.forEach(s),HS.forEach(s),kA=c(er),_g=a(er,"LI",{});var ZS=r(_g);bg=a(ZS,"CODE",{});var BS=r(bg);PA=i(BS,'pipeline([{"image": image, "question": question}])'),BS.forEach(s),ZS.forEach(s),yA=c(er),wg=a(er,"LI",{});var YS=r(wg);vg=a(YS,"CODE",{});var KS=r(vg);TA=i(KS,'pipeline([{"image": image, "question": question}, {"image": image, "question": question}])'),KS.forEach(s),YS.forEach(s),er.forEach(s),Fd.forEach(s),Se.forEach(s),l2=c(t),Ds=a(t,"H2",{class:!0});var uv=r(Ds);Na=a(uv,"A",{id:!0,class:!0,href:!0});var XS=r(Na);xg=a(XS,"SPAN",{});var JS=r(xg);b(El.$$.fragment,JS),JS.forEach(s),XS.forEach(s),$A=c(uv),Bc=a(uv,"SPAN",{});var B6=r(Bc);jA=i(B6,"Parent class: "),kg=a(B6,"CODE",{});var eM=r(kg);EA=i(eM,"Pipeline"),eM.forEach(s),B6.forEach(s),uv.forEach(s),p2=c(t),A=a(t,"DIV",{class:!0});var z=r(A);b(ql.$$.fragment,z),qA=c(z),Pg=a(z,"P",{});var tM=r(Pg);AA=i(tM,`The Pipeline class is the class from which all pipelines inherit. Refer to this class for methods shared across
different pipelines.`),tM.forEach(s),CA=c(z),yg=a(z,"P",{});var sM=r(yg);DA=i(sM,`Base class implementing pipelined operations. Pipeline workflow is defined as a sequence of the following
operations:`),sM.forEach(s),zA=c(z),Tg=a(z,"P",{});var nM=r(Tg);IA=i(nM,"Input -> Tokenization -> Model Inference -> Post-Processing (task dependent) -> Output"),nM.forEach(s),SA=c(z),$g=a(z,"P",{});var aM=r($g);MA=i(aM,"Pipeline supports running on CPU or GPU through the device argument (see below)."),aM.forEach(s),FA=c(z),Oe=a(z,"P",{});var gt=r(Oe);LA=i(gt,"Some pipeline, like for instance "),Yc=a(gt,"A",{href:!0});var rM=r(Yc);NA=i(rM,"FeatureExtractionPipeline"),rM.forEach(s),OA=i(gt," ("),jg=a(gt,"CODE",{});var oM=r(jg);UA=i(oM,"'feature-extraction'"),oM.forEach(s),GA=i(gt,`) output large tensor object
as nested-lists. In order to avoid dumping such large structure as textual data we provide the `),Eg=a(gt,"CODE",{});var iM=r(Eg);RA=i(iM,"binary_output"),iM.forEach(s),VA=i(gt,`
constructor argument. If set to `),qg=a(gt,"CODE",{});var lM=r(qg);QA=i(lM,"True"),lM.forEach(s),HA=i(gt,", the output will be stored in the pickle format."),gt.forEach(s),WA=c(z),Oa=a(z,"DIV",{class:!0});var gv=r(Oa);b(Al.$$.fragment,gv),ZA=c(gv),Ag=a(gv,"P",{});var pM=r(Ag);BA=i(pM,"Check if the model class is in supported by the pipeline."),pM.forEach(s),gv.forEach(s),YA=c(z),pt=a(z,"DIV",{class:!0});var Ld=r(pt);b(Cl.$$.fragment,Ld),KA=c(Ld),Cg=a(Ld,"P",{});var cM=r(Cg);XA=i(cM,"Context Manager allowing tensor allocation on the user-specified device in framework agnostic way."),cM.forEach(s),JA=c(Ld),b(Ua.$$.fragment,Ld),Ld.forEach(s),e6=c(z),Ga=a(z,"DIV",{class:!0});var _v=r(Ga);b(Dl.$$.fragment,_v),t6=c(_v),Dg=a(_v,"P",{});var dM=r(Dg);s6=i(dM,"Ensure PyTorch tensors are on the specified device."),dM.forEach(s),_v.forEach(s),n6=c(z),Ra=a(z,"DIV",{class:!0});var bv=r(Ra);b(zl.$$.fragment,bv),a6=c(bv),Il=a(bv,"P",{});var wv=r(Il);r6=i(wv,"Postprocess will receive the raw outputs of the "),zg=a(wv,"CODE",{});var mM=r(zg);o6=i(mM,"_forward"),mM.forEach(s),i6=i(wv,` method, generally tensors, and reformat them into
something more friendly. Generally it will output a list or a dict or results (containing just strings and
numbers).`),wv.forEach(s),bv.forEach(s),l6=c(z),Va=a(z,"DIV",{class:!0});var vv=r(Va);b(Sl.$$.fragment,vv),p6=c(vv),Ml=a(vv,"P",{});var xv=r(Ml);c6=i(xv,"Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),Ig=a(xv,"STRONG",{});var hM=r(Ig);d6=i(hM,"call"),hM.forEach(s),m6=i(xv,"()."),xv.forEach(s),vv.forEach(s),h6=c(z),Qa=a(z,"DIV",{class:!0});var kv=r(Qa);b(Fl.$$.fragment,kv),f6=c(kv),zs=a(kv,"P",{});var Nd=r(zs);u6=i(Nd,"Preprocess will take the "),Sg=a(Nd,"CODE",{});var fM=r(Sg);g6=i(fM,"input_"),fM.forEach(s),_6=i(Nd,` of a specific pipeline and return a dictionary of everything necessary for
`),Mg=a(Nd,"CODE",{});var uM=r(Mg);b6=i(uM,"_forward"),uM.forEach(s),w6=i(Nd," to run properly. It should contain at least one tensor, but might have arbitrary other items."),Nd.forEach(s),kv.forEach(s),v6=c(z),Ha=a(z,"DIV",{class:!0});var Pv=r(Ha);b(Ll.$$.fragment,Pv),x6=c(Pv),Fg=a(Pv,"P",{});var gM=r(Fg);k6=i(gM,"Save the pipeline\u2019s model and tokenizer."),gM.forEach(s),Pv.forEach(s),P6=c(z),Wa=a(z,"DIV",{class:!0});var yv=r(Wa);b(Nl.$$.fragment,yv),y6=c(yv),Ol=a(yv,"P",{});var Tv=r(Ol);T6=i(Tv,"Scikit / Keras interface to transformers\u2019 pipelines. This method will forward to "),Lg=a(Tv,"STRONG",{});var _M=r(Lg);$6=i(_M,"call"),_M.forEach(s),j6=i(Tv,"()."),Tv.forEach(s),yv.forEach(s),z.forEach(s),this.h()},h(){d(u,"name","hf:doc:metadata"),d(u,"content",JSON.stringify(aF)),d(f,"id","pipelines"),d(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(f,"href","#pipelines"),d(P,"class","relative group"),d(Xl,"href","../task_summary"),d(ep,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(tp,"href","#audio"),d(sp,"href","#computer-vision"),d(np,"href","#natural-language-processing"),d(ap,"href","#multimodal"),d(Ms,"id","transformers.pipeline"),d(Ms,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ms,"href","#transformers.pipeline"),d(_t,"class","relative group"),d(ar,"href","https://huggingface.co"),d(ar,"rel","nofollow"),d(ip,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.Pipeline"),d(lp,"href","tokenizer"),d(pp,"href","model"),d(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Gs,"id","pipeline-batching"),d(Gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Gs,"href","#pipeline-batching"),d(wt,"class","relative group"),d(Qs,"id","pipeline-chunk-batching"),d(Qs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Qs,"href","#pipeline-chunk-batching"),d(xt,"class","relative group"),d(Ws,"id","pipeline-custom-code"),d(Ws,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ws,"href","#pipeline-custom-code"),d(kt,"class","relative group"),d(Bs,"id","implementing-a-pipeline"),d(Bs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Bs,"href","#implementing-a-pipeline"),d(Pt,"class","relative group"),d(vp,"href","../add_new_pipeline"),d(Ys,"id","audio"),d(Ys,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ys,"href","#audio"),d(yt,"class","relative group"),d(Ks,"id","transformers.AudioClassificationPipeline"),d(Ks,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ks,"href","#transformers.AudioClassificationPipeline"),d(Tt,"class","relative group"),d(Pp,"href","../pipeline_tutorial"),d(yp,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Cr,"href","https://huggingface.co/models?filter=audio-classification"),d(Cr,"rel","nofollow"),d(Tp,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(Js,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(en,"id","transformers.AutomaticSpeechRecognitionPipeline"),d(en,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(en,"href","#transformers.AutomaticSpeechRecognitionPipeline"),d(jt,"class","relative group"),d(jp,"href","../pipeline_tutorial"),d(Ep,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.AutomaticSpeechRecognitionPipeline"),d(sn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(nn,"id","transformers.ZeroShotAudioClassificationPipeline"),d(nn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(nn,"href","#transformers.ZeroShotAudioClassificationPipeline"),d(Et,"class","relative group"),d(qp,"href","../pipeline_tutorial"),d(Ap,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Or,"href","https://huggingface.co/models?filter=zero-shot-audio-classification"),d(Or,"rel","nofollow"),d(rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(on,"id","computer-vision"),d(on,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(on,"href","#computer-vision"),d(At,"class","relative group"),d(ln,"id","transformers.DepthEstimationPipeline"),d(ln,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ln,"href","#transformers.DepthEstimationPipeline"),d(Ct,"class","relative group"),d(zp,"href","../pipeline_tutorial"),d(Ip,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Wr,"href","https://huggingface.co/models?filter=depth-estimation"),d(Wr,"rel","nofollow"),d(cn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(dn,"id","transformers.ImageClassificationPipeline"),d(dn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(dn,"href","#transformers.ImageClassificationPipeline"),d(zt,"class","relative group"),d(Mp,"href","../pipeline_tutorial"),d(Fp,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Jr,"href","https://huggingface.co/models?filter=image-classification"),d(Jr,"rel","nofollow"),d(hn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fn,"id","transformers.ImageSegmentationPipeline"),d(fn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(fn,"href","#transformers.ImageSegmentationPipeline"),d(St,"class","relative group"),d(Lp,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(ro,"href","https://huggingface.co/models?filter=image-segmentation"),d(ro,"rel","nofollow"),d(gn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(_n,"id","transformers.ObjectDetectionPipeline"),d(_n,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(_n,"href","#transformers.ObjectDetectionPipeline"),d(Ft,"class","relative group"),d(Op,"href","../pipeline_tutorial"),d(Up,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(mo,"href","https://huggingface.co/models?filter=object-detection"),d(mo,"rel","nofollow"),d(wn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(vn,"id","transformers.VideoClassificationPipeline"),d(vn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(vn,"href","#transformers.VideoClassificationPipeline"),d(Nt,"class","relative group"),d(Gp,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(bo,"href","https://huggingface.co/models?filter=video-classification"),d(bo,"rel","nofollow"),d(xn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(kn,"id","transformers.ZeroShotImageClassificationPipeline"),d(kn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(kn,"href","#transformers.ZeroShotImageClassificationPipeline"),d(Ut,"class","relative group"),d(Vp,"href","../pipeline_tutorial"),d(Qp,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Po,"href","https://huggingface.co/models?filter=zero-shot-image-classification"),d(Po,"rel","nofollow"),d(yn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Tn,"id","transformers.ZeroShotObjectDetectionPipeline"),d(Tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Tn,"href","#transformers.ZeroShotObjectDetectionPipeline"),d(Vt,"class","relative group"),d(Wp,"href","../pipeline_tutorial"),d(Zp,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Eo,"href","https://huggingface.co/models?filter=zero-shot-object-detection"),d(Eo,"rel","nofollow"),d(jn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(En,"id","natural-language-processing"),d(En,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(En,"href","#natural-language-processing"),d(Wt,"class","relative group"),d(qn,"id","transformers.Conversation"),d(qn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(qn,"href","#transformers.Conversation"),d(Zt,"class","relative group"),d(Yp,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(Kp,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ConversationalPipeline"),d(Cn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Dn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Jp,"href","../pipeline_tutorial"),d(ec,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(No,"href","https://huggingface.co/models?filter=conversational"),d(No,"rel","nofollow"),d(Sn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Mn,"id","transformers.FillMaskPipeline"),d(Mn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Mn,"href","#transformers.FillMaskPipeline"),d(Yt,"class","relative group"),d(tc,"href","../task_summary#masked-language-modeling"),d(nc,"href","../pipeline_tutorial"),d(ac,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Vo,"href","https://huggingface.co/models?filter=fill-mask"),d(Vo,"rel","nofollow"),d(Nn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(On,"id","transformers.TokenClassificationPipeline"),d(On,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(On,"href","#transformers.TokenClassificationPipeline"),d(Jt,"class","relative group"),d(rc,"href","../task_summary#named-entity-recognition"),d(ic,"href","../pipeline_tutorial"),d(lc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Bo,"href","https://huggingface.co/models?filter=token-classification"),d(Bo,"rel","nofollow"),d(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Gn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Vn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.TokenClassificationPipeline"),d(Hn,"id","transformers.QuestionAnsweringPipeline"),d(Hn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Hn,"href","#transformers.QuestionAnsweringPipeline"),d(ss,"class","relative group"),d(cc,"href","../task_summary#question-answering"),d(mc,"href","../pipeline_tutorial"),d(hc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(ni,"href","https://huggingface.co/models?filter=question-answering"),d(ni,"rel","nofollow"),d(Zn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Bn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Yn,"id","transformers.SummarizationPipeline"),d(Yn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Yn,"href","#transformers.SummarizationPipeline"),d(os,"class","relative group"),d(fc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(pi,"href","https://huggingface.co/models?filter=summarization"),d(pi,"rel","nofollow"),d(ci,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(ci,"rel","nofollow"),d(Xn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Jn,"id","transformers.TableQuestionAnsweringPipeline"),d(Jn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Jn,"href","#transformers.TableQuestionAnsweringPipeline"),d(ls,"class","relative group"),d(gc,"href","../pipeline_tutorial"),d(_c,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(gi,"href","https://huggingface.co/models?filter=table-question-answering"),d(gi,"rel","nofollow"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(na,"id","transformers.TextClassificationPipeline"),d(na,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(na,"href","#transformers.TextClassificationPipeline"),d(cs,"class","relative group"),d(bc,"href","../task_summary#sequence-classification"),d(vc,"href","../pipeline_tutorial"),d(xc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Pi,"href","https://huggingface.co/models?filter=text-classification"),d(Pi,"rel","nofollow"),d(ra,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(oa,"id","transformers.TextGenerationPipeline"),d(oa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(oa,"href","#transformers.TextGenerationPipeline"),d(hs,"class","relative group"),d(Pc,"href","../pipeline_tutorial"),d(yc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(qi,"href","https://huggingface.co/models?filter=text-generation"),d(qi,"rel","nofollow"),d(la,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pa,"id","transformers.Text2TextGenerationPipeline"),d(pa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pa,"href","#transformers.Text2TextGenerationPipeline"),d(us,"class","relative group"),d($c,"href","../pipeline_tutorial"),d(jc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(zi,"href","https://huggingface.co/models?filter=text2text-generation"),d(zi,"rel","nofollow"),d(Ii,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(Ii,"rel","nofollow"),d(ha,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ua,"id","transformers.TokenClassificationPipeline"),d(ua,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ua,"href","#transformers.TokenClassificationPipeline"),d(_s,"class","relative group"),d(Ec,"href","../task_summary#named-entity-recognition"),d(Ac,"href","../pipeline_tutorial"),d(Cc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Oi,"href","https://huggingface.co/models?filter=token-classification"),d(Oi,"rel","nofollow"),d(_a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ba,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(wa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(va,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xa,"id","transformers.TranslationPipeline"),d(xa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(xa,"href","#transformers.TranslationPipeline"),d(vs,"class","relative group"),d(Dc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(Zi,"href","https://huggingface.co/models?filter=translation"),d(Zi,"rel","nofollow"),d(Bi,"href","https://huggingface.co/docs/transformers/en/main_classes/text_generation#transformers.generation.GenerationMixin.generate"),d(Bi,"rel","nofollow"),d(ya,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ta,"id","transformers.ZeroShotClassificationPipeline"),d(Ta,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ta,"href","#transformers.ZeroShotClassificationPipeline"),d(ks,"class","relative group"),d(Ic,"href","../pipeline_tutorial"),d(Sc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(el,"href","https://huggingface.co/models?search=nli"),d(el,"rel","nofollow"),d(Mc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.ZeroShotClassificationPipeline"),d(ja,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ea,"id","multimodal"),d(Ea,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ea,"href","#multimodal"),d(ys,"class","relative group"),d(qa,"id","transformers.DocumentQuestionAnsweringPipeline"),d(qa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(qa,"href","#transformers.DocumentQuestionAnsweringPipeline"),d(Ts,"class","relative group"),d(Nc,"href","../pipeline_tutorial"),d(Oc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(ll,"href","https://huggingface.co/models?filter=document-question-answering"),d(ll,"rel","nofollow"),d(Re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ca,"id","transformers.FeatureExtractionPipeline"),d(Ca,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ca,"href","#transformers.FeatureExtractionPipeline"),d(js,"class","relative group"),d(Gc,"href","../pipeline_tutorial"),d(Rc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d(fl,"href","https://huggingface.co/models"),d(fl,"rel","nofollow"),d(za,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ia,"id","transformers.ImageToTextPipeline"),d(Ia,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ia,"href","#transformers.ImageToTextPipeline"),d(qs,"class","relative group"),d(Qc,"href","../pipeline_tutorial"),d(vl,"href","https://huggingface.co/models?pipeline_tag=image-to-text"),d(vl,"rel","nofollow"),d(Ma,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Fa,"id","transformers.VisualQuestionAnsweringPipeline"),d(Fa,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Fa,"href","#transformers.VisualQuestionAnsweringPipeline"),d(As,"class","relative group"),d(Wc,"href","../pipeline_tutorial"),d(Zc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.pipeline"),d($l,"href","https://huggingface.co/models?filter=visual-question-answering"),d($l,"rel","nofollow"),d(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Na,"id","transformers.Pipeline"),d(Na,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Na,"href","#transformers.Pipeline"),d(Ds,"class","relative group"),d(Yc,"href","/docs/transformers/pr_21334/en/main_classes/pipelines#transformers.FeatureExtractionPipeline"),d(Oa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ga,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ra,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Va,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Qa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ha,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Wa,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,u),h(t,T,m),h(t,P,m),e(P,f),e(f,y),w(l,y,null),e(P,g),e(P,Ze),e(Ze,$v),h(t,l_,m),h(t,Is,m),e(Is,jv),e(Is,Xl),e(Xl,Ev),e(Is,qv),h(t,p_,m),h(t,Jl,m),e(Jl,Av),h(t,c_,m),h(t,Ss,m),e(Ss,tr),e(tr,Cv),e(tr,ep),e(ep,Dv),e(tr,zv),e(Ss,Iv),e(Ss,Me),e(Me,Sv),e(Me,tp),e(tp,Mv),e(Me,Fv),e(Me,sp),e(sp,Lv),e(Me,Nv),e(Me,np),e(np,Ov),e(Me,Uv),e(Me,ap),e(ap,Gv),e(Me,Rv),h(t,d_,m),h(t,_t,m),e(_t,Ms),e(Ms,Od),w(sr,Od,null),e(_t,Vv),e(_t,Ud),e(Ud,Qv),h(t,m_,m),h(t,Fs,m),e(Fs,Hv),e(Fs,Gd),e(Gd,Wv),e(Fs,Zv),h(t,h_,m),h(t,rp,m),e(rp,Bv),h(t,f_,m),w(nr,t,m),h(t,u_,m),h(t,Ls,m),e(Ls,Yv),e(Ls,ar),e(ar,Kv),e(Ls,Xv),h(t,g_,m),w(rr,t,m),h(t,__,m),h(t,Ns,m),e(Ns,Jv),e(Ns,Rd),e(Rd,e1),e(Ns,t1),h(t,b_,m),w(or,t,m),h(t,w_,m),h(t,Os,m),e(Os,s1),e(Os,Vd),e(Vd,n1),e(Os,a1),h(t,v_,m),w(ir,t,m),h(t,x_,m),h(t,op,m),e(op,r1),h(t,k_,m),w(lr,t,m),h(t,P_,m),h(t,ge,m),w(pr,ge,null),e(ge,o1),e(ge,cr),e(cr,i1),e(cr,ip),e(ip,l1),e(cr,p1),e(ge,c1),e(ge,Qd),e(Qd,d1),e(ge,m1),e(ge,bt),e(bt,dr),e(dr,h1),e(dr,lp),e(lp,f1),e(dr,u1),e(bt,g1),e(bt,mr),e(mr,_1),e(mr,pp),e(pp,b1),e(mr,w1),e(bt,v1),e(bt,Hd),e(Hd,x1),e(ge,k1),w(Us,ge,null),h(t,y_,m),h(t,wt,m),e(wt,Gs),e(Gs,Wd),w(hr,Wd,null),e(wt,P1),e(wt,Zd),e(Zd,y1),h(t,T_,m),h(t,st,m),e(st,T1),e(st,Bd),e(Bd,$1),e(st,j1),e(st,Yd),e(Yd,E1),e(st,q1),h(t,$_,m),w(fr,t,m),h(t,j_,m),w(Rs,t,m),h(t,E_,m),w(ur,t,m),h(t,q_,m),w(gr,t,m),h(t,A_,m),h(t,cp,m),e(cp,A1),h(t,C_,m),w(_r,t,m),h(t,D_,m),h(t,Vs,m),e(Vs,C1),e(Vs,Kd),e(Kd,D1),e(Vs,z1),h(t,z_,m),w(br,t,m),h(t,I_,m),h(t,dp,m),e(dp,I1),h(t,S_,m),h(t,mp,m),e(mp,S1),h(t,M_,m),h(t,we,m),e(we,Xd),e(Xd,Jd),e(Jd,em),e(em,M1),e(we,F1),e(we,tm),e(tm,sm),e(sm,L1),e(we,N1),e(we,nm),e(nm,am),e(am,O1),e(we,U1),e(we,wr),e(wr,rm),e(rm,G1),e(wr,R1),e(wr,vt),e(vt,om),e(om,V1),e(vt,Q1),e(vt,im),e(im,H1),e(vt,W1),e(vt,lm),e(lm,Z1),e(we,B1),e(we,pm),e(pm,cm),e(cm,Y1),h(t,F_,m),h(t,xt,m),e(xt,Qs),e(Qs,dm),w(vr,dm,null),e(xt,K1),e(xt,mm),e(mm,X1),h(t,L_,m),h(t,Be,m),e(Be,hm),e(hm,J1),e(Be,ex),e(Be,fm),e(fm,tx),e(Be,sx),e(Be,um),e(um,nx),e(Be,ax),h(t,N_,m),h(t,nt,m),e(nt,rx),e(nt,gm),e(gm,ox),e(nt,ix),e(nt,_m),e(_m,lx),e(nt,px),h(t,O_,m),w(xr,t,m),h(t,U_,m),h(t,hp,m),e(hp,cx),h(t,G_,m),w(kr,t,m),h(t,R_,m),h(t,fp,m),e(fp,dx),h(t,V_,m),h(t,Hs,m),e(Hs,mx),e(Hs,bm),e(bm,hx),e(Hs,fx),h(t,Q_,m),h(t,kt,m),e(kt,Ws),e(Ws,wm),w(Pr,wm,null),e(kt,ux),e(kt,vm),e(vm,gx),h(t,H_,m),h(t,up,m),e(up,_x),h(t,W_,m),h(t,Zs,m),e(Zs,bx),e(Zs,xm),e(xm,wx),e(Zs,vx),h(t,Z_,m),h(t,gp,m),e(gp,xx),h(t,B_,m),h(t,_p,m),e(_p,km),e(km,kx),h(t,Y_,m),w(yr,t,m),h(t,K_,m),h(t,bp,m),e(bp,Px),h(t,X_,m),h(t,Pt,m),e(Pt,Bs),e(Bs,Pm),w(Tr,Pm,null),e(Pt,yx),e(Pt,ym),e(ym,Tx),h(t,J_,m),h(t,wp,m),e(wp,vp),e(vp,$x),h(t,eb,m),h(t,yt,m),e(yt,Ys),e(Ys,Tm),w($r,Tm,null),e(yt,jx),e(yt,$m),e($m,Ex),h(t,tb,m),h(t,xp,m),e(xp,qx),h(t,sb,m),h(t,Tt,m),e(Tt,Ks),e(Ks,jm),w(jr,jm,null),e(Tt,Ax),e(Tt,Em),e(Em,Cx),h(t,nb,m),h(t,V,m),w(Er,V,null),e(V,Dx),e(V,qr),e(qr,zx),e(qr,qm),e(qm,Ix),e(qr,Sx),e(V,Mx),w(Xs,V,null),e(V,Fx),e(V,kp),e(kp,Lx),e(kp,Pp),e(Pp,Nx),e(V,Ox),e(V,$t),e($t,Ux),e($t,yp),e(yp,Gx),e($t,Rx),e($t,Am),e(Am,Vx),e($t,Qx),e(V,Hx),e(V,Ar),e(Ar,Wx),e(Ar,Cr),e(Cr,Zx),e(Ar,Bx),e(V,Yx),e(V,Js),w(Dr,Js,null),e(Js,Kx),e(Js,zr),e(zr,Xx),e(zr,Tp),e(Tp,Jx),e(zr,ek),h(t,ab,m),h(t,jt,m),e(jt,en),e(en,Cm),w(Ir,Cm,null),e(jt,tk),e(jt,Dm),e(Dm,sk),h(t,rb,m),h(t,ie,m),w(Sr,ie,null),e(ie,nk),e(ie,zm),e(zm,ak),e(ie,rk),e(ie,Im),e(Im,ok),e(ie,ik),w(tn,ie,null),e(ie,lk),e(ie,$p),e($p,pk),e($p,jp),e(jp,ck),e(ie,dk),e(ie,sn),w(Mr,sn,null),e(sn,mk),e(sn,Fr),e(Fr,hk),e(Fr,Ep),e(Ep,fk),e(Fr,uk),h(t,ob,m),h(t,Et,m),e(Et,nn),e(nn,Sm),w(Lr,Sm,null),e(Et,gk),e(Et,Mm),e(Mm,_k),h(t,ib,m),h(t,_e,m),w(Nr,_e,null),e(_e,bk),e(_e,qt),e(qt,wk),e(qt,Fm),e(Fm,vk),e(qt,xk),e(qt,Lm),e(Lm,kk),e(qt,Pk),e(_e,yk),w(an,_e,null),e(_e,Tk),e(_e,Fe),e(Fe,$k),e(Fe,qp),e(qp,jk),e(Fe,Ek),e(Fe,Ap),e(Ap,qk),e(Fe,Ak),e(Fe,Nm),e(Nm,Ck),e(Fe,Dk),e(Fe,Or),e(Or,zk),e(Fe,Ik),e(_e,Sk),e(_e,rn),w(Ur,rn,null),e(rn,Mk),e(rn,Om),e(Om,Fk),h(t,lb,m),h(t,At,m),e(At,on),e(on,Um),w(Gr,Um,null),e(At,Lk),e(At,Gm),e(Gm,Nk),h(t,pb,m),h(t,Cp,m),e(Cp,Ok),h(t,cb,m),h(t,Ct,m),e(Ct,ln),e(ln,Rm),w(Rr,Rm,null),e(Ct,Uk),e(Ct,Vm),e(Vm,Gk),h(t,db,m),h(t,Q,m),w(Vr,Q,null),e(Q,Rk),e(Q,Qr),e(Qr,Vk),e(Qr,Qm),e(Qm,Qk),e(Qr,Hk),e(Q,Wk),w(pn,Q,null),e(Q,Zk),e(Q,Dp),e(Dp,Bk),e(Dp,zp),e(zp,Yk),e(Q,Kk),e(Q,Dt),e(Dt,Xk),e(Dt,Ip),e(Ip,Jk),e(Dt,eP),e(Dt,Hm),e(Hm,tP),e(Dt,sP),e(Q,nP),e(Q,Hr),e(Hr,aP),e(Hr,Wr),e(Wr,rP),e(Hr,oP),e(Q,iP),e(Q,cn),w(Zr,cn,null),e(cn,lP),e(cn,Wm),e(Wm,pP),h(t,mb,m),h(t,zt,m),e(zt,dn),e(dn,Zm),w(Br,Zm,null),e(zt,cP),e(zt,Bm),e(Bm,dP),h(t,hb,m),h(t,H,m),w(Yr,H,null),e(H,mP),e(H,Kr),e(Kr,hP),e(Kr,Ym),e(Ym,fP),e(Kr,uP),e(H,gP),w(mn,H,null),e(H,_P),e(H,Sp),e(Sp,bP),e(Sp,Mp),e(Mp,wP),e(H,vP),e(H,It),e(It,xP),e(It,Fp),e(Fp,kP),e(It,PP),e(It,Km),e(Km,yP),e(It,TP),e(H,$P),e(H,Xr),e(Xr,jP),e(Xr,Jr),e(Jr,EP),e(Xr,qP),e(H,AP),e(H,hn),w(eo,hn,null),e(hn,CP),e(hn,Xm),e(Xm,DP),h(t,fb,m),h(t,St,m),e(St,fn),e(fn,Jm),w(to,Jm,null),e(St,zP),e(St,eh),e(eh,IP),h(t,ub,m),h(t,le,m),w(so,le,null),e(le,SP),e(le,no),e(no,MP),e(no,th),e(th,FP),e(no,LP),e(le,NP),w(un,le,null),e(le,OP),e(le,Mt),e(Mt,UP),e(Mt,Lp),e(Lp,GP),e(Mt,RP),e(Mt,sh),e(sh,VP),e(Mt,QP),e(le,HP),e(le,ao),e(ao,WP),e(ao,ro),e(ro,ZP),e(ao,BP),e(le,YP),e(le,gn),w(oo,gn,null),e(gn,KP),e(gn,nh),e(nh,XP),h(t,gb,m),h(t,Ft,m),e(Ft,_n),e(_n,ah),w(io,ah,null),e(Ft,JP),e(Ft,rh),e(rh,ey),h(t,_b,m),h(t,W,m),w(lo,W,null),e(W,ty),e(W,po),e(po,sy),e(po,oh),e(oh,ny),e(po,ay),e(W,ry),w(bn,W,null),e(W,oy),e(W,Np),e(Np,iy),e(Np,Op),e(Op,ly),e(W,py),e(W,Lt),e(Lt,cy),e(Lt,Up),e(Up,dy),e(Lt,my),e(Lt,ih),e(ih,hy),e(Lt,fy),e(W,uy),e(W,co),e(co,gy),e(co,mo),e(mo,_y),e(co,by),e(W,wy),e(W,wn),w(ho,wn,null),e(wn,vy),e(wn,lh),e(lh,xy),h(t,bb,m),h(t,Nt,m),e(Nt,vn),e(vn,ph),w(fo,ph,null),e(Nt,ky),e(Nt,ch),e(ch,Py),h(t,wb,m),h(t,be,m),w(uo,be,null),e(be,yy),e(be,go),e(go,Ty),e(go,dh),e(dh,$y),e(go,jy),e(be,Ey),e(be,Ot),e(Ot,qy),e(Ot,Gp),e(Gp,Ay),e(Ot,Cy),e(Ot,mh),e(mh,Dy),e(Ot,zy),e(be,Iy),e(be,_o),e(_o,Sy),e(_o,bo),e(bo,My),e(_o,Fy),e(be,Ly),e(be,xn),w(wo,xn,null),e(xn,Ny),e(xn,hh),e(hh,Oy),h(t,vb,m),h(t,Ut,m),e(Ut,kn),e(kn,fh),w(vo,fh,null),e(Ut,Uy),e(Ut,uh),e(uh,Gy),h(t,xb,m),h(t,Z,m),w(xo,Z,null),e(Z,Ry),e(Z,Gt),e(Gt,Vy),e(Gt,gh),e(gh,Qy),e(Gt,Hy),e(Gt,_h),e(_h,Wy),e(Gt,Zy),e(Z,By),w(Pn,Z,null),e(Z,Yy),e(Z,Rp),e(Rp,Ky),e(Rp,Vp),e(Vp,Xy),e(Z,Jy),e(Z,Rt),e(Rt,e0),e(Rt,Qp),e(Qp,t0),e(Rt,s0),e(Rt,bh),e(bh,n0),e(Rt,a0),e(Z,r0),e(Z,ko),e(ko,o0),e(ko,Po),e(Po,i0),e(ko,l0),e(Z,p0),e(Z,yn),w(yo,yn,null),e(yn,c0),e(yn,wh),e(wh,d0),h(t,kb,m),h(t,Vt,m),e(Vt,Tn),e(Tn,vh),w(To,vh,null),e(Vt,m0),e(Vt,xh),e(xh,h0),h(t,Pb,m),h(t,B,m),w($o,B,null),e(B,f0),e(B,Qt),e(Qt,u0),e(Qt,kh),e(kh,g0),e(Qt,_0),e(Qt,Ph),e(Ph,b0),e(Qt,w0),e(B,v0),w($n,B,null),e(B,x0),e(B,Hp),e(Hp,k0),e(Hp,Wp),e(Wp,P0),e(B,y0),e(B,Ht),e(Ht,T0),e(Ht,Zp),e(Zp,$0),e(Ht,j0),e(Ht,yh),e(yh,E0),e(Ht,q0),e(B,A0),e(B,jo),e(jo,C0),e(jo,Eo),e(Eo,D0),e(jo,z0),e(B,I0),e(B,jn),w(qo,jn,null),e(jn,S0),e(jn,Th),e(Th,M0),h(t,yb,m),h(t,Wt,m),e(Wt,En),e(En,$h),w(Ao,$h,null),e(Wt,F0),e(Wt,jh),e(jh,L0),h(t,Tb,m),h(t,Bp,m),e(Bp,N0),h(t,$b,m),h(t,Zt,m),e(Zt,qn),e(qn,Eh),w(Co,Eh,null),e(Zt,O0),e(Zt,qh),e(qh,U0),h(t,jb,m),h(t,Y,m),w(Do,Y,null),e(Y,G0),e(Y,Ye),e(Ye,R0),e(Ye,Yp),e(Yp,V0),e(Ye,Q0),e(Ye,Kp),e(Kp,H0),e(Ye,W0),e(Ye,Ah),e(Ah,Z0),e(Ye,B0),e(Y,Y0),w(An,Y,null),e(Y,K0),e(Y,Cn),w(zo,Cn,null),e(Cn,X0),e(Cn,Io),e(Io,J0),e(Io,Ch),e(Ch,eT),e(Io,tT),e(Y,sT),e(Y,Dn),w(So,Dn,null),e(Dn,nT),e(Dn,Dh),e(Dh,aT),e(Y,rT),e(Y,at),w(Mo,at,null),e(at,oT),e(at,zh),e(zh,iT),e(at,lT),e(at,Le),e(Le,pT),e(Le,Ih),e(Ih,cT),e(Le,dT),e(Le,Sh),e(Sh,mT),e(Le,hT),e(Le,Mh),e(Mh,fT),e(Le,uT),e(Le,Fh),e(Fh,gT),e(Le,_T),e(Y,bT),e(Y,zn),w(Fo,zn,null),e(zn,wT),e(zn,Ke),e(Ke,vT),e(Ke,Lh),e(Lh,xT),e(Ke,kT),e(Ke,Nh),e(Nh,PT),e(Ke,yT),e(Ke,Oh),e(Oh,TT),e(Ke,$T),h(t,Eb,m),h(t,K,m),w(Lo,K,null),e(K,jT),e(K,Uh),e(Uh,ET),e(K,qT),w(In,K,null),e(K,AT),e(K,Xp),e(Xp,CT),e(Xp,Jp),e(Jp,DT),e(K,zT),e(K,Bt),e(Bt,IT),e(Bt,ec),e(ec,ST),e(Bt,MT),e(Bt,Gh),e(Gh,FT),e(Bt,LT),e(K,NT),e(K,Ne),e(Ne,OT),e(Ne,Rh),e(Rh,UT),e(Ne,GT),e(Ne,Vh),e(Vh,RT),e(Ne,VT),e(Ne,Qh),e(Qh,QT),e(Ne,HT),e(Ne,No),e(No,WT),e(Ne,ZT),e(K,BT),e(K,Sn),w(Oo,Sn,null),e(Sn,YT),e(Sn,Hh),e(Hh,KT),h(t,qb,m),h(t,Yt,m),e(Yt,Mn),e(Mn,Wh),w(Uo,Wh,null),e(Yt,XT),e(Yt,Zh),e(Zh,JT),h(t,Ab,m),h(t,N,m),w(Go,N,null),e(N,e$),e(N,Kt),e(Kt,t$),e(Kt,Bh),e(Bh,s$),e(Kt,n$),e(Kt,tc),e(tc,a$),e(Kt,r$),e(N,o$),w(Fn,N,null),e(N,i$),e(N,sc),e(sc,l$),e(sc,nc),e(nc,p$),e(N,c$),e(N,Xt),e(Xt,d$),e(Xt,ac),e(ac,m$),e(Xt,h$),e(Xt,Yh),e(Yh,f$),e(Xt,u$),e(N,g$),e(N,Ro),e(Ro,_$),e(Ro,Vo),e(Vo,b$),e(Ro,w$),e(N,v$),w(Ln,N,null),e(N,x$),e(N,Nn),w(Qo,Nn,null),e(Nn,k$),e(Nn,Kh),e(Kh,P$),h(t,Cb,m),h(t,Jt,m),e(Jt,On),e(On,Xh),w(Ho,Xh,null),e(Jt,y$),e(Jt,Jh),e(Jh,T$),h(t,Db,m),h(t,S,m),w(Wo,S,null),e(S,$$),e(S,es),e(es,j$),e(es,ef),e(ef,E$),e(es,q$),e(es,rc),e(rc,A$),e(es,C$),e(S,D$),w(Un,S,null),e(S,z$),e(S,oc),e(oc,I$),e(oc,ic),e(ic,S$),e(S,M$),e(S,ts),e(ts,F$),e(ts,lc),e(lc,L$),e(ts,N$),e(ts,tf),e(tf,O$),e(ts,U$),e(S,G$),e(S,Zo),e(Zo,R$),e(Zo,Bo),e(Bo,V$),e(Zo,Q$),e(S,H$),e(S,rt),w(Yo,rt,null),e(rt,W$),e(rt,sf),e(sf,Z$),e(rt,B$),e(rt,nf),e(nf,Y$),e(S,K$),e(S,Gn),w(Ko,Gn,null),e(Gn,X$),e(Gn,af),e(af,J$),e(S,e3),e(S,Rn),w(Xo,Rn,null),e(Rn,t3),e(Rn,rf),e(rf,s3),e(S,n3),e(S,Vn),w(Jo,Vn,null),e(Vn,a3),e(Vn,of),e(of,r3),h(t,zb,m),h(t,Qn,m),e(Qn,o3),e(Qn,pc),e(pc,i3),e(Qn,l3),h(t,Ib,m),h(t,ss,m),e(ss,Hn),e(Hn,lf),w(ei,lf,null),e(ss,p3),e(ss,pf),e(pf,c3),h(t,Sb,m),h(t,M,m),w(ti,M,null),e(M,d3),e(M,ns),e(ns,m3),e(ns,cf),e(cf,h3),e(ns,f3),e(ns,cc),e(cc,u3),e(ns,g3),e(M,_3),w(Wn,M,null),e(M,b3),e(M,dc),e(dc,w3),e(dc,mc),e(mc,v3),e(M,x3),e(M,as),e(as,k3),e(as,hc),e(hc,P3),e(as,y3),e(as,df),e(df,T3),e(as,$3),e(M,j3),e(M,si),e(si,E3),e(si,ni),e(ni,q3),e(si,A3),e(M,C3),e(M,Zn),w(ai,Zn,null),e(Zn,D3),e(Zn,mf),e(mf,z3),e(M,I3),e(M,ot),w(ri,ot,null),e(ot,S3),e(ot,rs),e(rs,M3),e(rs,hf),e(hf,F3),e(rs,L3),e(rs,ff),e(ff,N3),e(rs,O3),e(ot,U3),e(ot,uf),e(uf,G3),e(M,R3),e(M,Bn),w(oi,Bn,null),e(Bn,V3),e(Bn,gf),e(gf,Q3),h(t,Mb,m),h(t,os,m),e(os,Yn),e(Yn,_f),w(ii,_f,null),e(os,H3),e(os,bf),e(bf,W3),h(t,Fb,m),h(t,pe,m),w(li,pe,null),e(pe,Z3),e(pe,wf),e(wf,B3),e(pe,Y3),e(pe,is),e(is,K3),e(is,fc),e(fc,X3),e(is,J3),e(is,vf),e(vf,e4),e(is,t4),e(pe,s4),e(pe,G),e(G,n4),e(G,xf),e(xf,a4),e(G,r4),e(G,kf),e(kf,o4),e(G,i4),e(G,Pf),e(Pf,l4),e(G,p4),e(G,yf),e(yf,c4),e(G,d4),e(G,Tf),e(Tf,m4),e(G,h4),e(G,$f),e($f,f4),e(G,u4),e(G,pi),e(pi,g4),e(G,_4),e(G,ci),e(ci,b4),e(pe,w4),w(Kn,pe,null),e(pe,v4),e(pe,Xn),w(di,Xn,null),e(Xn,x4),e(Xn,jf),e(jf,k4),h(t,Lb,m),h(t,ls,m),e(ls,Jn),e(Jn,Ef),w(mi,Ef,null),e(ls,P4),e(ls,qf),e(qf,y4),h(t,Nb,m),h(t,X,m),w(hi,X,null),e(X,T4),e(X,fi),e(fi,$4),e(fi,Af),e(Af,j4),e(fi,E4),e(X,q4),w(ea,X,null),e(X,A4),e(X,uc),e(uc,C4),e(uc,gc),e(gc,D4),e(X,z4),e(X,ps),e(ps,I4),e(ps,_c),e(_c,S4),e(ps,M4),e(ps,Cf),e(Cf,F4),e(ps,L4),e(X,N4),e(X,ui),e(ui,O4),e(ui,gi),e(gi,U4),e(ui,G4),e(X,R4),e(X,ae),w(_i,ae,null),e(ae,V4),e(ae,Df),e(Df,Q4),e(ae,H4),e(ae,ce),e(ce,zf),e(zf,If),e(If,W4),e(ce,Z4),e(ce,Sf),e(Sf,Mf),e(Mf,B4),e(ce,Y4),e(ce,Ff),e(Ff,Lf),e(Lf,K4),e(ce,X4),e(ce,Nf),e(Nf,Of),e(Of,J4),e(ce,e7),e(ce,Uf),e(Uf,Gf),e(Gf,t7),e(ce,s7),e(ce,Rf),e(Rf,Vf),e(Vf,n7),e(ce,a7),e(ce,Qf),e(Qf,Hf),e(Hf,r7),e(ae,o7),e(ae,bi),e(bi,i7),e(bi,Wf),e(Wf,l7),e(bi,p7),e(ae,c7),w(ta,ae,null),e(ae,d7),e(ae,Zf),e(Zf,m7),e(ae,h7),w(sa,ae,null),h(t,Ob,m),h(t,cs,m),e(cs,na),e(na,Bf),w(wi,Bf,null),e(cs,f7),e(cs,Yf),e(Yf,u7),h(t,Ub,m),h(t,O,m),w(vi,O,null),e(O,g7),e(O,ds),e(ds,_7),e(ds,Kf),e(Kf,b7),e(ds,w7),e(ds,bc),e(bc,v7),e(ds,x7),e(O,k7),w(aa,O,null),e(O,P7),e(O,wc),e(wc,y7),e(wc,vc),e(vc,T7),e(O,$7),e(O,ms),e(ms,j7),e(ms,xc),e(xc,E7),e(ms,q7),e(ms,Xf),e(Xf,A7),e(ms,C7),e(O,D7),e(O,xi),e(xi,z7),e(xi,Jf),e(Jf,I7),e(xi,S7),e(O,M7),e(O,ki),e(ki,F7),e(ki,Pi),e(Pi,L7),e(ki,N7),e(O,O7),e(O,ra),w(yi,ra,null),e(ra,U7),e(ra,eu),e(eu,G7),h(t,Gb,m),h(t,hs,m),e(hs,oa),e(oa,tu),w(Ti,tu,null),e(hs,R7),e(hs,su),e(su,V7),h(t,Rb,m),h(t,J,m),w($i,J,null),e(J,Q7),e(J,ji),e(ji,H7),e(ji,nu),e(nu,W7),e(ji,Z7),e(J,B7),w(ia,J,null),e(J,Y7),e(J,kc),e(kc,K7),e(kc,Pc),e(Pc,X7),e(J,J7),e(J,fs),e(fs,ej),e(fs,yc),e(yc,tj),e(fs,sj),e(fs,au),e(au,nj),e(fs,aj),e(J,rj),e(J,Ei),e(Ei,oj),e(Ei,qi),e(qi,ij),e(Ei,lj),e(J,pj),e(J,la),w(Ai,la,null),e(la,cj),e(la,ru),e(ru,dj),h(t,Vb,m),h(t,us,m),e(us,pa),e(pa,ou),w(Ci,ou,null),e(us,mj),e(us,iu),e(iu,hj),h(t,Qb,m),h(t,F,m),w(Di,F,null),e(F,fj),e(F,lu),e(lu,uj),e(F,gj),w(ca,F,null),e(F,_j),e(F,Tc),e(Tc,bj),e(Tc,$c),e($c,wj),e(F,vj),e(F,gs),e(gs,xj),e(gs,jc),e(jc,kj),e(gs,Pj),e(gs,pu),e(pu,yj),e(gs,Tj),e(F,$j),e(F,da),e(da,jj),e(da,zi),e(zi,Ej),e(da,qj),e(da,Ii),e(Ii,Aj),e(F,Cj),w(ma,F,null),e(F,Dj),e(F,ha),w(Si,ha,null),e(ha,zj),e(ha,cu),e(cu,Ij),e(F,Sj),e(F,fa),w(Mi,fa,null),e(fa,Mj),e(fa,du),e(du,Fj),h(t,Hb,m),h(t,_s,m),e(_s,ua),e(ua,mu),w(Fi,mu,null),e(_s,Lj),e(_s,hu),e(hu,Nj),h(t,Wb,m),h(t,I,m),w(Li,I,null),e(I,Oj),e(I,bs),e(bs,Uj),e(bs,fu),e(fu,Gj),e(bs,Rj),e(bs,Ec),e(Ec,Vj),e(bs,Qj),e(I,Hj),w(ga,I,null),e(I,Wj),e(I,qc),e(qc,Zj),e(qc,Ac),e(Ac,Bj),e(I,Yj),e(I,ws),e(ws,Kj),e(ws,Cc),e(Cc,Xj),e(ws,Jj),e(ws,uu),e(uu,eE),e(ws,tE),e(I,sE),e(I,Ni),e(Ni,nE),e(Ni,Oi),e(Oi,aE),e(Ni,rE),e(I,oE),e(I,_a),w(Ui,_a,null),e(_a,iE),e(_a,gu),e(gu,lE),e(I,pE),e(I,it),w(Gi,it,null),e(it,cE),e(it,_u),e(_u,dE),e(it,mE),e(it,bu),e(bu,hE),e(I,fE),e(I,ba),w(Ri,ba,null),e(ba,uE),e(ba,wu),e(wu,gE),e(I,_E),e(I,wa),w(Vi,wa,null),e(wa,bE),e(wa,vu),e(vu,wE),e(I,vE),e(I,va),w(Qi,va,null),e(va,xE),e(va,xu),e(xu,kE),h(t,Zb,m),h(t,vs,m),e(vs,xa),e(xa,ku),w(Hi,ku,null),e(vs,PE),e(vs,Pu),e(Pu,yE),h(t,Bb,m),h(t,de,m),w(Wi,de,null),e(de,TE),e(de,yu),e(yu,$E),e(de,jE),e(de,xs),e(xs,EE),e(xs,Dc),e(Dc,qE),e(xs,AE),e(xs,Tu),e(Tu,CE),e(xs,DE),e(de,zE),e(de,ka),e(ka,IE),e(ka,Zi),e(Zi,SE),e(ka,ME),e(ka,Bi),e(Bi,FE),e(de,LE),w(Pa,de,null),e(de,NE),e(de,ya),w(Yi,ya,null),e(ya,OE),e(ya,$u),e($u,UE),h(t,Yb,m),h(t,ks,m),e(ks,Ta),e(Ta,ju),w(Ki,ju,null),e(ks,GE),e(ks,Eu),e(Eu,RE),h(t,Kb,m),h(t,U,m),w(Xi,U,null),e(U,VE),e(U,Xe),e(Xe,QE),e(Xe,qu),e(qu,HE),e(Xe,WE),e(Xe,Au),e(Au,ZE),e(Xe,BE),e(Xe,Cu),e(Cu,YE),e(Xe,KE),e(U,XE),e(U,Je),e(Je,JE),e(Je,Du),e(Du,eq),e(Je,tq),e(Je,zu),e(zu,sq),e(Je,nq),e(Je,Iu),e(Iu,aq),e(Je,rq),e(U,oq),w($a,U,null),e(U,iq),e(U,zc),e(zc,lq),e(zc,Ic),e(Ic,pq),e(U,cq),e(U,Ps),e(Ps,dq),e(Ps,Sc),e(Sc,mq),e(Ps,hq),e(Ps,Su),e(Su,fq),e(Ps,uq),e(U,gq),e(U,Ji),e(Ji,_q),e(Ji,el),e(el,bq),e(Ji,wq),e(U,vq),e(U,ja),w(tl,ja,null),e(ja,xq),e(ja,sl),e(sl,kq),e(sl,Mc),e(Mc,Pq),e(sl,yq),h(t,Xb,m),h(t,ys,m),e(ys,Ea),e(Ea,Mu),w(nl,Mu,null),e(ys,Tq),e(ys,Fu),e(Fu,$q),h(t,Jb,m),h(t,Fc,m),e(Fc,jq),h(t,e2,m),h(t,Ts,m),e(Ts,qa),e(qa,Lu),w(al,Lu,null),e(Ts,Eq),e(Ts,Nu),e(Nu,qq),h(t,t2,m),h(t,ee,m),w(rl,ee,null),e(ee,Aq),e(ee,ol),e(ol,Cq),e(ol,Ou),e(Ou,Dq),e(ol,zq),e(ee,Iq),w(Aa,ee,null),e(ee,Sq),e(ee,Lc),e(Lc,Mq),e(Lc,Nc),e(Nc,Fq),e(ee,Lq),e(ee,$s),e($s,Nq),e($s,Oc),e(Oc,Oq),e($s,Uq),e($s,Uu),e(Uu,Gq),e($s,Rq),e(ee,Vq),e(ee,il),e(il,Qq),e(il,ll),e(ll,Hq),e(il,Wq),e(ee,Zq),e(ee,Re),w(pl,Re,null),e(Re,Bq),e(Re,cl),e(cl,Yq),e(cl,Gu),e(Gu,Kq),e(cl,Xq),e(Re,Jq),e(Re,Ru),e(Ru,e5),e(Re,t5),e(Re,et),e(et,Vu),e(Vu,Qu),e(Qu,s5),e(et,n5),e(et,Hu),e(Hu,Wu),e(Wu,a5),e(et,r5),e(et,Zu),e(Zu,Bu),e(Bu,o5),e(et,i5),e(et,Yu),e(Yu,Ku),e(Ku,l5),h(t,s2,m),h(t,js,m),e(js,Ca),e(Ca,Xu),w(dl,Xu,null),e(js,p5),e(js,Ju),e(Ju,c5),h(t,n2,m),h(t,te,m),w(ml,te,null),e(te,d5),e(te,eg),e(eg,m5),e(te,h5),w(Da,te,null),e(te,f5),e(te,Uc),e(Uc,u5),e(Uc,Gc),e(Gc,g5),e(te,_5),e(te,Es),e(Es,b5),e(Es,Rc),e(Rc,w5),e(Es,v5),e(Es,tg),e(tg,x5),e(Es,k5),e(te,P5),e(te,hl),e(hl,y5),e(hl,fl),e(fl,T5),e(hl,$5),e(te,j5),e(te,za),w(ul,za,null),e(za,E5),e(za,sg),e(sg,q5),h(t,a2,m),h(t,qs,m),e(qs,Ia),e(Ia,ng),w(gl,ng,null),e(qs,A5),e(qs,ag),e(ag,C5),h(t,r2,m),h(t,se,m),w(_l,se,null),e(se,D5),e(se,bl),e(bl,z5),e(bl,rg),e(rg,I5),e(bl,S5),e(se,M5),w(Sa,se,null),e(se,F5),e(se,Vc),e(Vc,L5),e(Vc,Qc),e(Qc,N5),e(se,O5),e(se,og),e(og,U5),e(se,G5),e(se,wl),e(wl,R5),e(wl,vl),e(vl,V5),e(wl,Q5),e(se,H5),e(se,Ma),w(xl,Ma,null),e(Ma,W5),e(Ma,ig),e(ig,Z5),h(t,o2,m),h(t,As,m),e(As,Fa),e(Fa,lg),w(kl,lg,null),e(As,B5),e(As,pg),e(pg,Y5),h(t,i2,m),h(t,ne,m),w(Pl,ne,null),e(ne,K5),e(ne,yl),e(yl,X5),e(yl,cg),e(cg,J5),e(yl,eA),e(ne,tA),w(La,ne,null),e(ne,sA),e(ne,Hc),e(Hc,nA),e(Hc,Wc),e(Wc,aA),e(ne,rA),e(ne,Cs),e(Cs,oA),e(Cs,Zc),e(Zc,iA),e(Cs,lA),e(Cs,dg),e(dg,pA),e(Cs,cA),e(ne,dA),e(ne,Tl),e(Tl,mA),e(Tl,$l),e($l,hA),e(Tl,fA),e(ne,uA),e(ne,lt),w(jl,lt,null),e(lt,gA),e(lt,mg),e(mg,_A),e(lt,bA),e(lt,tt),e(tt,hg),e(hg,fg),e(fg,wA),e(tt,vA),e(tt,ug),e(ug,gg),e(gg,xA),e(tt,kA),e(tt,_g),e(_g,bg),e(bg,PA),e(tt,yA),e(tt,wg),e(wg,vg),e(vg,TA),h(t,l2,m),h(t,Ds,m),e(Ds,Na),e(Na,xg),w(El,xg,null),e(Ds,$A),e(Ds,Bc),e(Bc,jA),e(Bc,kg),e(kg,EA),h(t,p2,m),h(t,A,m),w(ql,A,null),e(A,qA),e(A,Pg),e(Pg,AA),e(A,CA),e(A,yg),e(yg,DA),e(A,zA),e(A,Tg),e(Tg,IA),e(A,SA),e(A,$g),e($g,MA),e(A,FA),e(A,Oe),e(Oe,LA),e(Oe,Yc),e(Yc,NA),e(Oe,OA),e(Oe,jg),e(jg,UA),e(Oe,GA),e(Oe,Eg),e(Eg,RA),e(Oe,VA),e(Oe,qg),e(qg,QA),e(Oe,HA),e(A,WA),e(A,Oa),w(Al,Oa,null),e(Oa,ZA),e(Oa,Ag),e(Ag,BA),e(A,YA),e(A,pt),w(Cl,pt,null),e(pt,KA),e(pt,Cg),e(Cg,XA),e(pt,JA),w(Ua,pt,null),e(A,e6),e(A,Ga),w(Dl,Ga,null),e(Ga,t6),e(Ga,Dg),e(Dg,s6),e(A,n6),e(A,Ra),w(zl,Ra,null),e(Ra,a6),e(Ra,Il),e(Il,r6),e(Il,zg),e(zg,o6),e(Il,i6),e(A,l6),e(A,Va),w(Sl,Va,null),e(Va,p6),e(Va,Ml),e(Ml,c6),e(Ml,Ig),e(Ig,d6),e(Ml,m6),e(A,h6),e(A,Qa),w(Fl,Qa,null),e(Qa,f6),e(Qa,zs),e(zs,u6),e(zs,Sg),e(Sg,g6),e(zs,_6),e(zs,Mg),e(Mg,b6),e(zs,w6),e(A,v6),e(A,Ha),w(Ll,Ha,null),e(Ha,x6),e(Ha,Fg),e(Fg,k6),e(A,P6),e(A,Wa),w(Nl,Wa,null),e(Wa,y6),e(Wa,Ol),e(Ol,T6),e(Ol,Lg),e(Lg,$6),e(Ol,j6),c2=!0},p(t,[m]){const Ul={};m&2&&(Ul.$$scope={dirty:m,ctx:t}),Us.$set(Ul);const Ng={};m&2&&(Ng.$$scope={dirty:m,ctx:t}),Rs.$set(Ng);const Og={};m&2&&(Og.$$scope={dirty:m,ctx:t}),Xs.$set(Og);const Ug={};m&2&&(Ug.$$scope={dirty:m,ctx:t}),tn.$set(Ug);const Gl={};m&2&&(Gl.$$scope={dirty:m,ctx:t}),an.$set(Gl);const Gg={};m&2&&(Gg.$$scope={dirty:m,ctx:t}),pn.$set(Gg);const Rg={};m&2&&(Rg.$$scope={dirty:m,ctx:t}),mn.$set(Rg);const Rl={};m&2&&(Rl.$$scope={dirty:m,ctx:t}),un.$set(Rl);const Vl={};m&2&&(Vl.$$scope={dirty:m,ctx:t}),bn.$set(Vl);const Vg={};m&2&&(Vg.$$scope={dirty:m,ctx:t}),Pn.$set(Vg);const Ue={};m&2&&(Ue.$$scope={dirty:m,ctx:t}),$n.$set(Ue);const Qg={};m&2&&(Qg.$$scope={dirty:m,ctx:t}),An.$set(Qg);const Hg={};m&2&&(Hg.$$scope={dirty:m,ctx:t}),In.$set(Hg);const Wg={};m&2&&(Wg.$$scope={dirty:m,ctx:t}),Fn.$set(Wg);const Zg={};m&2&&(Zg.$$scope={dirty:m,ctx:t}),Ln.$set(Zg);const Ql={};m&2&&(Ql.$$scope={dirty:m,ctx:t}),Un.$set(Ql);const Bg={};m&2&&(Bg.$$scope={dirty:m,ctx:t}),Wn.$set(Bg);const Yg={};m&2&&(Yg.$$scope={dirty:m,ctx:t}),Kn.$set(Yg);const Kg={};m&2&&(Kg.$$scope={dirty:m,ctx:t}),ea.$set(Kg);const Hl={};m&2&&(Hl.$$scope={dirty:m,ctx:t}),ta.$set(Hl);const Xg={};m&2&&(Xg.$$scope={dirty:m,ctx:t}),sa.$set(Xg);const Jg={};m&2&&(Jg.$$scope={dirty:m,ctx:t}),aa.$set(Jg);const Wl={};m&2&&(Wl.$$scope={dirty:m,ctx:t}),ia.$set(Wl);const e_={};m&2&&(e_.$$scope={dirty:m,ctx:t}),ca.$set(e_);const Zl={};m&2&&(Zl.$$scope={dirty:m,ctx:t}),ma.$set(Zl);const t_={};m&2&&(t_.$$scope={dirty:m,ctx:t}),ga.$set(t_);const Bl={};m&2&&(Bl.$$scope={dirty:m,ctx:t}),Pa.$set(Bl);const s_={};m&2&&(s_.$$scope={dirty:m,ctx:t}),$a.$set(s_);const n_={};m&2&&(n_.$$scope={dirty:m,ctx:t}),Aa.$set(n_);const Ge={};m&2&&(Ge.$$scope={dirty:m,ctx:t}),Da.$set(Ge);const Yl={};m&2&&(Yl.$$scope={dirty:m,ctx:t}),Sa.$set(Yl);const a_={};m&2&&(a_.$$scope={dirty:m,ctx:t}),La.$set(a_);const r_={};m&2&&(r_.$$scope={dirty:m,ctx:t}),Ua.$set(r_)},i(t){c2||(v(l.$$.fragment,t),v(sr.$$.fragment,t),v(nr.$$.fragment,t),v(rr.$$.fragment,t),v(or.$$.fragment,t),v(ir.$$.fragment,t),v(lr.$$.fragment,t),v(pr.$$.fragment,t),v(Us.$$.fragment,t),v(hr.$$.fragment,t),v(fr.$$.fragment,t),v(Rs.$$.fragment,t),v(ur.$$.fragment,t),v(gr.$$.fragment,t),v(_r.$$.fragment,t),v(br.$$.fragment,t),v(vr.$$.fragment,t),v(xr.$$.fragment,t),v(kr.$$.fragment,t),v(Pr.$$.fragment,t),v(yr.$$.fragment,t),v(Tr.$$.fragment,t),v($r.$$.fragment,t),v(jr.$$.fragment,t),v(Er.$$.fragment,t),v(Xs.$$.fragment,t),v(Dr.$$.fragment,t),v(Ir.$$.fragment,t),v(Sr.$$.fragment,t),v(tn.$$.fragment,t),v(Mr.$$.fragment,t),v(Lr.$$.fragment,t),v(Nr.$$.fragment,t),v(an.$$.fragment,t),v(Ur.$$.fragment,t),v(Gr.$$.fragment,t),v(Rr.$$.fragment,t),v(Vr.$$.fragment,t),v(pn.$$.fragment,t),v(Zr.$$.fragment,t),v(Br.$$.fragment,t),v(Yr.$$.fragment,t),v(mn.$$.fragment,t),v(eo.$$.fragment,t),v(to.$$.fragment,t),v(so.$$.fragment,t),v(un.$$.fragment,t),v(oo.$$.fragment,t),v(io.$$.fragment,t),v(lo.$$.fragment,t),v(bn.$$.fragment,t),v(ho.$$.fragment,t),v(fo.$$.fragment,t),v(uo.$$.fragment,t),v(wo.$$.fragment,t),v(vo.$$.fragment,t),v(xo.$$.fragment,t),v(Pn.$$.fragment,t),v(yo.$$.fragment,t),v(To.$$.fragment,t),v($o.$$.fragment,t),v($n.$$.fragment,t),v(qo.$$.fragment,t),v(Ao.$$.fragment,t),v(Co.$$.fragment,t),v(Do.$$.fragment,t),v(An.$$.fragment,t),v(zo.$$.fragment,t),v(So.$$.fragment,t),v(Mo.$$.fragment,t),v(Fo.$$.fragment,t),v(Lo.$$.fragment,t),v(In.$$.fragment,t),v(Oo.$$.fragment,t),v(Uo.$$.fragment,t),v(Go.$$.fragment,t),v(Fn.$$.fragment,t),v(Ln.$$.fragment,t),v(Qo.$$.fragment,t),v(Ho.$$.fragment,t),v(Wo.$$.fragment,t),v(Un.$$.fragment,t),v(Yo.$$.fragment,t),v(Ko.$$.fragment,t),v(Xo.$$.fragment,t),v(Jo.$$.fragment,t),v(ei.$$.fragment,t),v(ti.$$.fragment,t),v(Wn.$$.fragment,t),v(ai.$$.fragment,t),v(ri.$$.fragment,t),v(oi.$$.fragment,t),v(ii.$$.fragment,t),v(li.$$.fragment,t),v(Kn.$$.fragment,t),v(di.$$.fragment,t),v(mi.$$.fragment,t),v(hi.$$.fragment,t),v(ea.$$.fragment,t),v(_i.$$.fragment,t),v(ta.$$.fragment,t),v(sa.$$.fragment,t),v(wi.$$.fragment,t),v(vi.$$.fragment,t),v(aa.$$.fragment,t),v(yi.$$.fragment,t),v(Ti.$$.fragment,t),v($i.$$.fragment,t),v(ia.$$.fragment,t),v(Ai.$$.fragment,t),v(Ci.$$.fragment,t),v(Di.$$.fragment,t),v(ca.$$.fragment,t),v(ma.$$.fragment,t),v(Si.$$.fragment,t),v(Mi.$$.fragment,t),v(Fi.$$.fragment,t),v(Li.$$.fragment,t),v(ga.$$.fragment,t),v(Ui.$$.fragment,t),v(Gi.$$.fragment,t),v(Ri.$$.fragment,t),v(Vi.$$.fragment,t),v(Qi.$$.fragment,t),v(Hi.$$.fragment,t),v(Wi.$$.fragment,t),v(Pa.$$.fragment,t),v(Yi.$$.fragment,t),v(Ki.$$.fragment,t),v(Xi.$$.fragment,t),v($a.$$.fragment,t),v(tl.$$.fragment,t),v(nl.$$.fragment,t),v(al.$$.fragment,t),v(rl.$$.fragment,t),v(Aa.$$.fragment,t),v(pl.$$.fragment,t),v(dl.$$.fragment,t),v(ml.$$.fragment,t),v(Da.$$.fragment,t),v(ul.$$.fragment,t),v(gl.$$.fragment,t),v(_l.$$.fragment,t),v(Sa.$$.fragment,t),v(xl.$$.fragment,t),v(kl.$$.fragment,t),v(Pl.$$.fragment,t),v(La.$$.fragment,t),v(jl.$$.fragment,t),v(El.$$.fragment,t),v(ql.$$.fragment,t),v(Al.$$.fragment,t),v(Cl.$$.fragment,t),v(Ua.$$.fragment,t),v(Dl.$$.fragment,t),v(zl.$$.fragment,t),v(Sl.$$.fragment,t),v(Fl.$$.fragment,t),v(Ll.$$.fragment,t),v(Nl.$$.fragment,t),c2=!0)},o(t){x(l.$$.fragment,t),x(sr.$$.fragment,t),x(nr.$$.fragment,t),x(rr.$$.fragment,t),x(or.$$.fragment,t),x(ir.$$.fragment,t),x(lr.$$.fragment,t),x(pr.$$.fragment,t),x(Us.$$.fragment,t),x(hr.$$.fragment,t),x(fr.$$.fragment,t),x(Rs.$$.fragment,t),x(ur.$$.fragment,t),x(gr.$$.fragment,t),x(_r.$$.fragment,t),x(br.$$.fragment,t),x(vr.$$.fragment,t),x(xr.$$.fragment,t),x(kr.$$.fragment,t),x(Pr.$$.fragment,t),x(yr.$$.fragment,t),x(Tr.$$.fragment,t),x($r.$$.fragment,t),x(jr.$$.fragment,t),x(Er.$$.fragment,t),x(Xs.$$.fragment,t),x(Dr.$$.fragment,t),x(Ir.$$.fragment,t),x(Sr.$$.fragment,t),x(tn.$$.fragment,t),x(Mr.$$.fragment,t),x(Lr.$$.fragment,t),x(Nr.$$.fragment,t),x(an.$$.fragment,t),x(Ur.$$.fragment,t),x(Gr.$$.fragment,t),x(Rr.$$.fragment,t),x(Vr.$$.fragment,t),x(pn.$$.fragment,t),x(Zr.$$.fragment,t),x(Br.$$.fragment,t),x(Yr.$$.fragment,t),x(mn.$$.fragment,t),x(eo.$$.fragment,t),x(to.$$.fragment,t),x(so.$$.fragment,t),x(un.$$.fragment,t),x(oo.$$.fragment,t),x(io.$$.fragment,t),x(lo.$$.fragment,t),x(bn.$$.fragment,t),x(ho.$$.fragment,t),x(fo.$$.fragment,t),x(uo.$$.fragment,t),x(wo.$$.fragment,t),x(vo.$$.fragment,t),x(xo.$$.fragment,t),x(Pn.$$.fragment,t),x(yo.$$.fragment,t),x(To.$$.fragment,t),x($o.$$.fragment,t),x($n.$$.fragment,t),x(qo.$$.fragment,t),x(Ao.$$.fragment,t),x(Co.$$.fragment,t),x(Do.$$.fragment,t),x(An.$$.fragment,t),x(zo.$$.fragment,t),x(So.$$.fragment,t),x(Mo.$$.fragment,t),x(Fo.$$.fragment,t),x(Lo.$$.fragment,t),x(In.$$.fragment,t),x(Oo.$$.fragment,t),x(Uo.$$.fragment,t),x(Go.$$.fragment,t),x(Fn.$$.fragment,t),x(Ln.$$.fragment,t),x(Qo.$$.fragment,t),x(Ho.$$.fragment,t),x(Wo.$$.fragment,t),x(Un.$$.fragment,t),x(Yo.$$.fragment,t),x(Ko.$$.fragment,t),x(Xo.$$.fragment,t),x(Jo.$$.fragment,t),x(ei.$$.fragment,t),x(ti.$$.fragment,t),x(Wn.$$.fragment,t),x(ai.$$.fragment,t),x(ri.$$.fragment,t),x(oi.$$.fragment,t),x(ii.$$.fragment,t),x(li.$$.fragment,t),x(Kn.$$.fragment,t),x(di.$$.fragment,t),x(mi.$$.fragment,t),x(hi.$$.fragment,t),x(ea.$$.fragment,t),x(_i.$$.fragment,t),x(ta.$$.fragment,t),x(sa.$$.fragment,t),x(wi.$$.fragment,t),x(vi.$$.fragment,t),x(aa.$$.fragment,t),x(yi.$$.fragment,t),x(Ti.$$.fragment,t),x($i.$$.fragment,t),x(ia.$$.fragment,t),x(Ai.$$.fragment,t),x(Ci.$$.fragment,t),x(Di.$$.fragment,t),x(ca.$$.fragment,t),x(ma.$$.fragment,t),x(Si.$$.fragment,t),x(Mi.$$.fragment,t),x(Fi.$$.fragment,t),x(Li.$$.fragment,t),x(ga.$$.fragment,t),x(Ui.$$.fragment,t),x(Gi.$$.fragment,t),x(Ri.$$.fragment,t),x(Vi.$$.fragment,t),x(Qi.$$.fragment,t),x(Hi.$$.fragment,t),x(Wi.$$.fragment,t),x(Pa.$$.fragment,t),x(Yi.$$.fragment,t),x(Ki.$$.fragment,t),x(Xi.$$.fragment,t),x($a.$$.fragment,t),x(tl.$$.fragment,t),x(nl.$$.fragment,t),x(al.$$.fragment,t),x(rl.$$.fragment,t),x(Aa.$$.fragment,t),x(pl.$$.fragment,t),x(dl.$$.fragment,t),x(ml.$$.fragment,t),x(Da.$$.fragment,t),x(ul.$$.fragment,t),x(gl.$$.fragment,t),x(_l.$$.fragment,t),x(Sa.$$.fragment,t),x(xl.$$.fragment,t),x(kl.$$.fragment,t),x(Pl.$$.fragment,t),x(La.$$.fragment,t),x(jl.$$.fragment,t),x(El.$$.fragment,t),x(ql.$$.fragment,t),x(Al.$$.fragment,t),x(Cl.$$.fragment,t),x(Ua.$$.fragment,t),x(Dl.$$.fragment,t),x(zl.$$.fragment,t),x(Sl.$$.fragment,t),x(Fl.$$.fragment,t),x(Ll.$$.fragment,t),x(Nl.$$.fragment,t),c2=!1},d(t){s(u),t&&s(T),t&&s(P),k(l),t&&s(l_),t&&s(Is),t&&s(p_),t&&s(Jl),t&&s(c_),t&&s(Ss),t&&s(d_),t&&s(_t),k(sr),t&&s(m_),t&&s(Fs),t&&s(h_),t&&s(rp),t&&s(f_),k(nr,t),t&&s(u_),t&&s(Ls),t&&s(g_),k(rr,t),t&&s(__),t&&s(Ns),t&&s(b_),k(or,t),t&&s(w_),t&&s(Os),t&&s(v_),k(ir,t),t&&s(x_),t&&s(op),t&&s(k_),k(lr,t),t&&s(P_),t&&s(ge),k(pr),k(Us),t&&s(y_),t&&s(wt),k(hr),t&&s(T_),t&&s(st),t&&s($_),k(fr,t),t&&s(j_),k(Rs,t),t&&s(E_),k(ur,t),t&&s(q_),k(gr,t),t&&s(A_),t&&s(cp),t&&s(C_),k(_r,t),t&&s(D_),t&&s(Vs),t&&s(z_),k(br,t),t&&s(I_),t&&s(dp),t&&s(S_),t&&s(mp),t&&s(M_),t&&s(we),t&&s(F_),t&&s(xt),k(vr),t&&s(L_),t&&s(Be),t&&s(N_),t&&s(nt),t&&s(O_),k(xr,t),t&&s(U_),t&&s(hp),t&&s(G_),k(kr,t),t&&s(R_),t&&s(fp),t&&s(V_),t&&s(Hs),t&&s(Q_),t&&s(kt),k(Pr),t&&s(H_),t&&s(up),t&&s(W_),t&&s(Zs),t&&s(Z_),t&&s(gp),t&&s(B_),t&&s(_p),t&&s(Y_),k(yr,t),t&&s(K_),t&&s(bp),t&&s(X_),t&&s(Pt),k(Tr),t&&s(J_),t&&s(wp),t&&s(eb),t&&s(yt),k($r),t&&s(tb),t&&s(xp),t&&s(sb),t&&s(Tt),k(jr),t&&s(nb),t&&s(V),k(Er),k(Xs),k(Dr),t&&s(ab),t&&s(jt),k(Ir),t&&s(rb),t&&s(ie),k(Sr),k(tn),k(Mr),t&&s(ob),t&&s(Et),k(Lr),t&&s(ib),t&&s(_e),k(Nr),k(an),k(Ur),t&&s(lb),t&&s(At),k(Gr),t&&s(pb),t&&s(Cp),t&&s(cb),t&&s(Ct),k(Rr),t&&s(db),t&&s(Q),k(Vr),k(pn),k(Zr),t&&s(mb),t&&s(zt),k(Br),t&&s(hb),t&&s(H),k(Yr),k(mn),k(eo),t&&s(fb),t&&s(St),k(to),t&&s(ub),t&&s(le),k(so),k(un),k(oo),t&&s(gb),t&&s(Ft),k(io),t&&s(_b),t&&s(W),k(lo),k(bn),k(ho),t&&s(bb),t&&s(Nt),k(fo),t&&s(wb),t&&s(be),k(uo),k(wo),t&&s(vb),t&&s(Ut),k(vo),t&&s(xb),t&&s(Z),k(xo),k(Pn),k(yo),t&&s(kb),t&&s(Vt),k(To),t&&s(Pb),t&&s(B),k($o),k($n),k(qo),t&&s(yb),t&&s(Wt),k(Ao),t&&s(Tb),t&&s(Bp),t&&s($b),t&&s(Zt),k(Co),t&&s(jb),t&&s(Y),k(Do),k(An),k(zo),k(So),k(Mo),k(Fo),t&&s(Eb),t&&s(K),k(Lo),k(In),k(Oo),t&&s(qb),t&&s(Yt),k(Uo),t&&s(Ab),t&&s(N),k(Go),k(Fn),k(Ln),k(Qo),t&&s(Cb),t&&s(Jt),k(Ho),t&&s(Db),t&&s(S),k(Wo),k(Un),k(Yo),k(Ko),k(Xo),k(Jo),t&&s(zb),t&&s(Qn),t&&s(Ib),t&&s(ss),k(ei),t&&s(Sb),t&&s(M),k(ti),k(Wn),k(ai),k(ri),k(oi),t&&s(Mb),t&&s(os),k(ii),t&&s(Fb),t&&s(pe),k(li),k(Kn),k(di),t&&s(Lb),t&&s(ls),k(mi),t&&s(Nb),t&&s(X),k(hi),k(ea),k(_i),k(ta),k(sa),t&&s(Ob),t&&s(cs),k(wi),t&&s(Ub),t&&s(O),k(vi),k(aa),k(yi),t&&s(Gb),t&&s(hs),k(Ti),t&&s(Rb),t&&s(J),k($i),k(ia),k(Ai),t&&s(Vb),t&&s(us),k(Ci),t&&s(Qb),t&&s(F),k(Di),k(ca),k(ma),k(Si),k(Mi),t&&s(Hb),t&&s(_s),k(Fi),t&&s(Wb),t&&s(I),k(Li),k(ga),k(Ui),k(Gi),k(Ri),k(Vi),k(Qi),t&&s(Zb),t&&s(vs),k(Hi),t&&s(Bb),t&&s(de),k(Wi),k(Pa),k(Yi),t&&s(Yb),t&&s(ks),k(Ki),t&&s(Kb),t&&s(U),k(Xi),k($a),k(tl),t&&s(Xb),t&&s(ys),k(nl),t&&s(Jb),t&&s(Fc),t&&s(e2),t&&s(Ts),k(al),t&&s(t2),t&&s(ee),k(rl),k(Aa),k(pl),t&&s(s2),t&&s(js),k(dl),t&&s(n2),t&&s(te),k(ml),k(Da),k(ul),t&&s(a2),t&&s(qs),k(gl),t&&s(r2),t&&s(se),k(_l),k(Sa),k(xl),t&&s(o2),t&&s(As),k(kl),t&&s(i2),t&&s(ne),k(Pl),k(La),k(jl),t&&s(l2),t&&s(Ds),k(El),t&&s(p2),t&&s(A),k(ql),k(Al),k(Cl),k(Ua),k(Dl),k(zl),k(Sl),k(Fl),k(Ll),k(Nl)}}}const aF={local:"pipelines",sections:[{local:"transformers.pipeline",title:"The pipeline abstraction"},{local:"pipeline-batching",title:"Pipeline batching"},{local:"pipeline-chunk-batching",title:"Pipeline chunk batching"},{local:"pipeline-custom-code",title:"Pipeline custom code"},{local:"implementing-a-pipeline",title:"Implementing a pipeline"},{local:"audio",sections:[{local:"transformers.AudioClassificationPipeline",title:"AudioClassificationPipeline"},{local:"transformers.AutomaticSpeechRecognitionPipeline",title:"AutomaticSpeechRecognitionPipeline"},{local:"transformers.ZeroShotAudioClassificationPipeline",title:"ZeroShotAudioClassificationPipeline"}],title:"Audio"},{local:"computer-vision",sections:[{local:"transformers.DepthEstimationPipeline",title:"DepthEstimationPipeline"},{local:"transformers.ImageClassificationPipeline",title:"ImageClassificationPipeline"},{local:"transformers.ImageSegmentationPipeline",title:"ImageSegmentationPipeline"},{local:"transformers.ObjectDetectionPipeline",title:"ObjectDetectionPipeline"},{local:"transformers.VideoClassificationPipeline",title:"VideoClassificationPipeline"},{local:"transformers.ZeroShotImageClassificationPipeline",title:"ZeroShotImageClassificationPipeline"},{local:"transformers.ZeroShotObjectDetectionPipeline",title:"ZeroShotObjectDetectionPipeline"}],title:"Computer vision"},{local:"natural-language-processing",sections:[{local:"transformers.Conversation",title:"ConversationalPipeline"},{local:"transformers.FillMaskPipeline",title:"FillMaskPipeline"},{local:"transformers.TokenClassificationPipeline",title:"NerPipeline"},{local:"transformers.QuestionAnsweringPipeline",title:"QuestionAnsweringPipeline"},{local:"transformers.SummarizationPipeline",title:"SummarizationPipeline"},{local:"transformers.TableQuestionAnsweringPipeline",title:"TableQuestionAnsweringPipeline"},{local:"transformers.TextClassificationPipeline",title:"TextClassificationPipeline"},{local:"transformers.TextGenerationPipeline",title:"TextGenerationPipeline"},{local:"transformers.Text2TextGenerationPipeline",title:"Text2TextGenerationPipeline"},{local:"transformers.TokenClassificationPipeline",title:"TokenClassificationPipeline"},{local:"transformers.TranslationPipeline",title:"TranslationPipeline"},{local:"transformers.ZeroShotClassificationPipeline",title:"ZeroShotClassificationPipeline"}],title:"Natural Language Processing"},{local:"multimodal",sections:[{local:"transformers.DocumentQuestionAnsweringPipeline",title:"DocumentQuestionAnsweringPipeline"},{local:"transformers.FeatureExtractionPipeline",title:"FeatureExtractionPipeline"},{local:"transformers.ImageToTextPipeline",title:"ImageToTextPipeline"},{local:"transformers.VisualQuestionAnsweringPipeline",title:"VisualQuestionAnsweringPipeline"}],title:"Multimodal"},{local:"transformers.Pipeline",title:"Parent class: `Pipeline`"}],title:"Pipelines"};function rF(j){return PM(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class mF extends wM{constructor(u){super();vM(this,u,rF,nF,xM,{})}}export{mF as default,aF as metadata};
